GNU bug report logs - #48729
Bitmask VPN

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Raghav Gururajan <rg@HIDDEN>; dated Sat, 29 May 2021 10:58:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 14 Jun 2021 13:47:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 09:47:42 2021
Received: from localhost ([127.0.0.1]:45389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsmwI-0000Nq-KQ
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2021 09:47:42 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:33578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lsmwH-0000Md-1t
 for 48729 <at> debbugs.gnu.org; Mon, 14 Jun 2021 09:47:42 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id H1nf2500K0mfAB4061nfrc; Mon, 14 Jun 2021 15:47:39 +0200
Message-ID: <4247c42748d39d1009c1493ec953a89106ea7800.camel@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 05/47] gnu: Add go-github-com-keybase-go-ps.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48729 <at> debbugs.gnu.org
In-Reply-To: <d4a95f18-b13d-6d9d-9867-be88fb50debe@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
 <20210603095814.21158-5-rg@HIDDEN>
 <ac2bab159114b7ec339c965d1a8dd5cf900a3ad6.camel@HIDDEN>
 <d4a95f18-b13d-6d9d-9867-be88fb50debe@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-liXLZZiZUCcPPmglWjI8"
Date: Sat, 12 Jun 2021 18:21:53 +0200
MIME-Version: 1.0
User-Agent: Evolution 3.34.2 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1623678459; bh=OcMozxmE1QRsiblLaVOkTnciFhZrmdYWNz4FKheN7QM=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=pd2TmZEV51Qj9mW3FD0pP9jRKsr2IVjPtlj+NKBJn1IslWPewnTjgoAiFCinfKt6K
 wFJRNzKYd3u0VLU39flWxhfLg9ILAbJe0i6+xY7GpJ0ZL43QKRzpDhQgVN9nWNdV2f
 qWZfaNG87hkANTpWWXBnEWyeaBp235NVLCzMU+cpBtb/jKdS07/jbSRr146iektIer
 4GdZsLgEPbHVo29fJXJOebSezlL9efBqUsTkdEU1mHAMnl84//7Xt7fbVxLoHaCkOJ
 wHhmLJbY0OunBvAyfK8ngDgPGqDHIMrkuUriyWl/vbhiP0nylKjbeeqnDKc7T9hV+H
 blHkQFTIu1E2Q==
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)


--=-liXLZZiZUCcPPmglWjI8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan schreef op vr 11-06-2021 om 00:17 [-0400]:
> Hi Maxime!
>=20
> > When cross-compiling, coreutils is not in 'inputs', but in 'native-inpu=
ts', right?
> > So this would lead to a build error when cross-compiling.
> > (assoc-ref inputs "coreutils") would return #f, thus you'd get an excep=
tion
> >=20
> > ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> > In procedure string-append: Wrong type (expecting string): #f
>=20
> I am confused. It is used only during check phase (which is build-time),=
=20
> so when cross-compiling, the arch for build machine is used for=20
> native-inputs right?

The Go build system doesn't support cross-compilation currently.
So, for explanation, let's assume gnu-build-system instead.

The issue is that, when cross-compiling, 'inputs' consists solely
of the packages listed in the 'inputs' field of the package definition
(When compiling natively, 'native-inputs' is merged into 'inputs'.)

As "coreutils" is not in "inputs", it follows that that (assoc-ref inputs "=
coreutils")
returns #f. Thus, when (string-append (assoc-ref inputs "coreutils") "/bin/=
sleep")
is executed, it raises an exception, as string-append expects strings only.
Now, about:

> I am confused. It is used only during check phase (which is build-time),=
=20
> so when cross-compiling, [...]

The [...]/bin/sleep binary is only used during the check phase (and therefo=
re
ignored when cross-compiling), yes, but the (string-append [...]) is _alway=
s_
executed!

> so when cross-compiling, the arch for build machine is used for native-in=
puts,
> right?

Yes.

> I wonder how other native-inputs like gettext etc doesn't give this error=
.

There's very little code doing (assoc-ref inputs "gettext"),
(assoc-ref native-inputs "gettext") or (assoc-ref native-inputs "gettext")
in Guix. The only case I found:

   # cargo-build-system
  (when (assoc-ref inputs "gettext")
    (setenv "GETTEXT_SYSTEM" (assoc-ref inputs "gettext")))

So, I'm not sure what you're referring to.

Simply including gettext in native-inputs doesn't cause an error.

It it trying to (string-append (assoc-ref inputs "gettext") "stuff") that
raises an error when 'gettext' is not in 'inputs' or 'native-inputs' when c=
ompiling natively,
or when 'gettext' is not in 'inputs' when cross-compiling,
as in these cases, (assoc-ref inputs "gettext") returns #f.

Greetings,
Maxime.

--=-liXLZZiZUCcPPmglWjI8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYMTfERccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7uMFAP9bcZzdGN1P64hXxfnAbfhppTCZ
jOsd2ogJFCDGqUHY+QD+NkiF3VVYlzGg7/Rn/XiKPUOJn/yM7Tqkf0j3hnTCmQU=
=gS7d
-----END PGP SIGNATURE-----

--=-liXLZZiZUCcPPmglWjI8--





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 11 Jun 2021 04:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 11 00:17:07 2021
Received: from localhost ([127.0.0.1]:37978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lrYbT-00051e-7A
	for submit <at> debbugs.gnu.org; Fri, 11 Jun 2021 00:17:07 -0400
Received: from out0.migadu.com ([94.23.1.103]:52584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lrYbQ-00051U-57
 for 48729 <at> debbugs.gnu.org; Fri, 11 Jun 2021 00:17:06 -0400
To: Maxime Devos <maximedevos@HIDDEN>, 48729 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623385022;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=qjj/dS/GisRu1ugA9Sk8O3SS4dP/ERLrMyuhCjLR9vM=;
 b=ly9D85bnfWjOohbTag+GzyZH0hfFruAC+Ms7RtGINOxwpkncGrYYi+dK2DWi1RE7k5moA2
 XeDdMUlxul89E5VP3ao59ZWJiL2j+qHkFhNOV8kWlfwNwrkdo+5VUjQwat74j0iT8R1+Uz
 B/YtUjimsY4++LEVy0Bi/JSRhyKN8QgSzb3UDch9/NSnCdBzOewGUiEMQiD1f09s5L4Gq1
 bwWX2MU3AzDSsYAth3mlC13CUoCtG9Mz1qYRM/BtMiCr38b6ue0s26jnpiLv6e0VpbbkI1
 UQbhnRInIKrAyKywxSEqlGJi0gj+Hrh5fUaGCqgwP2bUr+ISMgClC6JY5ez53w==
References: <20210603095814.21158-1-rg@HIDDEN>
 <20210603095814.21158-5-rg@HIDDEN>
 <ac2bab159114b7ec339c965d1a8dd5cf900a3ad6.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 05/47] gnu: Add go-github-com-keybase-go-ps.
Message-ID: <d4a95f18-b13d-6d9d-9867-be88fb50debe@HIDDEN>
Date: Fri, 11 Jun 2021 00:17:01 -0400
MIME-Version: 1.0
In-Reply-To: <ac2bab159114b7ec339c965d1a8dd5cf900a3ad6.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="c3urzV1g42bArSaZYuHwFos6HfXdKrqbt"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--c3urzV1g42bArSaZYuHwFos6HfXdKrqbt
Content-Type: multipart/mixed; boundary="aVEKLzDutH7CorDYN7UhdzdHs2xgHCYdS";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48729 <at> debbugs.gnu.org
Cc: jgart@HIDDEN
Message-ID: <d4a95f18-b13d-6d9d-9867-be88fb50debe@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 05/47] gnu: Add
 go-github-com-keybase-go-ps.
References: <20210603095814.21158-1-rg@HIDDEN>
 <20210603095814.21158-5-rg@HIDDEN>
 <ac2bab159114b7ec339c965d1a8dd5cf900a3ad6.camel@HIDDEN>
In-Reply-To: <ac2bab159114b7ec339c965d1a8dd5cf900a3ad6.camel@HIDDEN>

--aVEKLzDutH7CorDYN7UhdzdHs2xgHCYdS
Content-Type: multipart/mixed;
 boundary="------------0AF45749A6CA9B6CD9E6A887"
Content-Language: en-CA

This is a multi-part message in MIME format.
--------------0AF45749A6CA9B6CD9E6A887
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime!

> When cross-compiling, coreutils is not in 'inputs', but in 'native-inpu=
ts', right?
> So this would lead to a build error when cross-compiling.
> (assoc-ref inputs "coreutils") would return #f, thus you'd get an excep=
tion
>=20
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> In procedure string-append: Wrong type (expecting string): #f

I am confused. It is used only during check phase (which is build-time), =

so when cross-compiling, the arch for build machine is used for=20
native-inputs right?

I wonder how other native-inputs like gettext etc doesn't give this error=
=2E

> I would make this (untested):
>=20
>    (sring-append (assoc-ref (or native-inputs inputs) "coreutils") "/bi=
n/sleep")

Thanks!

Regards,
RG.

--------------0AF45749A6CA9B6CD9E6A887
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------0AF45749A6CA9B6CD9E6A887--

--aVEKLzDutH7CorDYN7UhdzdHs2xgHCYdS--

--c3urzV1g42bArSaZYuHwFos6HfXdKrqbt
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYMLjvQUDAAAAAAAKCRBfWBZkf4vlUeY9
AQCmB7rwtNTbyh7aZVgwMT+6X/3/UP1CSRfCInZHjth1nAEAs9OZC5Wbs0/dZjDaMPs5SCwepIOv
8S1DRwqi+vyYSQc=
=BO1O
-----END PGP SIGNATURE-----

--c3urzV1g42bArSaZYuHwFos6HfXdKrqbt--




Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 11 Jun 2021 04:13:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 11 00:13:04 2021
Received: from localhost ([127.0.0.1]:37960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lrYXX-0004uR-SB
	for submit <at> debbugs.gnu.org; Fri, 11 Jun 2021 00:13:04 -0400
Received: from out2.migadu.com ([188.165.223.204]:55370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lrYXT-0004tR-Rs
 for 48729 <at> debbugs.gnu.org; Fri, 11 Jun 2021 00:13:02 -0400
To: Maxime Devos <maximedevos@HIDDEN>, 48729 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623384777;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=gBuwMnuwJ3VZHBElm7VxVBQOBQW231BGh8LxEkJf8Fk=;
 b=p77AVZzl/CaNvJeZGvpSZfIbAOZk3mC5+LJr93UuY5KV8WkaeBpjxhBqdpI3349ms9UNpo
 mWTcuKMEERcTQnlILuA0L0M7whmJFrEvaNz/AkoYXmgpJsrqN9HirwilH+71dNNe5F7Kw6
 9F40haIfD9Ut8UFipJLcp1KE5dQdFNpStZhH2VuMXDbhWFr3ztaUUY9pmaZpAVUEDFoPRC
 nQaBjlx9t+HAi89ji1Pzof0K6XbUfIsgPHKr0uoPbFRJMp7qlKG6LDTAEkUiup/kTOe/ta
 KjuaZUW1JloRyfmIL6uw53SZk8F80yBPijBUsv/upPHjSL6KOrmH70931gMPzg==
References: <20210603205110.7102-40-rg@HIDDEN>
 <20210603205110.7102-47-rg@HIDDEN>
 <c9c44d76a3547765cbe521252b94730307e997c0.camel@HIDDEN>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 47/47] gnu: Add bitmask-vpn.
Message-ID: <9af97e79-f215-1df7-f6f1-1d2df4e84ec0@HIDDEN>
Date: Fri, 11 Jun 2021 00:12:55 -0400
MIME-Version: 1.0
In-Reply-To: <c9c44d76a3547765cbe521252b94730307e997c0.camel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="zc262cM4HMiamIpwbHCxpHnpgAXaivNIV"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--zc262cM4HMiamIpwbHCxpHnpgAXaivNIV
Content-Type: multipart/mixed; boundary="j9y4RnYBYuDf3WUgi5PxPBagtzk59D1Pd";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 48729 <at> debbugs.gnu.org
Cc: jgart@HIDDEN
Message-ID: <9af97e79-f215-1df7-f6f1-1d2df4e84ec0@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 47/47] gnu: Add bitmask-vpn.
References: <20210603205110.7102-40-rg@HIDDEN>
 <20210603205110.7102-47-rg@HIDDEN>
 <c9c44d76a3547765cbe521252b94730307e997c0.camel@HIDDEN>
In-Reply-To: <c9c44d76a3547765cbe521252b94730307e997c0.camel@HIDDEN>

--j9y4RnYBYuDf3WUgi5PxPBagtzk59D1Pd
Content-Type: multipart/mixed;
 boundary="------------75609E9E5B6C5870BA8B6360"
Content-Language: en-CA

This is a multi-part message in MIME format.
--------------75609E9E5B6C5870BA8B6360
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Maxime!

> This can be done a bit simpler, and less prone to breakage
> if/when a new keyword argument is introduced at some poit
> in the future (untested):

Good point.

> (replace 'build
>    (lambda arguments
>      (lambda (directory)
>        (apply (assoc-ref %standard-phases 'build)
>               `(,@arguments #:directory ,directory)))))
>=20
> WDYT? Likewise in other places.

I tried to use this snippet, but how do I insert `for-each` here?

> Also, trailing #t in phases aren't required anymore
> (but harmless), though you probably know that already.
> (The warning should disappear when core-updates is merged.)

Yes, I'll remove them in the final patch-set.

Regards,
RG.

--------------75609E9E5B6C5870BA8B6360
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------75609E9E5B6C5870BA8B6360--

--j9y4RnYBYuDf3WUgi5PxPBagtzk59D1Pd--

--zc262cM4HMiamIpwbHCxpHnpgAXaivNIV
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYMLixwUDAAAAAAAKCRBfWBZkf4vlUXq6
AP4t7KpvBaC4XFvXhg8+Pfbwqt9/6Gxx0x62BJkMAcYaYAD/afEUegUn2U60MYg6UB5TC0macKmP
bk9RQ8Fta8WdJgo=
=5S8/
-----END PGP SIGNATURE-----

--zc262cM4HMiamIpwbHCxpHnpgAXaivNIV--




Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:21 2021
Received: from localhost ([127.0.0.1]:34541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zr-0002gK-UO
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:21 -0400
Received: from out2.migadu.com ([188.165.223.204]:29981)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zp-0002g5-Rm
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:15 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258072;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vDp+iJr9l2wrcmJ8/VvetBWltdhuDSDcqWqJy2Y/87s=;
 b=OZpkaTRAhR9NPemPsSYwAhtrzIKm2DTb7sxl/w92dosCtf10l+GnOcVj+ri6P0v6he6OQb
 yIjaJZaQX8Cz4hdofeWlkkvjgJbQ2cUnJVIPepR27ctHWJzLCUHCyQ2udS/cj/vqt15ato
 sHCg9Mw5crdpj0Qeu9u1d2BOTnNiCu/kYhZ6ldF0sqq6GWLAIsBbp9K5swLJ0BQNNDZEOi
 IWVMMUi1YJEx6gNWUi6EpGWw1nYF0uQtIOZMXrWf5Qi12qGoVW087thExmdbpfrKjMuPMN
 H2JOk+Cx2od8/GNDWca4cT1DQS52xlqGXLonMnzWmQthUqVZU3/oPoeJkHjRcA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 47/47] gnu: Add bitmask-vpn.
Date: Wed,  9 Jun 2021 13:00:22 -0400
Message-Id: <20210609170022.8207-47-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/vpn.scm (bitmask-vpn): New variable.
 Co-authored-by:
 Jorge Gomez <jgart@HIDDEN> --- gnu/packages/vpn.scm | 220
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 220 insertions(+) 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.2 TVD_IP_HEX             URI: No description available.
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, Jorge Gomez <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/vpn.scm (bitmask-vpn): New variable. Co-authored-by:
    Jorge Gomez <jgart@HIDDEN> --- gnu/packages/vpn.scm | 220 +++++++++++++++++++++++++++++++++++++++++++
    1 file changed, 220 insertions(+) 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.2 TVD_IP_HEX             URI: No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/vpn.scm (bitmask-vpn): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/vpn.scm | 220 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 220 insertions(+)

diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index a952e3f0db..3bc990c613 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -15,6 +15,8 @@
 ;;; Copyright © 2020 Ryan Prior <rprior@HIDDEN>
 ;;; Copyright © 2020 Ivan Kozlov <kanichos@HIDDEN>
 ;;; Copyright © 2020 David Dashyan <mail@HIDDEN>
+;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
+;;; Copyright © 2021 Jorge Gomez <jgart@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -38,6 +40,7 @@
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system linux-module)
   #:use-module (guix build-system python)
   #:use-module (guix utils)
@@ -52,6 +55,8 @@
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
+  #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages linux)
@@ -69,6 +74,221 @@
   #:use-module (gnu packages tls)
   #:use-module (gnu packages xml))
 
+(define-public bitmask
+  (package
+    (name "bitmask")
+    (version "0.20.4")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://0xacab.org/leap/bitmask-vpn")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "04sh69m5fq3gml4xgzv92z8i3hay98n9llq9p7p6q9q81s8q8849"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:imported-modules
+       ((guix build copy-build-system)
+        ,@%go-build-system-modules)
+       #:modules
+       (((guix build copy-build-system)
+         #:prefix copy:)
+        (guix build go-build-system)
+        (guix build utils))
+       #:unpack-path "0xacab.org/leap/bitmask-vpn"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'setup-go-environment 'insert-missing-sources
+           ;; For some reason these packages are left out.
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let* ((go-dialog (assoc-ref inputs "go-0xacab-org-leap-go-dialog"))
+                    (go-dialog-src (string-append go-dialog "/src"))
+                    (shapeshifter (assoc-ref inputs "go-0xacab-org-leap-shapeshifter"))
+                    (shapeshifter-src (string-append shapeshifter "/src")))
+               (copy-recursively go-dialog-src "src")
+               (copy-recursively shapeshifter-src "src"))
+             #t))
+         (add-after 'unpack 'patch-source
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             ;; To use 'emersion/go-autostart',
+             ;; instead of 'ProtonMail/go-autostart',
+             ;; as the latter no longer exists.
+             (substitute* (find-files "." "\\.go$")
+               (("github.com/ProtonMail/go-autostart")
+                "github.com/emersion/go-autostart"))
+             ;; To use absolute paths for referenced programs.
+             (let* ((ip (string-append (assoc-ref inputs "iproute")
+                                       "/sbin/ip"))
+                    (iptables (string-append (assoc-ref inputs "iptables")
+                                             "/sbin/iptables"))
+                    (ip6tables (string-append (assoc-ref inputs "iptables")
+                                              "/sbin/ip6tables"))
+                    (sysctl (string-append (assoc-ref inputs "procps")
+                                           "/sbin/sysctl"))
+                    (openvpn (string-append (assoc-ref inputs "openvpn")
+                                            "/sbin/openvpn"))
+                    (bitmask-root (string-append (assoc-ref outputs "out")
+                                                 "/sbin/bitmask-root")))
+               (substitute* (find-files "." "(\\.go$|\\.policy$|bitmask-root)")
+                 (("swhich\\(\"ip\"\\)")
+                  (string-append "\"" ip "\""))
+                 (("swhich\\(\"iptables\"\\)")
+                  (string-append "\"" iptables "\""))
+                 (("swhich\\(\"ip6tables\"\\)")
+                  (string-append "\"" ip6tables "\""))
+                 (("swhich\\(\"sysctl\"\\)")
+                  (string-append "\"" sysctl "\""))
+                 (("/usr/sbin/openvpn")
+                  openvpn)
+                 (("/usr/sbin/bitmask-root")
+                  bitmask-root)
+                 (("/usr/local/sbin/bitmask-root")
+                  bitmask-root)))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-connect"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-vpn"
+               "0xacab.org/leap/bitmask-vpn/icon"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmaskd"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/standalone"
+               "0xacab.org/leap/bitmask-vpn/pkg/systray"
+               "0xacab.org/leap/bitmask-vpn/tools/transifex"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-connect"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-vpn"
+               "0xacab.org/leap/bitmask-vpn/icon"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmaskd"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/standalone"
+               "0xacab.org/leap/bitmask-vpn/pkg/systray"
+               "0xacab.org/leap/bitmask-vpn/tools/transifex"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-connect"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-vpn"
+               "0xacab.org/leap/bitmask-vpn/icon"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmaskd"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/standalone"
+               "0xacab.org/leap/bitmask-vpn/pkg/systray"
+               "0xacab.org/leap/bitmask-vpn/tools/transifex"))
+             #t))
+         (add-after 'install 'install-continued
+           ;; To install bitmask-root script and polkit policy.
+           (lambda args
+             (apply (assoc-ref copy:%standard-phases 'install)
+                    #:install-plan
+                    '(("src/0xacab.org/leap/bitmask-vpn/helpers"
+                       "sbin"
+                       #:include ("bitmask-root"))
+                      ("src/0xacab.org/leap/bitmask-vpn/helpers"
+                       "share/polkit-1/actions"
+                       #:include ("se.leap.bitmask.policy")))
+                    args)))
+         (add-after 'install-continued 'post-install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bitmask-root (string-append out "/sbin/bitmask-root")))
+               ;; To make bitmask-root script executable.
+               (chmod bitmask-root #o555)
+               ;; To wrap bitmask-root script with $PYTHONPATH.
+               (wrap-program bitmask-root
+                 `("PYTHONPATH" ":" prefix (,(getenv "PYTHONPATH")))))
+             #t)))))
+    (native-inputs
+     `(("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("gtk+" ,gtk+)
+       ("iproute" ,iproute)
+       ("iptables" ,iptables)
+       ("libappindicator" ,libappindicator)
+       ("openvpn" ,openvpn)
+       ("procps" ,procps)
+       ("python" ,python)))
+    (propagated-inputs
+     `(("go-0xacab-org-leap-go-dialog"
+        ,go-0xacab-org-leap-go-dialog)
+       ("go-0xacab-org-leap-shapeshifter"
+        ,go-0xacab-org-leap-shapeshifter)
+       ("go-github-com-apparentlymart-go-openvpn-mgmt"
+        ,go-github-com-apparentlymart-go-openvpn-mgmt)
+       ("go-github-com-emersion-go-autostart"
+        ,go-github-com-emersion-go-autostart)
+       ("go-github-com-getlantern-systray"
+        ,go-github-com-getlantern-systray)
+       ("go-github-com-jmshal-go-locale"
+        ,go-github-com-jmshal-go-locale)
+       ("go-github-com-keybase-go-ps"
+        ,go-github-com-keybase-go-ps)
+       ("go-github-com-sevlyar-go-daemon"
+        ,go-github-com-sevlyar-go-daemon)
+       ("go-github-com-skratchdot-open-golang"
+        ,go-github-com-skratchdot-open-golang)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-tools" ,go-golang-org-x-tools)))
+    (synopsis "Bitmask VPN Client")
+    (description "Bitmask, by @acronym{LEAP, LEAP Encryption Access Project},
+is an application to provide easy and secure encrypted communication with a
+@acronym{VPN, Virtual Private Network}.  It allows you to select from a variety
+of trusted service provider all from one app.  Current providers include Riseup
+Networks and The Calyx Institute.")
+    (home-page "https://bitmask.net/")
+    (license license:gpl3+)))
+
 (define-public gvpe
   (package
     (name "gvpe")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:14 2021
Received: from localhost ([127.0.0.1]:34539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zq-0002g7-Mz
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:14 -0400
Received: from out2.migadu.com ([188.165.223.204]:29966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zn-0002ff-DE
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258070;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=miMrBG9tIv4YMYdcWb3JEqk6p2RDrJVdjr6YB1tI9Os=;
 b=UK1fg/zpZFGTPqb54AlZUTj3mHPMZj8e3uKwD1ljCPOI/4p3JH9jNlK2Dj74wHOB/ezy/d
 t6F/ogNJedljz3Q85LRysDCmIGs3ETEG2Lta6mTKC+s72t5Xv1CJLyFzTUz1Vh4VpvnZh3
 OOQ0y+LPv3YK0ZadwL4lnE67YPxLSih16D41Jz4/aUD63hG8tJP2MbVYUA/zV55br+hEUk
 6KB5D1ZVW04i0bqjasaSWzfrkzaVHkBCMCBt+4dlY/YRpxQMCazLPLZMJhs9j9vSOd1ulB
 DgFV2gWhyxGDNK45nJoHJSHOn/opcRZ4UHiBhDwxjzWBj2sUZ1+/vyjissyQaA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 46/47] gnu: Add go-0xacab-org-leap-go-dialog.
Date: Wed,  9 Jun 2021 13:00:21 -0400
Message-Id: <20210609170022.8207-46-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/golang.scm (go-0xacab-org-leap-go-dialog):
 New variable. --- gnu/packages/golang.scm | 32
 ++++++++++++++++++++++++++++++++ 1 file changed,
 32 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index f92e14ad28..96bf6e6551 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -74,6 +74,38 @@ #:use-module (ice-9 ma [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.2 TVD_IP_HEX             URI: No description available.
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/golang.scm (go-0xacab-org-leap-go-dialog):
   New variable. --- gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
    1 file changed, 32 insertions(+) diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
    index f92e14ad28..96bf6e6551 100644 --- a/gnu/packages/golang.scm +++ b/gnu/packages/golang.scm
    @@ -74,6 +74,38 @@ #:use-module (ice-9 ma [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.2 TVD_IP_HEX             URI: No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/golang.scm (go-0xacab-org-leap-go-dialog): New variable.
---
 gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f92e14ad28..96bf6e6551 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,38 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-0xacab-org-leap-go-dialog
+  (let ((commit "0ee8438431a0dca8f25ea788d74bfe7e88078b7a")
+        (revision "25"))
+    (package
+      (name "go-0xacab-org-leap-go-dialog")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://0xacab.org/leap/go-dialog")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1dn2dxpg6162f7vyr66vnwhy31wnjj7f14bqdcs7q0wk890kfh21"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "0xacab.org/leap/go-dialog"))
+      (native-inputs
+       `(("gtk+:bin" ,gtk+ "bin")
+         ("pkg-config" ,pkg-config)))
+      (inputs
+       `(("gtk+" ,gtk+)))
+      (propagated-inputs
+       `(("go-github-com-gotk3-gotk3"
+          ,go-github-com-gotk3-gotk3)))
+      (home-page "https://0xacab.org/leap/go-dialog")
+      (synopsis "Dialog API for Go")
+      (description "Dialog is a simple cross-platform dialog API for go-lang.")
+      (license license:isc))))
+
 (define-public go-github-com-sqweek-dialog
   (let ((commit "8a3d98e8211d6ee4351f31eb597043631002144b")
         (revision "30"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:12 2021
Received: from localhost ([127.0.0.1]:34535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zo-0002fr-Co
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:12 -0400
Received: from out2.migadu.com ([188.165.223.204]:29952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zl-0002fY-NB
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:09 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258069;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=5uhpHvuliLjkbYoZ3c3QjMgaqCJbjPqJ0pkNtU7B8js=;
 b=QNimZOHoMyIetVAXm/CBAZC5C+3H0h+77fmo3Y1duEToOGZiJli0pOHjdz5kmQ0XDZ5fdD
 Of86DjTQPMiV4nbpuI9Z2FmcNA2t812WtyUjJpysAwngCBrWR8AP85nqN4ba6FFkd44QMg
 FOzX26qcx50a8is03FjhUeBtPEF6Y2A8twzIbRAtg42y6ZJjNPs13nkrmyUbAJa/Q16CbY
 VCDlby9bQPUK4j81Vb9hjEudCbRW8qLECSiLCZ/UgY5QAY7E0mOQyt1cfB0SfDa0a6r3kL
 CcWPDZHrolN8yN6ncEJlcX2h9ZjuRPeZTM4GLQgjK6SFyq1/heoDNfW3Edo4MA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 45/47] gnu: Add go-github-com-sqweek-dialog.
Date: Wed,  9 Jun 2021 13:00:20 -0400
Message-Id: <20210609170022.8207-45-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-sqweek-dialog): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d6e54c9d8b..f92e14ad28 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-sqweek-dialog
+  (let ((commit "8a3d98e8211d6ee4351f31eb597043631002144b")
+        (revision "30"))
+    (package
+      (name "go-github-com-sqweek-dialog")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/sqweek/dialog")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1sdb4nddjyx1dkddk7cga71ymv1fd69pzdf4nywvfb33nfqqbvl1"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/sqweek/dialog"))
+      (native-inputs
+       `(("gtk+:bin" ,gtk+ "bin")
+         ("pkg-config" ,pkg-config)))
+      (inputs
+       `(("gtk+" ,gtk+)))
+      (home-page "https://github.com/sqweek/dialog")
+      (synopsis "Dialog API for Go")
+      (description "Dialog is a simple cross-platform dialog API for go-lang.")
+      (license license:isc))))
+
 (define-public go-github-com-skratchdot-open-golang
   (let ((commit "eef8423979666925a58eb77f9db583e54320d5a4")
         (revision "28"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:12 2021
Received: from localhost ([127.0.0.1]:34533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zn-0002fo-Vd
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:12 -0400
Received: from out2.migadu.com ([188.165.223.204]:29941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zj-0002fJ-Vs
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258067;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=nHUFt7gLQnXY3+/wfoKt+8V8SFv7WhyWwnL4UGkJy8g=;
 b=pRQh5YupG8UTD5S337j8UC0i7KdL0UlqdJp1dVehQqDLBF0ajuZaCr0tojsix4030zlBBw
 OLkhxSUgIKM0sdRVBSQ3BFhbIWAJWFgx8Pkwk9sFV+S1Mmym8hTWndyTU87Yf6Bj7STpo0
 LYHrn7NjdsElMUojcN2hF3HP3h2aiZM0vXpT+xJoWgg1OgfYPVY+hJgN83OYWGhaF2x6Y0
 epcorr/fb1Qsv7KTSvJlgZRJv0VqDnBDzoxsKAjl0g7PeuTAB27ueJjuDj7MaxtivbrN0Y
 fPYQhq5//C/oT5TsTaP1vy49wQUtO/Xd8CEIZXknxxfgB6lHFY80DozV19lFtg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 44/47] gnu: Add go-github-com-skratchdot-open-golang.
Date: Wed,  9 Jun 2021 13:00:19 -0400
Message-Id: <20210609170022.8207-44-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-skratchdot-open-golang): New variable.
---
 gnu/packages/golang.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e5e3098e97..d6e54c9d8b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,41 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-skratchdot-open-golang
+  (let ((commit "eef8423979666925a58eb77f9db583e54320d5a4")
+        (revision "28"))
+    (package
+      (name "go-github-com-skratchdot-open-golang")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/skratchdot/open-golang")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0n6387csjn024db8wldadsiy8ljz7lk7szl6ls28fcbkax7rw86y"))
+         (modules '((guix build utils)))
+         (snippet
+          `(begin
+             (delete-file-recursively "vendor")
+             #t))))
+      (build-system go-build-system)
+      (arguments
+       `(#:tests? #f                    ; requires networking
+         #:unpack-path "github.com/skratchdot/open-golang"
+         #:import-path "github.com/skratchdot/open-golang/open"))
+      (inputs
+       `(("xdg-open" ,xdg-utils)))
+      (home-page "https://github.com/skratchdot/open-golang")
+      (synopsis "Proxy for XDG-Open")
+      (description "Open-GoLang provides a module to open a file, directory, or
+URI using the OS's default application for that object type.  Optionally, you can
+specify an application to use.")
+      (license license:expat))))
+
 (define-public go-github-com-skelterjohn-go-wde
   (let ((commit "adc3f78cdb457e9db21bfff010c85ed97315d8d7")
         (revision "203"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:07 2021
Received: from localhost ([127.0.0.1]:34525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zj-0002fF-M6
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:07 -0400
Received: from out2.migadu.com ([188.165.223.204]:29932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zi-0002ee-B0
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:06 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258065;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=mNKogqPIKRpCa44jX3FfhXMxIU+LRJlS+JN0pdPzxDE=;
 b=QiLEWQyjAxVenrRgdnW9bgSciimgcr/xRORDz75N6bWUl+cSPPi0S6R/cUU3To2M6pd3S0
 bnl/dmCzNESW2Xtp/mjTZiZsC9l242/tVAEpVCY3GUJUUe6Q3vDDw6TC50ngUbGOsnv8iG
 2sULPONIxcoBIIEUp9Gn31Y7CQEfawQcYfeXgzIYdPndY0Bl5zq7crxMH7ML6tSikXB+DT
 KN6ii0bZ00soV/dXTw7OsuuFBeDYXaByia2aQpWsmFFYSyHElOC+XRJvi07nsDP9q1JDnj
 5g8ULyyzh8Il55wv2BSjGVog//EbzCc5d5RSuo5mVF45FQp1XDNAU12WsZY78w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 43/47] gnu: Add go-github-com-skelterjohn-go-wde.
Date: Wed,  9 Jun 2021 13:00:18 -0400
Message-Id: <20210609170022.8207-43-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-skelterjohn-go-wde): New variable.
---
 gnu/packages/golang.scm | 43 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 074e8e6bdf..e5e3098e97 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,49 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-skelterjohn-go-wde
+  (let ((commit "adc3f78cdb457e9db21bfff010c85ed97315d8d7")
+        (revision "203"))
+    (package
+      (name "go-github-com-skelterjohn-go-wde")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/skelterjohn/go.wde")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1zxdilxd7iyv367xv7qx7ca0v6fkw5l8gy1bv8s762akx0vqbd85"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/skelterjohn/go.wde"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'patch-source
+             (lambda _
+               (substitute* (find-files "." "\\.go$")
+                 ;; Use 'jezek/xgb' instead of 'BurntSushi/xgb',
+                 ;; as the latter is unmaintained.
+                 (("github.com/BurntSushi/xgb")
+                  "github.com/jezek/xgb"))
+               #t)))))
+      (propagated-inputs
+       `(("go-github-com-go-gl-gl"
+          ,go-github-com-go-gl-gl)
+         ("go-github-com-grd-glfw3"
+          ,go-github-com-grd-glfw3)
+         ("go-github-com-jezek-xgb"
+          ,go-github-com-jezek-xgb)
+         ("go-github-com-burntsushi-xgbutil"
+          ,go-github-com-burntsushi-xgbutil)))
+      (home-page "https://github.com/skelterjohn/go.wde")
+      (synopsis "Windows, drawing and events for Go")
+      (description "Go-WDE provides (W)indows, (D)rawing and (E)vents for Go.")
+      (license license:asl2.0))))
+
 (define-public go-github-com-go-gl-gl
   (let ((commit "69f74958bac0960e82e8ac5977ff073af29381ba")
         (revision "87"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:07 2021
Received: from localhost ([127.0.0.1]:34523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zj-0002f7-5W
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:07 -0400
Received: from out2.migadu.com ([188.165.223.204]:29926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zg-0002e8-O8
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:05 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258064;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=RXRXFKKAL9DB9vakABpqkrMv1Mtn96usuMdCTsiDzqg=;
 b=Xes7VGHiF68etGYhkz4fuxpbCiO8utpTwnosTzuiuYUB54Dv1cWTOeke1qzJzeGPiB6Dk7
 ssU1kKErs5zk5jBR2oIJy7GEKsNAxnq/ii9xg0ts733g5od5LoCqhYyC5Xhw54hkEnJiI4
 MTyLbSzrn+z7PSx6zoeE/fHHo1lQ1IW9Y6FfPgPu4tY5Woh+BHTIO9VN7LaIDKSkE4TcJb
 IvS1yTHuiVDMSF0TDjSFK0PBWwkiplCVdyrVzbRCjMt1FOr7umFVPGTLxATB74DoaK3W2V
 9C8gUylZyn2s78nRQaVrUeTNYlOePSvXwPDC9Pkyyg6stFHaI1fFxGHqR4ustw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 42/47] gnu: Add go-github-com-go-gl-gl.
Date: Wed,  9 Jun 2021 13:00:17 -0400
Message-Id: <20210609170022.8207-42-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-go-gl-gl): New variable.
---
 gnu/packages/golang.scm | 134 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 134 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3a632b0705..074e8e6bdf 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,140 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-go-gl-gl
+  (let ((commit "69f74958bac0960e82e8ac5977ff073af29381ba")
+        (revision "87"))
+    (package
+      (name "go-github-com-go-gl-gl")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/go-gl/gl")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "15bqz4dax3b5ha9qcc855aczsa89qa65p578dnjrbww53q31s5w0"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/go-gl/gl"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/go-gl/gl/all-core/gl"
+                 "github.com/go-gl/gl/v2.1/gl"
+                 "github.com/go-gl/gl/v3.1/gles2"
+                 "github.com/go-gl/gl/v3.2-compatibility/gl"
+                 "github.com/go-gl/gl/v3.2-core/gl"
+                 "github.com/go-gl/gl/v3.3-compatibility/gl"
+                 "github.com/go-gl/gl/v3.3-core/gl"
+                 "github.com/go-gl/gl/v4.1-compatibility/gl"
+                 "github.com/go-gl/gl/v4.1-core/gl"
+                 "github.com/go-gl/gl/v4.2-compatibility/gl"
+                 "github.com/go-gl/gl/v4.2-core/gl"
+                 "github.com/go-gl/gl/v4.3-compatibility/gl"
+                 "github.com/go-gl/gl/v4.3-core/gl"
+                 "github.com/go-gl/gl/v4.4-compatibility/gl"
+                 "github.com/go-gl/gl/v4.4-core/gl"
+                 "github.com/go-gl/gl/v4.5-compatibility/gl"
+                 "github.com/go-gl/gl/v4.5-core/gl"
+                 "github.com/go-gl/gl/v4.6-compatibility/gl"
+                 "github.com/go-gl/gl/v4.6-core/gl"))
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/go-gl/gl/all-core/gl"
+                 "github.com/go-gl/gl/v2.1/gl"
+                 "github.com/go-gl/gl/v3.1/gles2"
+                 "github.com/go-gl/gl/v3.2-compatibility/gl"
+                 "github.com/go-gl/gl/v3.2-core/gl"
+                 "github.com/go-gl/gl/v3.3-compatibility/gl"
+                 "github.com/go-gl/gl/v3.3-core/gl"
+                 "github.com/go-gl/gl/v4.1-compatibility/gl"
+                 "github.com/go-gl/gl/v4.1-core/gl"
+                 "github.com/go-gl/gl/v4.2-compatibility/gl"
+                 "github.com/go-gl/gl/v4.2-core/gl"
+                 "github.com/go-gl/gl/v4.3-compatibility/gl"
+                 "github.com/go-gl/gl/v4.3-core/gl"
+                 "github.com/go-gl/gl/v4.4-compatibility/gl"
+                 "github.com/go-gl/gl/v4.4-core/gl"
+                 "github.com/go-gl/gl/v4.5-compatibility/gl"
+                 "github.com/go-gl/gl/v4.5-core/gl"
+                 "github.com/go-gl/gl/v4.6-compatibility/gl"
+                 "github.com/go-gl/gl/v4.6-core/gl"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/go-gl/gl/all-core/gl"
+                 "github.com/go-gl/gl/v2.1/gl"
+                 "github.com/go-gl/gl/v3.1/gles2"
+                 "github.com/go-gl/gl/v3.2-compatibility/gl"
+                 "github.com/go-gl/gl/v3.2-core/gl"
+                 "github.com/go-gl/gl/v3.3-compatibility/gl"
+                 "github.com/go-gl/gl/v3.3-core/gl"
+                 "github.com/go-gl/gl/v4.1-compatibility/gl"
+                 "github.com/go-gl/gl/v4.1-core/gl"
+                 "github.com/go-gl/gl/v4.2-compatibility/gl"
+                 "github.com/go-gl/gl/v4.2-core/gl"
+                 "github.com/go-gl/gl/v4.3-compatibility/gl"
+                 "github.com/go-gl/gl/v4.3-core/gl"
+                 "github.com/go-gl/gl/v4.4-compatibility/gl"
+                 "github.com/go-gl/gl/v4.4-core/gl"
+                 "github.com/go-gl/gl/v4.5-compatibility/gl"
+                 "github.com/go-gl/gl/v4.5-core/gl"
+                 "github.com/go-gl/gl/v4.6-compatibility/gl"
+                 "github.com/go-gl/gl/v4.6-core/gl"))
+               #t)))))
+      (native-inputs
+       `(("pkg-config" ,pkg-config)))
+      (inputs
+       `(("mesa" ,mesa)))
+      (propagated-inputs
+       `(("go-github-com-go-gl-glow" ,go-github-com-go-gl-glow)))
+      (home-page "https://github.com/go-gl/gl")
+      (synopsis "Go bindings for OpenGL")
+      (description "Go-GL holds Go bindings to various OpenGL versions.")
+      (license license:expat))))
+
 (define-public go-github-com-go-gl-glow
   (let ((commit "640349a6105e64eb9e5085d2afee1ab2ec67d2dc")
         (revision "300"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:07 2021
Received: from localhost ([127.0.0.1]:34521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zi-0002f3-U7
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:07 -0400
Received: from out2.migadu.com ([188.165.223.204]:29918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Ze-0002dO-Vt
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:03 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258062;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ZcW24fBBhlXUWRxHVWSYan55ZTzIoPQOLSwK0W1eIig=;
 b=LHI0wvBV/lEsZoeFVJu5fJOC/eIo44IWDy7zMTAyjtgDHhFUAAzsESCe5NPSaXnfmn39CR
 8sIqfpGJ65/mDvWNoFMJAKIaEax+4vwnZ/pCKEy3WhXZdn6lgruBTbIs5s1zlhwwLH9u4D
 UlE1/r6x/oa1Pr74vbfR7BRP5J3kSA0X1sQaJwiuuAuQXCd2d/GY9dy3QHDV63V2cxpFtV
 35XZTyKoWXy9LYBakEx3I94tSsO9ReczXyBQy64VS+4bOu7lkNgdp08RO5dLQHkxghWWfF
 EPrctT1oTwGwOo3ZOQwKyk1TYZIWPmj/Ukh9ohi3ZtuswNbKzKxImH1O6jGVlg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 41/47] gnu: Add go-github-com-go-gl-glow.
Date: Wed,  9 Jun 2021 13:00:16 -0400
Message-Id: <20210609170022.8207-41-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-go-gl-glow): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7661813489..3a632b0705 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-go-gl-glow
+  (let ((commit "640349a6105e64eb9e5085d2afee1ab2ec67d2dc")
+        (revision "300"))
+    (package
+      (name "go-github-com-go-gl-glow")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/go-gl/glow")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1lzibraqjkzibvxw1lagrlzpjsqbp5pd4fcyi6ygqhgja0ik3zd7"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/go-gl/glow"))
+      (propagated-inputs
+       `(("go-golang-org-x-tools" ,go-golang-org-x-tools)))
+      (home-page "https://github.com/go-gl/glow")
+      (synopsis "Go binding generator for OpenGL")
+      (description "Glow is an OpenGL binding generator for Go.  It parses the
+OpenGL XML API registry and the EGL XML API registry to produce a
+machine-generated cgo bridge between Go functions and native OpenGL functions.")
+      (license license:expat))))
+
 (define-public go-github-com-grd-glfw3
   (let ((commit "55390ea70f0d427a7ed40c26ea19e82fce17c927")
         (revision "100"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:03 2021
Received: from localhost ([127.0.0.1]:34508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zf-0002da-9q
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:29908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zd-0002co-8P
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:01 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258060;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=9A1inAO1gy6fo3dK0J9D6F170Ff9rR0ictjxunClSVI=;
 b=DOvjrzT1dtrL1L16sDBXeU7yv2IVD/5n5ORPve3TrrJTkpQ2Ce0nryh1UD0ITELwJVpnLe
 ikPR0n45qRu+ojP8IitUYQjM9gIj6otqmePJiwheSRt2C8gjJe73IE43oTijP4AsnqxzG5
 OsYlCb/0fx/Gtq6SemxK2R2XQQ/d0CrQK49R7CsWUmre9u2HpPivYzHsXKRkW8niaH0art
 iANJ1iVyxPnYbubb9QqGw5yhu5XcP1AfxZ6bhAZwqK87YIZuNs4VmM60ygDqgGWabrJXas
 tSqjgcHZtkBhiw3w6XFSPQ4iZCmd74LJuDL/0wYjcHo79z11rqK2uv6J3X1mfQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 40/47] gnu: Add go-github-com-grd-glfw3.
Date: Wed,  9 Jun 2021 13:00:15 -0400
Message-Id: <20210609170022.8207-40-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-grd-glfw3): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 691a5fed00..7661813489 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -57,6 +57,7 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
@@ -73,6 +74,32 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-grd-glfw3
+  (let ((commit "55390ea70f0d427a7ed40c26ea19e82fce17c927")
+        (revision "100"))
+    (package
+      (name "go-github-com-grd-glfw3")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/grd/glfw3")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "15avw38mgx54a3rmlz97ryczpcbibn00rd8486w2si6f1zcawpxw"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/grd/glfw3"))
+      (inputs
+       `(("glfw" ,glfw)))
+      (home-page "https://github.com/grd/glfw3")
+      (synopsis "Go bindings for GLFW3")
+      (description "Go bindings for GLFW3.")
+      (license license:bsd-3))))
+
 (define-public go-github-com-mattn-go-gtk
   (let ((commit "af2e013261f57706ec683a61f85e8759a3faf6be")
         (revision "1134"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:03 2021
Received: from localhost ([127.0.0.1]:34503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Ze-0002dS-Rc
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:29890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Zb-0002cM-J5
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:00 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258059;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=kD/i3b4fgO09RmKrnZDbKj4TPpFoClHiuwHF5Bu5jHk=;
 b=YObWrFVCmmI+V/nGTYB0iptQm6P3mfJjTlSTsSIW+B2f/1BapCp6rNIW58rIjoisjce45L
 TTMmOBlw3Ov/LFkHwf4aOjiAvcOWCUd9tiIqvSkA+qLI00n3kJapVMgqA2DrGVl/UUzNGs
 iB/vgjae0AMNWpZMsr37IHGzbnrcW08nlSqy3u5pnqX3VimAzxhp+iLsbDdySJQibTxP3n
 Fjr4rS+whP7SbBlTHu0fIHyyeR2pbkcSkaxjULqwF/559MFnRTFgioY8vyHZC3OQMDn+Ze
 FnjnKGwtDlhZQyVDpalyTOoqWcHVfnsLxhgMfamScnQXZddvSHbiUIHcGnp7mw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 39/47] gnu: Add go-github-com-mattn-go-gtk.
Date: Wed,  9 Jun 2021 13:00:14 -0400
Message-Id: <20210609170022.8207-39-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-mattn-go-gtk): New variable.
---
 gnu/packages/golang.scm | 135 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 135 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d9a2f40285..691a5fed00 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -58,6 +58,7 @@
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages mp3)
@@ -72,6 +73,140 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-mattn-go-gtk
+  (let ((commit "af2e013261f57706ec683a61f85e8759a3faf6be")
+        (revision "1134"))
+    (package
+      (name "go-github-com-mattn-go-gtk")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/mattn/go-gtk")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1zcvxz45iinamxnpvwf5ij9f6dk62bdbjg1vaggvyz79z5y9llk2"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/mattn/go-gtk"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/mattn/go-gtk/gdk"
+                 "github.com/mattn/go-gtk/gdkpixbuf"
+                 "github.com/mattn/go-gtk/gio"
+                 "github.com/mattn/go-gtk/glib"
+                 "github.com/mattn/go-gtk/gtk"
+                 "github.com/mattn/go-gtk/gtkgl"
+                 "github.com/mattn/go-gtk/gtksourceview"
+                 "github.com/mattn/go-gtk/gtkspell"
+                 "github.com/mattn/go-gtk/pango"
+                 "github.com/mattn/go-gtk/tools/gogtkinfo"
+                 "github.com/mattn/go-gtk/tools/make_inline_pixbuf"))
+               #t))
+           (add-before 'check 'pre-check
+             (lambda _
+               ;; Tests require a running X server.
+               (system "Xvfb :1 +extension GLX &")
+               (setenv "DISPLAY" ":1")
+               ;; Tests write to $HOME.
+               (setenv "HOME" (getcwd))
+               ;; Tests look for $XDG_RUNTIME_DIR.
+               (setenv "XDG_RUNTIME_DIR" (getcwd))
+               ;; For missing '/etc/machine-id'.
+               (setenv "DBUS_FATAL_WARNINGS" "0")
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/mattn/go-gtk/gdk"
+                 "github.com/mattn/go-gtk/gdkpixbuf"
+                 "github.com/mattn/go-gtk/gio"
+                 "github.com/mattn/go-gtk/glib"
+                 "github.com/mattn/go-gtk/gtk"
+                 "github.com/mattn/go-gtk/gtkgl"
+                 "github.com/mattn/go-gtk/gtksourceview"
+                 "github.com/mattn/go-gtk/gtkspell"
+                 "github.com/mattn/go-gtk/pango"
+                 "github.com/mattn/go-gtk/tools/gogtkinfo"))
+               ;; ERROR: Println arg list ends with redundant newline.
+               ;;"github.com/mattn/go-gtk/tools/make_inline_pixbuf"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/mattn/go-gtk/gdk"
+                 "github.com/mattn/go-gtk/gdkpixbuf"
+                 "github.com/mattn/go-gtk/gio"
+                 "github.com/mattn/go-gtk/glib"
+                 "github.com/mattn/go-gtk/gtk"
+                 "github.com/mattn/go-gtk/gtkgl"
+                 "github.com/mattn/go-gtk/gtksourceview"
+                 "github.com/mattn/go-gtk/gtkspell"
+                 "github.com/mattn/go-gtk/pango"
+                 "github.com/mattn/go-gtk/tools/gogtkinfo"
+                 "github.com/mattn/go-gtk/tools/make_inline_pixbuf"))
+               #t)))))
+      (native-inputs
+       `(("glib:bin" ,glib "bin")
+         ("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)
+         ("gtk+:bin" ,gtk+-2 "bin")
+         ("pkg-config" ,pkg-config)
+         ("xorg-server" ,xorg-server-for-tests)))
+      (inputs
+       `(("gdk-pixbuf" ,gdk-pixbuf+svg)
+         ("glib" ,glib)
+         ("gtk+" ,gtk+-2)
+         ("gtkgl" ,gtkglarea)
+         ("gtksourceview" ,gtksourceview-2)
+         ("gtkspell" ,gtkspell2)
+         ("pango" ,pango)))
+      (propagated-inputs
+       `(("go-github-com-mattn-go-pointer"
+          ,go-github-com-mattn-go-pointer)))
+      (home-page "https://github.com/mattn/go-gtk")
+      (synopsis "Go bindings for GTK")
+      (description "Go bindings for GTK.")
+      (license license:bsd-3))))
+
 (define-public go-github-com-jmshal-go-locale
   (let ((commit "eb00fb25cc61bca7a5331ae576ae4a3d5572a1e4")
         (revision "8"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:00 2021
Received: from localhost ([127.0.0.1]:34497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zc-0002cc-J0
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:00 -0400
Received: from out2.migadu.com ([188.165.223.204]:29881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1Za-0002cC-1c
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:58 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258057;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=t3UK5/IveDDhe3RMQYK9zz2CR16nf9sZeJX16b+BdI4=;
 b=BdRYtQNTQQqbpF3tLUIHPUed4Z+YO2ec99witBHCiixowQcD8yJips8YbKKLb3olqkzaOR
 +xXfBv6NT6Owojog4IJ0qxGJKTryQrl+rs06Wo447HclIerTKgWC2L1kUP/f93O7UQ4EwY
 Yy5HZx36wOV0tBav0uqXd/9M2mUlPFspeAt27/2ebafDET2mKyn1wiBmyUktSjUroU6ELI
 mBrsXx6Cr2NOHMtdYM+rucmRyRSwmjNj8rUNnRIQdpq6hM6aQj6DkAEXwxFIDePSLYN/SD
 1ooyaJF+0FSKUorpOwkii4CWx73uh0T1MS1zD226LoAYn9nyAz8u8KdcFoS9KA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 38/47] gnu: Add gtkspell2.
Date: Wed,  9 Jun 2021 13:00:13 -0400
Message-Id: <20210609170022.8207-38-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gtk.scm (gtkspell2): New variable.
---
 gnu/packages/gtk.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 138fa7c314..c8c7d1e718 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1914,6 +1914,33 @@ glass artworks done by Venicians glass blowers.")
 misspelled words in a GtkTextView widget.")
     (license license:gpl2+)))
 
+(define-public gtkspell2
+  (package
+    (inherit gtkspell3)
+    (name "gtkspell2")
+    (version "2.0.16")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/gtkspell/"
+                           version "/gtkspell-" version ".tar.gz"))
+       (sha256
+        (base32 "00hdv28bp72kg1mq2jdz1sdw2b8mb9iclsp7jdqwpck705bdriwg"))))
+    (arguments
+     `(#:configure-flags
+       (list
+        "--disable-static")))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("intltool" ,intltool)
+       ("pkg-config" ,pkg-config)
+       ("xmllint" ,libxml2)))
+    (inputs
+     `(("enchant" ,enchant-1.6)
+       ("pango" ,pango)))
+    (propagated-inputs
+     `(("gtk+" ,gtk+-2)))))
+
 (define-public clipit
   (package
     (name "clipit")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:00 2021
Received: from localhost ([127.0.0.1]:34495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zc-0002cP-5H
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:00 -0400
Received: from out2.migadu.com ([188.165.223.204]:29874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZY-0002bz-D1
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:57 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258055;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=1YnkGwGsaOgWojpY6ks14JZHxJq+6e/zvGkBlx8h0As=;
 b=uGnHoF8/UJMHv2bXUQVMXL+sw4mPdujWAgbSxqGI/MxIuBwc7JgnqgPBr+Jb2AFV/Mzxgw
 fVAxlkUksNIlOaaWj19rPeki5MMoYkUio3uAGELV5gpdFB/Oin6LdjjIW1QJFxOsNo3vtB
 NhPnknMpX+d/354na2ywLvL74KTeNKymrYfz6oUlDHesL6ngYaCRIGzGVnB8tHyjzTDH17
 g5XUeUmjFBqmymzXq9ODrVH5na44V5fBJOvLWi5op2ePqtTvY7kFm0QK+/Uok7V9w5WHcK
 KmUCO5esD5ASrbC2ntTYPEwNNj+XrMNcoQNPV5O63Cp25WTiLGZKW1aVFv4U5Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 37/47] gnu: Add gtkglarea.
Date: Wed,  9 Jun 2021 13:00:12 -0400
Message-Id: <20210609170022.8207-37-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (gtkglarea): New variable.
---
 gnu/packages/gnome.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 2f579a2f82..837ab3564b 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -219,6 +219,37 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public gtkglarea
+  (package
+    (name "gtkglarea")
+    (version "2.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append "mirror://gnome/sources/" name "/"
+                       (version-major+minor version) "/"
+                       name "-" version ".tar.xz"))
+       (sha256
+        (base32 "1pl2vdj6l64j864ilhkq1bcggb3hrlxjwk5m029i7xfjfxc587lf"))))
+    (build-system glib-or-gtk-build-system)
+    (arguments
+     `(#:configure-flags
+       (list
+        "--disable-static")))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("mesa" ,mesa)))
+    (propagated-inputs
+     `(("gtk+" ,gtk+-2)))
+    (synopsis "OpenGL widget for GTK+")
+    (description "GtkGLArea is an OpenGL widget for GTK+ GUI toolkit.
+ Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
+ is basically wrapper around GLX functions.")
+    (home-page "https://developer.gnome.org/gtk3/stable/GtkGLArea.html")
+    (license license:lgpl2.0+)))
+
 (define-public gupnp-igd
   (package
     (name "gupnp-igd")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:01:00 2021
Received: from localhost ([127.0.0.1]:34491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1Zb-0002cL-6o
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:01:00 -0400
Received: from out2.migadu.com ([188.165.223.204]:29867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZW-0002bj-Ls
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:55 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258054;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=haaqIt2itknTMAyk1/6BA7z7+zbc10AQ7QBW8ycpRog=;
 b=TFaV0Fz7gt1RHBYhAwgrO3qubLItlQ/Pczjjmzeeg2r6H/9bPRnAYNbGuPKLFEDuEaQZ3x
 t18ElYZgvOi4ImNKvaPN75HoyzAlL2MP/SKCdTSSJKrL/6AJhbW9BfaYNMc9JsJyPJ3iGx
 dll3ZfvZkxPRRD9tAfF4XQlcHFn4U3w51NJr6My29CrKfDMRu7ErUtgIstHNJ1LVGBMaLS
 AKV5Th3VGn1zJN8KKfazJKaJE4Rvf04OacLRG/Aq7s0fJR3MIIvFL4+cqSLDfBi0+qzjzb
 Vilo2cDAz1SQHEUmB0iQYGPoQBALloGPan/op2SP2kqID/E9c/peaBqhxDssSQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 36/47] gnu: Add go-github-com-jmshal-go-locale.
Date: Wed,  9 Jun 2021 13:00:11 -0400
Message-Id: <20210609170022.8207-36-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-jmshal-go-locale): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ad0ba57b78..d9a2f40285 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -72,6 +72,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-jmshal-go-locale
+  (let ((commit "eb00fb25cc61bca7a5331ae576ae4a3d5572a1e4")
+        (revision "8"))
+    (package
+      (name "go-github-com-jmshal-go-locale")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/jmshal/go-locale")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "05lyrcsrj0vzk30laa9zyy574ijh6f0ybzdv65w4l6n5yibjgnwa"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/jmshal/go-locale"))
+      (synopsis "User locale detection for Go")
+      (description "User locale detection for Go.")
+      (home-page "https://github.com/jmshal/go-locale")
+      (license license:expat))))
+
 (define-public go-github-com-gotk3-gotk3
   (package
     (name "go-github-com-gotk3-gotk3")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:00:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:00:56 2021
Received: from localhost ([127.0.0.1]:34485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1ZX-0002bt-NT
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:56 -0400
Received: from out2.migadu.com ([188.165.223.204]:29859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZV-0002bb-8F
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:54 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258052;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gu5O1CXcIl/RzwtDdiWnp2QWi+iC6jVpVEYip+UBnOs=;
 b=p+yWinykep6fqGuT8qIVi/xcAC+UhSmPLsSN/U8wYWF5TgAhJq1NYwMntd1MuyyloNhQqP
 ZxlksverDDiwXPKC5rdVc6r+IzUNZMFqM+h8zIuId8g/73gxE1Ahsi9ypVc0dR12XMPhMz
 bjR31Rnx8OFeDx3wmOPBz5c0yPwviHy4KuoM/DqTAkKXa5kwymd0u5mj71VsAfLv0c6IpH
 5J7zoxWw9CrXZRWWUhE3hFuDMbHQli2Po/3LJEvPoQAwD1yJ84y1GQ3KMQKwl045bQQvtj
 9FRxKcG+ObHyqUqtMa3IDEqWyy5R+EedJVdAlzYAnAddRTAqk5JUqzs7/IVXLg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 35/47] gnu: Add go-github-com-gotk3-gotk3.
Date: Wed,  9 Jun 2021 13:00:10 -0400
Message-Id: <20210609170022.8207-35-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, Jorge Gomez <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/goloang.scm (go-github-com-gotk3-gotk3): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 110 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e9611b6f67..ad0ba57b78 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -68,9 +68,119 @@
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
+  #:use-module (gnu packages xorg)
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-gotk3-gotk3
+  (package
+    (name "go-github-com-gotk3-gotk3")
+    (version "0.5.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/gotk3/gotk3")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1d5b4nrf4fwdwv0w2h7m0jh65fcvm3xmjv3aypylzaa4fg8wi4cc"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/gotk3/gotk3"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/gotk3/gotk3/cairo"
+               "github.com/gotk3/gotk3/gdk"
+               "github.com/gotk3/gotk3/gio"
+               "github.com/gotk3/gotk3/glib"
+               "github.com/gotk3/gotk3/gtk"
+               "github.com/gotk3/gotk3/pango"))
+             #t))
+         (add-before 'check 'pre-check
+           (lambda _
+             ;; Tests require a running X server.
+             (system "Xvfb :1 +extension GLX &")
+             (setenv "DISPLAY" ":1")
+             ;; Tests write to $HOME.
+             (setenv "HOME" (getcwd))
+             ;; Tests look for $XDG_RUNTIME_DIR.
+             (setenv "XDG_RUNTIME_DIR" (getcwd))
+             ;; For missing '/etc/machine-id'.
+             (setenv "DBUS_FATAL_WARNINGS" "0")
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/gotk3/gotk3/cairo"
+               "github.com/gotk3/gotk3/gdk"
+               "github.com/gotk3/gotk3/gio"
+               "github.com/gotk3/gotk3/glib"
+               "github.com/gotk3/gotk3/gtk"
+               "github.com/gotk3/gotk3/pango"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/gotk3/gotk3/cairo"
+               "github.com/gotk3/gotk3/gdk"
+               "github.com/gotk3/gotk3/gio"
+               "github.com/gotk3/gotk3/glib"
+               "github.com/gotk3/gotk3/gtk"
+               "github.com/gotk3/gotk3/pango"))
+             #t)))))
+    (native-inputs
+     `(("glib:bin" ,glib "bin")
+       ("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)
+       ("xorg-server" ,xorg-server-for-tests)))
+    (inputs
+     `(("cairo" ,cairo)
+       ("glib" ,glib)
+       ("gtk+" ,gtk+)
+       ("pango" ,pango)))
+    (home-page "https://github.com/gotk3/gotk3")
+    (synopsis "Go bindings for GTK3")
+    (description "Gotk3 provides Go bindings for GTK 3 and dependent projects.")
+    (license license:isc)))
+
 (define-public go-github-com-getlantern-systray
   (package
     (name "go-github-com-getlantern-systray")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:00:55 2021
Received: from localhost ([127.0.0.1]:34483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1ZX-0002bq-FA
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:55 -0400
Received: from out2.migadu.com ([188.165.223.204]:29850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZT-0002bF-7J
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:51 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258050;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ZnHDADUuyn0l7LyMjl2N6QO5CnY4R62HuRw90fVhtv4=;
 b=kWDq7NqpCBsPbolbC+SNci3cKxCrDMTYDG0GlWttEfR/13+ivAKprYfzvKpO5iM1175Z/p
 pqo53ZYIO4FTcZ+zn8pix44D79QHMnseYoGxelWTluWhz6kboYmmsRzOyvHwmyJMQfl8ed
 IyNCPNpbkCwthoX4iY0Z9Pfh+CrGd2CrDKKtc0cG0pdeahTV4LkTrOebk5juQ1HuE40b6X
 4iLASl/pRvCg6nZ6lmomXqtrSMnhL5WAxn4OEN4UFyCRzV19SaopYUqVycIve4MmqKYNB+
 YGkDrx2U3NunHJGJT9HkitbaaKpQiLBZ/7BBPzlV0V2j8wmJcKnUoJqjxpm2AA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 34/47] gnu: Add go-github-com-getlantern-systray.
Date: Wed,  9 Jun 2021 13:00:09 -0400
Message-Id: <20210609170022.8207-34-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-systray): New variable.
---
 gnu/packages/golang.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3e7366f60f..e9611b6f67 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -55,8 +55,10 @@
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gtk)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages mp3)
   #:use-module (gnu packages pcre)
@@ -69,6 +71,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-systray
+  (package
+    (name "go-github-com-getlantern-systray")
+    (version "1.1.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/getlantern/systray")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0m2n29jmks8rwcwixgmmd5dhpzqw1f7mqyjgyqyycml5w6da2m7z"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/getlantern/systray"))
+    (native-inputs
+     `(("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("gtk+" ,gtk+)
+       ("libappindicator" ,libappindicator)))
+    (propagated-inputs
+     `(("go-github-com-getlantern-golog"
+        ,go-github-com-getlantern-golog)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/getlantern/systray")
+    (synopsis "System Tray library for Go")
+    (description "SysTray is a cross-platform Go library to place an icon and
+menu in the notification area.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-getlantern-golog
   (let ((commit "9586b8bde3a95f71c84d9ee2a1a3f778759a76ab")
         (revision "25"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:00:50 2021
Received: from localhost ([127.0.0.1]:34471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1ZS-0002b8-Ms
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:50 -0400
Received: from out2.migadu.com ([188.165.223.204]:29821)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZP-0002aj-JZ
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:49 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258045;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=7GyPO1w+6i7UFEjIWAJGBVDqZGbVVm58CppW8ZUFNGI=;
 b=BooBXb+UOcx35gzumNqM6OTcxy2bMtbdbVzsS6qU643oWbUfUV9w/cLEJn82GZ0L9AJ9pU
 4S1C3VOy/NuFxoVSz6FUX+VKGKbTzU4MUyAjmCY42+4f6icas44tbfDAJduTSV3WHolh/M
 LaBRoi4KDoy8R3ENt486hLOejSRjK+RKZayp6O+p0LMxnSbPsAK6dx6Kb0XyCfCwPqipnG
 oPhz6poHuILMkp0dv8Ax+5IjmDp7+TxWrFR765UVgsAW4ZYHs/qScWcgMnlRc3hcx+OvOR
 uLMWrAG8VnKexjJn0hn0W+jiOC4n5+L60r9SUOj200bM6eZGI8NtwRWoDdJI+g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 31/47] gnu: Add go-github-com-getlantern-errors.
Date: Wed,  9 Jun 2021 13:00:06 -0400
Message-Id: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-errors): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0bd8792c10..4886a0d326 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-errors
+  (package
+    (name "go-github-com-getlantern-errors")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/getlantern/errors")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0ymz5nb9dplrim9sgfb523iqx1x08bxvbv9383ry2zbsfgqkc966"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/getlantern/errors"))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (propagated-inputs
+     `(("go-github-com-getlantern-context"
+        ,go-github-com-getlantern-context)
+       ("go-github-com-getlantern-hidden"
+        ,go-github-com-getlantern-hidden)
+       ("go-github-com-getlantern-ops"
+        ,go-github-com-getlantern-ops)
+       ("go-github-com-go-stack-stack"
+        ,go-github-com-go-stack-stack)))
+    (home-page "https://github.com/getlantern/errors")
+    (synopsis "Structured errors for Go")
+    (description "Structured errors for Go.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-go-stack-stack
   (package
     (name "go-github-com-go-stack-stack")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:00:51 2021
Received: from localhost ([127.0.0.1]:34475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1ZT-0002bI-5X
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:51 -0400
Received: from out2.migadu.com ([188.165.223.204]:29838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZR-0002ar-Fp
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:49 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258048;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=JhawOr9rqtJTVwgiEQcArC1khwehb3bq+Y3cyDQG7MI=;
 b=rQCZHMA3UVHKsfRus5btjBSEXBqYZROmuGCoW+x8ZfqpW3+zDjtM2Qtu1PrTlG2oL0eV/5
 ViH+5ZYHx8pWmwAc8befSvuDjyTkutmhKOUHozLWIc/biTe6zm9rGrwi1a2sGkY5zDrJm2
 h4/T+0OAsBX8+LTCI45KZwddG2UvkUgP1AG2NnfQK3btmoOSC+Vlx4j6PBWEaQWnGj4kDp
 KlDbauFfDW54iogVuiduDNhTMT6xV0D9mFJCi/lTmowBD4EAK5EL3MbCpzLwsMr/E9Q0SU
 2lwHokfDvYOaHD5QkP7RRACW+lbJ9aDCzjUhMRCzaYH4DdMSrNKg+0zQTtlMOg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 33/47] gnu: Add go-github-com-getlantern-golog.
Date: Wed,  9 Jun 2021 13:00:08 -0400
Message-Id: <20210609170022.8207-33-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-golog): New variable.
---
 gnu/packages/golang.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index eaca6b9351..3e7366f60f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,41 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-golog
+  (let ((commit "9586b8bde3a95f71c84d9ee2a1a3f778759a76ab")
+        (revision "25"))
+    (package
+      (name "go-github-com-getlantern-golog")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/golog")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0pqmvjqh5lv5ldc93srvlq9nwianxyjfvmjzxx4xmncbxgqsxgli"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/golog"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (propagated-inputs
+       `(("go-github-com-getlantern-errors"
+          ,go-github-com-getlantern-errors)
+         ("go-github-com-getlantern-hidden"
+          ,go-github-com-getlantern-hidden)
+         ("go-github-com-getlantern-ops"
+          ,go-github-com-getlantern-ops)
+         ("go-github-com-oxtoacart-bpool"
+          ,go-github-com-oxtoacart-bpool)))
+      (synopsis "Basic logging for Go")
+      (description "GoLog provides logging used in many getlantern components.")
+      (home-page "https://github.com/getlantern/golog")
+      (license license:asl2.0))))
+
 (define-public go-github-com-oxtoacart-bpool
   (let ((commit "03653db5a59cd88b481403d312d7c324b56af377")
         (revision "18"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 9 Jun 2021 17:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 13:00:51 2021
Received: from localhost ([127.0.0.1]:34473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr1ZS-0002bA-UL
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:51 -0400
Received: from out2.migadu.com ([188.165.223.204]:29827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lr1ZP-0002am-Mq
 for 48729 <at> debbugs.gnu.org; Wed, 09 Jun 2021 13:00:49 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623258047;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=SOUAKGDhg9GKSycYuHl0smTgHXxIGONjm10j2ac/P1c=;
 b=e97mm43Vh3Hl8rG0h7GHEF8v8AtQk8kWDbYtPO8YxPv4rqzV9QvvJhQQF+Nf3G32du7xmb
 6LmLqJeJy+0f5AXeKoyHFb+S70+qbWKd9F1PO7eoM5hVyEnTABQJv3lPT/FuyaRj3DrV6l
 VMg/vr94VnixxxdA7fbm+6Cl68lW6gPy0FalWVsKCbrZ4ovh+tPD0P6rUwPOznDt0M6U7k
 v3g/k/9gcboYtTot6DoT1hh99/X9Pi90bI3vWPwTRVtTsl6pKTCRe7Ct7m8M6logke2r6V
 d0ijMYiXSTpMo+6zWBXOiFd7Ws+Z+MUsShOIRwNDwhNvMvfP2fY5tjOuGS6r8Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 32/47] gnu: Add go-github-com-oxtoacart-bpool.
Date: Wed,  9 Jun 2021 13:00:07 -0400
Message-Id: <20210609170022.8207-32-rg@HIDDEN>
In-Reply-To: <20210609170022.8207-31-rg@HIDDEN>
References: <20210609170022.8207-31-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-oxtoacart-bpool): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4886a0d326..eaca6b9351 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-oxtoacart-bpool
+  (let ((commit "03653db5a59cd88b481403d312d7c324b56af377")
+        (revision "18"))
+    (package
+      (name "go-github-com-oxtoacart-bpool")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/oxtoacart/bpool")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1crdgm5w6kvcnvdglrrnrfkh5h60ldafwvrv00q97lz3790kgb15"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/oxtoacart/bpool"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Buffer/Byte pool for Go")
+      (description "Bpool implements leaky pools of byte arrays and buffers as
+bounded channels.  It is based on the leaky buffer example from the Effective Go
+documentation.")
+      (home-page "https://github.com/oxtoacart/bpool")
+      (license license:asl2.0))))
+
 (define-public go-github-com-getlantern-errors
   (package
     (name "go-github-com-getlantern-errors")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:43 2021
Received: from localhost ([127.0.0.1]:60138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3S-0003uy-26
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:43 -0400
Received: from out0.migadu.com ([94.23.1.103]:20870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3Q-0003uk-8m
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:40 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194559;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=bLFCnoprPmIJpheXYoPXsjox9ui05dy/Su2GdILDEXY=;
 b=EQZxDWMm5/mNAAtjaG3AExK/JQjledYK4yT1nj1YZq7zCpaj2/76Zgo/DkC6/oZAOR4sN9
 DGVuJOJEynYPe1FIB9U4P8tu98oyOVARgpERGQeOVNhbSv0sYs5I6ueTtHi5mKvVg+9yok
 XCNs9BQMiZ+pIChRBE1xL3pci9MlohZ6JKvipqUUKwYkJx5GSq+2za209veLmvTy/+dim2
 4UKtV8OmV74dwkupsUpcl7ccbwQ006gBy/JuAInVg62nbBDgYsAzSwSvetsZFzZUCO2PDX
 rybVT73SVpPtShFAwavS1Ku89tO6PZW+/SGTXS3Jt49leGJd/ocq3P1CCiDnqw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 30/47] gnu: Add go-github-com-go-stack-stack.
Date: Tue,  8 Jun 2021 19:21:47 -0400
Message-Id: <20210608232204.18111-30-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-go-stack-stack): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b780b98d2b..0bd8792c10 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-go-stack-stack
+  (package
+    (name "go-github-com-go-stack-stack")
+    (version "1.8.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/go-stack/stack")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0wk25751ryyvxclyp8jdk5c3ar0cmfr8lrjb66qbg4808x66b96v"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/go-stack/stack"))
+    (home-page "https://github.com/go-stack/stack")
+    (synopsis "Stack Utilities for Go")
+    (description "Stack implements utilities to capture, manipulate, and format
+call stacks.  It provides a simpler API than package runtime.")
+    (license license:expat)))
+
 (define-public go-github-com-getlantern-hidden
   (let ((commit "e66e7f8787308d0d5a87a2ebe170f19d43bece78")
         (revision "5"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:40 2021
Received: from localhost ([127.0.0.1]:60134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3P-0003uj-Q7
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:40 -0400
Received: from out0.migadu.com ([94.23.1.103]:20863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3O-0003ub-6u
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:38 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194557;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BjadXJlAqWkg83+ytoleWkIJ7nuTH6pNfUrHTEtIIW8=;
 b=Duc0p0KtalpI5oQwak40L/AxKHad0uy+YXX1Rf4WXESpUm/UUDenqcMmhxZNVnBItATWiM
 2xDadi9yUo0OPsm39lVE96WZ5ypBHQS6EWYQRYI/ET6CdapJe7gdmAI5USNoCuJx1HOfIL
 EJfFMhakjYvkuvxJ6D/dp+YNNCsJtkFt7uAeucedL+4flMZeQRh6aFMRlXLQKJQRvSvORf
 mOUlf0reWGGAWK/7jwLyQ4yZZRkbX9ZbuhgSP7Zj0ccF7b6VuZ9Gzd2ebTaGi0Dvji/ON6
 IVOjwzm6ZK72H1FBnCJxggnCugMlw5WLEkR1w9pvy/m0m9oq5QgU+3PTpeq+9Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 29/47] gnu: Add go-github-com-getlantern-hidden.
Date: Tue,  8 Jun 2021 19:21:46 -0400
Message-Id: <20210608232204.18111-29-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-hidden): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 376cce1fc9..b780b98d2b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-hidden
+  (let ((commit "e66e7f8787308d0d5a87a2ebe170f19d43bece78")
+        (revision "5"))
+    (package
+      (name "go-github-com-getlantern-hidden")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/hidden")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1zk6ynzaqyif3h61mb8n3qdz1ncbhq1fbfppdaqkzgqjkb1b53iv"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/hidden"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (propagated-inputs
+       `(("go-github-com-getlantern-hex"
+          ,go-github-com-getlantern-hex)))
+      (synopsis "Hide text in text")
+      (description "Hide text in text.")
+      (home-page "https://github.com/getlantern/hidden")
+      (license license:asl2.0))))
+
 (define-public go-github-com-getlantern-hex
   (let ((commit "c6586a6fe0b7c95eef767657ab1031cbcfc7af66")
         (revision "4"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:36 2021
Received: from localhost ([127.0.0.1]:60130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3M-0003uT-JC
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:36 -0400
Received: from out0.migadu.com ([94.23.1.103]:20856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3L-0003uH-Rc
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:36 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194555;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=PBueAHX+zFqkvOyhq9eR/ytpzaey54+1ixKVgKwHBqY=;
 b=ZOBYQAzXfdts69qI8v6fDqM/wr1gT4sDgvMMN8wm6vscr9Cb+Vw7Kajh7dRi6avDZT6CEH
 aas6H3Rg5JxCdEMPlQ9jWeJeGWsrYO0D71vJFTkKTUG157K+kfHgw0+ddyrUlJh+4j8J+t
 Iqb02hAKPvkKoy42NkGeqHpY1QhIrA22k+vM7Q9TikwOPzA/xO9AgwRd1Q8BTgKeEJVLIe
 5AJPoAPYYuk876MyNRUp0Lv0UCDevwxZYl5M1uNOrqaCa4WhCBoXEJkl+mVN8/RC797R+q
 1Wlcq1PFvgSa0bxeJswEv5X6RCLVtT0UCtdBYUCevpc83Je/mghEC0S08nxUmg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 28/47] gnu: Add go-github-com-getlantern-hex.
Date: Tue,  8 Jun 2021 19:21:45 -0400
Message-Id: <20210608232204.18111-28-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-hex): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9e94c8e43d..376cce1fc9 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-hex
+  (let ((commit "c6586a6fe0b7c95eef767657ab1031cbcfc7af66")
+        (revision "4"))
+    (package
+      (name "go-github-com-getlantern-hex")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/hex")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "09vbm93y88b8hwv15rqkzrmrjqzl5zj8bijllzh8npibqhh84qsq"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/hex"))
+      (synopsis "Configurable hex encoding")
+      (description "Configurable hex encoding.")
+      (home-page "https://github.com/getlantern/hex")
+      (license license:bsd-3))))
+
 (define-public go-github-com-getlantern-ops
   (let ((commit "8476b16edcd6719b2399ae70bca5cff3a1547a44")
         (revision "21"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:35 2021
Received: from localhost ([127.0.0.1]:60126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3L-0003uF-BU
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:35 -0400
Received: from out0.migadu.com ([94.23.1.103]:20837)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3J-0003u6-MP
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:33 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194553;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HtVyC5nhG/F8TWnDWf/HW2tIF3qKrg5q/o+FjjWnTIA=;
 b=esPwi6cpS3zW8qhkiuCAgIyAM69EiJd3jIjveLGEW28mDTYkgi2UpgdYwwV7J7NFGDGaCp
 lRZq7n35OYCLaydY4mI80bIaAnPgbh/xhHTMelaf9c392OGf/Z9wrzadcTgumFScy0aDiF
 LebkfMVL3bfj71zJ0C4aPETE/LOlGFG82DjtR93e4PmdHwIFa9pfrzfwQdwiCJvlXtwHez
 B/TKfiYezHJxhLUJdY295VZdpRw6/W0sVAA5O3DcBQ/d0c98/3+ae5YYfPuDKaJyxxj26s
 4oaI1PzrxDd0G/bbelaUB9lz2gZ4cxsb+sdDX5paCxhI9WS01UlQX8/KMePCRQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 27/47] gnu: Add go-github-com-getlantern-ops.
Date: Tue,  8 Jun 2021 19:21:44 -0400
Message-Id: <20210608232204.18111-27-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-ops): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7ccb085587..9e94c8e43d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-ops
+  (let ((commit "8476b16edcd6719b2399ae70bca5cff3a1547a44")
+        (revision "21"))
+    (package
+      (name "go-github-com-getlantern-ops")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/ops")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1mh2xp48x9im4l736l5zxz38kghxa5624nlyfaxmj18xn0jxr8nn"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:tests? #f    ; circular-dependency with 'getlantern/errors'
+         #:import-path "github.com/getlantern/ops"))
+      (propagated-inputs
+       `(("go-github-com-getlantern-context"
+          ,go-github-com-getlantern-context)))
+      (synopsis "Track success or failure of operations in code")
+      (description "Track success or failure of operations in code.")
+      (home-page "https://github.com/getlantern/ops")
+      (license license:asl2.0))))
+
 (define-public go-github-com-getlantern-context
   (let ((commit "c447772a6520c1a3ae6294a7df725ee08230f14e")
         (revision "30"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:33 2021
Received: from localhost ([127.0.0.1]:60122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3J-0003u0-2w
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:33 -0400
Received: from out0.migadu.com ([94.23.1.103]:20828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3H-0003tl-Ex
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:31 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194550;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=475x0fZlLk9eQgErLGxKuJECND6Zhz1Qr5ALDEczDKk=;
 b=cGAEAzQs8dNpRmI+BadP1bfsUM8OjW4BA8H/alHRzqi94kD5itk+dRhQcYaEAUmXOpE8Tp
 KtpJbiC7I8ktksFHh8omd1EZpbJmx+aD2EH8MZkBcM4LFCFOpKH+UzNu4IdV79OGY+l0d6
 ExAKhXWqZ89nidm5otT9j6G58H2UIDJYDi+qZWR8wM672y3a6JRg3jfVdBcR5bfPQ07q1D
 DscR/lQwZ4lEZ+KqEVaZuL+aG3V6U8ispqarascBPX7AwcKmaAV2LhAiVNfD9kx7ZRus4R
 gfFPd2T4Db+HuPoZRFS7RDtih7dV+3cs+JIj9ym2ItO9aNaaojDRczvsXnX4RA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 26/47] gnu: Add go-github-com-getlantern-context.
Date: Tue,  8 Jun 2021 19:21:43 -0400
Message-Id: <20210608232204.18111-26-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-context): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9c182bba3c..7ccb085587 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-context
+  (let ((commit "c447772a6520c1a3ae6294a7df725ee08230f14e")
+        (revision "30"))
+    (package
+      (name "go-github-com-getlantern-context")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/context")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "08s1m1pqkwppvvc6biccyxs7wqzmgjyhyqdgfzwm9vp0c6vzr2sg"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/context"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Goroutine-based Context State")
+      (description "This package provides a stack abstraction that allows nested
+contexts similar to jtolds' library, but using Enter() and Exit() instead of
+callback functions.")
+      (home-page "https://github.com/getlantern/context")
+      (license license:asl2.0))))
+
 (define-public go-github-com-burntsushi-xgbutil
   (let ((commit "ad855c7130460fb6cf40af9302c649a69082a4ee")
         (revision "335"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:32 2021
Received: from localhost ([127.0.0.1]:60118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3H-0003tk-3y
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:32 -0400
Received: from out0.migadu.com ([94.23.1.103]:20814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3F-0003tc-6H
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:29 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194547;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=7vwpfXyZrGlA584V7qwFiDvd5aqFVznev7kqe2rYA44=;
 b=g4SF0S7vNyRadwEHPOGNe3i6xqEFmcycGcG9Pk/FtekWWKSW3iC9xlJGpOTYhlTsFp4cXl
 wSxeob89VVjtalOY77MuBXfl6WweCtPnAlvxn6jyx0qsQv4IPWzBp4s04BbTvjJCYGATy9
 3ovS/0wc5+v/g8GR8AA7Alixq8Eqf8OE2lAKi8g72h8tsahmdOzeqC2dEE9BvR8o/Pw+gz
 96g18kqf0sk3HCo48N5M74iA1vS7DD/eEnzgQgVst6iHzMcN4DJohPPTQVM9OrZjd1l1Yn
 tG79U4l8t7E2gHx7UUCtro6CBpWAaPq655JodXfMQLEBWkLklhRN1i9gBYyQNQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 25/47] gnu: Add go-github-com-burntsushi-xgbutil.
Date: Tue,  8 Jun 2021 19:21:42 -0400
Message-Id: <20210608232204.18111-25-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-burntsushi-xgbutil): New variable.
---
 gnu/packages/golang.scm | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d06a617ebd..9c182bba3c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,46 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-burntsushi-xgbutil
+  (let ((commit "ad855c7130460fb6cf40af9302c649a69082a4ee")
+        (revision "335"))
+    (package
+      (name "go-github-com-burntsushi-xgbutil")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/BurntSushi/xgbutil")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zyqinxjgd7w3qzl2jhc8ipyyg1rh7xjxpd85p88m213ak5865bq"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/BurntSushi/xgbutil"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'patch-source
+             (lambda _
+               (substitute* (find-files "." "\\.go$")
+                 ;; Use 'jezek/xgb' instead of 'BurntSushi/xgb',
+                 ;; as the latter is unmaintained.
+                 (("github.com/BurntSushi/xgb")
+                  "github.com/jezek/xgb"))
+               #t)))))
+      (propagated-inputs
+       `(("go-github-com-jezek-xgb" ,go-github-com-jezek-xgb)))
+      (synopsis "Utility Library for X Go Binding")
+      (description "Xgbutil is a utility library designed to work with the X Go
+Binding.  This project's main goal is to make various X related tasks easier.
+For example, binding keys, using the EWMH or ICCCM specs with the window manager,
+moving/resizing windows, assigning function callbacks to particular events,
+drawing images to a window, etc.")
+      (home-page "https://github.com/BurntSushi/xgbutil")
+      (license license:wtfpl2))))
+
 (define-public go-github-com-jezek-xgb
   (let ((commit "0e0f116e1240ae19099324c3b2632003082841b7")
         (revision "155"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:28 2021
Received: from localhost ([127.0.0.1]:60114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3D-0003tU-S2
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:28 -0400
Received: from out0.migadu.com ([94.23.1.103]:20807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql3B-0003tG-UP
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:26 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194545;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=4lfBaeHatuF2B1/9qjZVhR6L/DWbQUoN52zlE+J7K9w=;
 b=qHl057tfQ/adI5SrE3CQcvMu4+T39CmaXsOZNnBhOoZTJt7WIXIszWNE3PxlBEDQjoGmxP
 fXG2kw2VwqGnCkZ5igZCx1diG2RzVhYgX7RhnQU2JtSVtdohmx8gqYVXqXSZpLtUopgHXT
 adKgL6rhUfK9H3M0KzLIeCcWX4MVr1D9olySNtYDpsSEM7538GpJRTrclIz/ajhZpumRbf
 Lms8pzufh+yUFqESq9yI+/TRjZSNTfWQTjzvXbKpn9pRcZu5rQDhjDnnZGAEMQtSZ4xcyV
 74HMCfATJisSJEIBIJtqKQBXa/2DMl3UlGH4t/x2mAEovENE4fmn6GI2rliYbw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 24/47] gnu: Add go-github-com-jezek-xgb.
Date: Tue,  8 Jun 2021 19:21:41 -0400
Message-Id: <20210608232204.18111-24-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-jezek-xgb): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d541b696be..d06a617ebd 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,32 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-jezek-xgb
+  (let ((commit "0e0f116e1240ae19099324c3b2632003082841b7")
+        (revision "155"))
+    (package
+      (name "go-github-com-jezek-xgb")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/jezek/xgb")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zwy88ksh896i78h0k038s5fmg9bgxbphkiznqq5525137m6w7gz"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/jezek/xgb"))
+      (synopsis "X Go Binding")
+      (description "XGB is the X Go Binding, which is a low-level API to
+communicate with the core X protocol and many of the X extensions.  It is
+closely modeled after XCB and xpyb.")
+      (home-page "https://github.com/jezek/xgb")
+      (license license:bsd-3))))
+
 (define-public go-0xacab-org-leap-shapeshifter
   (let ((commit "0aa6226582efb8e563540ec1d3c5cfcd19200474")
         (revision "12"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:25 2021
Received: from localhost ([127.0.0.1]:60110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql3B-0003tF-J3
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:25 -0400
Received: from out0.migadu.com ([94.23.1.103]:20787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql39-0003t1-PR
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194543;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=j8tI/KMlj9hdO58Yg0Ylt+ZcyK1ykLMarydNtrDtu9g=;
 b=U7xspIjl8AeYUSr7rHwc6y2fMV1FfsWyINjkh04UiS7zBSayQwS2WdIh7DoxgnZIACyfWF
 e/gMC+ztLy4vpLv0xAYdj9wAXomo/ZFXLuUECG9Gohbgcir+o+8JoYYwxG+nGLmZoJF1WI
 cvRdS3ylaVozTbT2Fv2B3ibbl9uNPt6J4XPefUAmeEMFZPQLGFpeYNp/8ZN2+jLyvm8vsh
 ogJsf76MhHAxnC4bNSZ9ZOs+CX8xI3/iKIhMeaUOM7fmA9sn7BnyveBv3seouOL6gGjQYm
 xWpiWDL0RZl/4r3oCopr8UKy4/f/4s8l0pDFFLA2LZdbOf4I1cpPQkIYwkuaog==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 23/47] gnu: Add go-0xacab-org-leap-shapeshifter.
Date: Tue,  8 Jun 2021 19:21:40 -0400
Message-Id: <20210608232204.18111-23-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

* gnu/packages/golang.scm (go-0xacab-org-leap-shapeshifter): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cde1627477..d541b696be 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-0xacab-org-leap-shapeshifter
+  (let ((commit "0aa6226582efb8e563540ec1d3c5cfcd19200474")
+        (revision "12"))
+    (package
+      (name "go-0xacab-org-leap-shapeshifter")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://0xacab.org/leap/shapeshifter")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0m4fla9ppl53k9syms4dsad92wakr74cdvids3xxv3amdh4d1w4i"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "0xacab.org/leap/shapeshifter"))
+      (propagated-inputs
+       `(("go-github-com-operatorfoundation-obfs4"
+          ,go-github-com-operatorfoundation-obfs4)
+         ("go-github-com-operatorfoundation-shapeshifter-transports"
+          ,go-github-com-operatorfoundation-shapeshifter-transports)
+         ("go-golang-org-x-net" ,go-golang-org-x-net)))
+      (synopsis "Network Obfuscater")
+      (description "Shapeshifter provides network protocol shapeshifting
+technology.  The purpose of this technology is to change the characteristics of
+network traffic so that it is not identified and subsequently blocked by network
+filtering devices.")
+      (home-page "https://0xacab.org/leap/shapeshifter")
+      (license license:bsd-2))))
+
 (define-public go-github-com-operatorfoundation-shapeshifter-transports
   (package
     (name "go-github-com-operatorfoundation-shapeshifter-transports")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:23 2021
Received: from localhost ([127.0.0.1]:60106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql39-0003sv-0E
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:23 -0400
Received: from out0.migadu.com ([94.23.1.103]:20775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql37-0003sg-Jz
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:22 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194541;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=LrufV6ghmFiHTxAwrEz5S3Bs3JfoHudmbDvs9U7oXLY=;
 b=WGzpWg1t9Q3cwYpBbs65gPrP/CAIeij1ERJ/wOq+8QbnsIFVICbFDRQ+tb0soM5USe4Du9
 IxTQVax82lb+hgSidy9KRjC+uZ8AYtwjoaytQk1HvKJOh3Hz02iRbg/aYuDDIrj8b/wClK
 mQAOenSRU/p1aXolvAVR3O9T4mnUALVu2P4plsP7Puf7o7H7QoS7SQRF2JvcFjaJYiFUb6
 RvTwQJpDQplyjHCV+f5npzDL7XzLG25xxN+FRXk0GKRCaX24Dj0rY4BuWcQFwnlIIQ1Mxd
 DupD6jehIwP6MY54OjMymQhwQBIeea/mTfrzhRRFhvWERNe0EueosFpElN1KoA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 22/47] gnu: Add
 go-github-com-operatorfoundation-shapeshifter-transports.
Date: Tue,  8 Jun 2021 19:21:39 -0400
Message-Id: <20210608232204.18111-22-rg@HIDDEN>
In-Reply-To: <20210608232204.18111-21-rg@HIDDEN>
References: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-shapeshifter-transports): New variable.
---
 gnu/packages/golang.scm | 155 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ef0c35d50b..cde1627477 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,161 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-shapeshifter-transports
+  (package
+    (name "go-github-com-operatorfoundation-shapeshifter-transports")
+    (version "3.0.12")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/shapeshifter-transports")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0f1hzhk3q2fgqdg14zlg3z0s0ib1y9xwj89qnjk95b37zbgqjgsb"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/OperatorFoundation/shapeshifter-transports"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               ;; Drop '.git' suffix in import path of goptlib.
+               (("goptlib\\.git") "goptlib"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               ;;; ERROR: invalid memory address or nil pointer dereference.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               ;;; ERROR: failed with status 1.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               ;;; ERROR: bind: permission denied.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"))
+               ;;; ERROR: failed with status 1.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"))
+             #t)))))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (propagated-inputs
+     `(("go-github-com-aead-chacha20"
+        ,go-github-com-aead-chacha20)
+       ("go-github-com-blanu-dust"
+        ,go-github-com-blanu-dust)
+       ("go-github-com-deckarep-golang-set"
+        ,go-github-com-deckarep-golang-set)
+       ("go-github-com-kataras-golog"
+        ,go-github-com-kataras-golog)
+       ("go-github-com-mufti1-interconv"
+        ,go-github-com-mufti1-interconv)
+       ("go-github-com-opentracing-opentracing-go"
+        ,go-github-com-opentracing-opentracing-go)
+       ("go-github-com-operatorfoundation-monolith-go"
+        ,go-github-com-operatorfoundation-monolith-go)
+       ("go-github-com-operatorfoundation-obfs4"	
+        ,go-github-com-operatorfoundation-obfs4)
+       ("go-github-com-operatorfoundation-shapeshifter-ipc"
+        ,go-github-com-operatorfoundation-shapeshifter-ipc)
+       ("go-github-com-shadowsocks-go-shadowsocks2"
+        ,go-github-com-shadowsocks-go-shadowsocks2)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-torproject-org-pluggable-transports-goptlib"
+        ,go-torproject-org-pluggable-transports-goptlib)))
+    (home-page "https://github.com/OperatorFoundation/shapeshifter-transports")
+    (synopsis "Go implementation of Pluggable Transports")
+    (description "Shapeshifter Transports is a set of Pluggable Transports
+implementing the Go API from the Pluggable Transports 2.0 specification.")
+    (license license:expat)))
+
 (define-public go-github-com-kataras-golog
   (package
     (name "go-github-com-kataras-golog")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:22:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:22:23 2021
Received: from localhost ([127.0.0.1]:60104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lql38-0003st-PP
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:22 -0400
Received: from out0.migadu.com ([94.23.1.103]:20768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lql36-0003sd-BI
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:22:21 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623194538;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=e4zCS5qgLGDByVT25/eSRmAu7nj26cf9BnmHAgXqNmI=;
 b=WoJzTGtH7uEmptkuYuM6DYke3illVURtf1HctK23eeEGInXc7S+P7Jv9HALDl9i18ORZ8s
 2Dwgbc1wl/cTK3itouW4bc1Ww5TehLko+kxDO5QHA6E3GKwn+z7D2snRc7LBEcEzxgcfNg
 zBA/mrWZHvSxtJrGqo1h9+kes5ZA8/wBww+mYJ5qmYHZkRDQvkWNQVyr8oZjx34GrbPl+r
 roEZafPhNuQ09ruBZJkd/k3iVh2HpIr+MzutUzwk/Wh9Al5MocrHVQ3T7uURNxMfe3VyXM
 0NTK79lxUQYGDrlz4CoeTrNIXR+7NC+JotevVbAS427s+ED+069Phe1EPZS42g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 21/47] gnu: Add go-github-com-kataras-golog.
Date: Tue,  8 Jun 2021 19:21:38 -0400
Message-Id: <20210608232204.18111-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-kataras-golog): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6ca92576d2..ef0c35d50b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-kataras-golog
+  (package
+    (name "go-github-com-kataras-golog")
+    (version "0.1.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/kataras/golog")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1ll24g50j48wqikzf67cyaq0m0f57v1ap24nbz3cmv3yzqi6wdl9"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/kataras/golog"))
+    (propagated-inputs
+     `(("go-github-com-kataras-pio" ,go-github-com-kataras-pio)))
+    (home-page "https://github.com/kataras/golog")
+    (synopsis "Level-based logger")
+    (description "GoLog is a logging foundation for Go Applications.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-kataras-pio
   (package
     (name "go-github-com-kataras-pio")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:13 2021
Received: from localhost ([127.0.0.1]:60089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksL-0003bq-OX
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:13 -0400
Received: from out2.migadu.com ([188.165.223.204]:36819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqksK-0003bd-Q6
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:13 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193872;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=tJFsC872Lw66hxBJbU4klQJlMMkDytq3nyCqvg6LeaE=;
 b=tHY+4fnHu8UmKw0OXw+xG6s8rz8JKWBArbwaJMFCo/iS3xHeYMjHYfFPky/pAXe6yfIKoF
 KW0/0qMcqvcR5+Ws/HkDJtLtCr9AIjik/jxIgHHPM5vK62wx6MCQ2cuX0+lECm+4FYg7PF
 9n9MzUBTgbx1VUr7IK3whTDe5NqNCuNRgZ5Nu4s4QbFx7iT64GXAca4sju0tKCHz1hCe3N
 58yz7s1AtPjr71E1I22QzL0QR8P4r6SiUyOIHzhgASaAyHqiVSal6AFiStL5GmnuZ280gf
 Em/MOpbH/BtU53IK4uQjkhS++8ygCe6CngR2Y5uWDk6ksszPOzUa6lkUPcROPg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 20/47] gnu: Add go-github-com-kataras-pio.
Date: Tue,  8 Jun 2021 19:10:12 -0400
Message-Id: <20210608231039.17819-20-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-kataras-pio): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6805113e05..6ca92576d2 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-kataras-pio
+  (package
+    (name "go-github-com-kataras-pio")
+    (version "0.0.10")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/kataras/pio")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "11d2jy9xz4airicgmjcy4nb80kwv22jp140wzn2l5412jdr4jmkp"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/kataras/pio"))
+    (home-page "https://github.com/kataras/pio")
+    (synopsis "Pill for Input/Output")
+    (description "PIO is a low-level package that provides a way to centralize
+different output targets.  Supports colors and text decoration to all popular
+terminals.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-shadowsocks-go-shadowsocks2
   (package
     (name "go-github-com-shadowsocks-go-shadowsocks2")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:12 2021
Received: from localhost ([127.0.0.1]:60085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksK-0003bc-HX
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:12 -0400
Received: from out2.migadu.com ([188.165.223.204]:36814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqksI-0003bO-Iq
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:10 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193870;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TXGb3ND1BxusNEv2UX9HzUVA0K2VFAv0K+ZlG6SI90Y=;
 b=Ra5vPuIaP8xWnMo7TGcM/8szafmk5qmYIPqI2rUcF4n4G80ebzJ7LlijeF26alk2Ct3sV4
 qVfNMdsPpx/UdvZLk9YsXUzpvSQndnOoziGOXT9bnISJOCgu7ZS1I/XJ5nWDbLd2F+FDW8
 IxQ69+a++6vDN+mbx011VvfnT6Rz8dQPO5ZB+F0SNFASv9sIYLIYzpqM8nKzmw6ymn70IC
 DRFeqozeoB2IbspsL7+UmU73NlMGAO7SN2eyXC/MolkULUvNfH3IOKllFP9BxHgAOcZECc
 OqYB7VFwGowdNqkDcsSj1aYREZSiz+F1HiSP3FR2zH4lw7O+4U+QFuPshvNmRw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 19/47] gnu: Add go-github-com-shadowsocks-go-shadowsocks2.
Date: Tue,  8 Jun 2021 19:10:11 -0400
Message-Id: <20210608231039.17819-19-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-shadowsocks-go-shadowsocks2): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 46b902b70c..6805113e05 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-shadowsocks-go-shadowsocks2
+  (package
+    (name "go-github-com-shadowsocks-go-shadowsocks2")
+    ;; Version > 0.1.3 requires go-toolchain v1.16.
+    (version "0.1.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/shadowsocks/go-shadowsocks2")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1wzy3ml4ld83iawcl6p313bskzs6zjhz8vlg8kpwgn71cnbv4pvi"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/shadowsocks/go-shadowsocks2"))
+    (propagated-inputs
+     `(("go-github-com-riobard-go-bloom" ,go-github-com-riobard-go-bloom)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)))
+    (home-page "https://github.com/shadowsocks/go-shadowsocks2")
+    (synopsis "Shadowsocks in Go")
+    (description "Implementation of Shadowsocks in Go.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-riobard-go-bloom
   (let ((commit "cdc8013cb5b3eb0efebec85f0e904efccac42df9")
         (revision "15"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:10 2021
Received: from localhost ([127.0.0.1]:60081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksI-0003bN-9j
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:10 -0400
Received: from out2.migadu.com ([188.165.223.204]:36804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqksG-0003b7-1n
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193867;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=IzVwmE1KDA9MecmZao8RWG759Dkj11hlMUCmRDCcQdg=;
 b=pKo+ysj0nUPw68h6BREuSqxy3jnt5aFJLRWkPf4C89spBReq8e7e7quBqHom7ya4I2oLcz
 bunCK+2rG0jzFTwYLZj457COoie/x0DjGaehyiF3jUxZF3S9Nn9HF+xc7p+5lrHZX+vATT
 MO+nswMduHyxNSvvof7nSaIQbtbVKmTAOKxks690+46zceFGjfHXd8nHaUiUBSdiTjN38/
 osJf4gwl1mQRRMvx3kQ2Bm1BcbkAXLSyZKzsQjb5GhUyvqj6TyPzj3GnmE3yPd3Bo2M0xC
 OmpZSIjT8nZ2GhTFP5Fkhmm8loS1m8/gL5EHwhySHNekioDbn0FJR+RchWJ7mg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 18/47] gnu: Add go-github-com-riobard-go-bloom.
Date: Tue,  8 Jun 2021 19:10:10 -0400
Message-Id: <20210608231039.17819-18-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-riobard-go-bloom): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8554b32fef..46b902b70c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-riobard-go-bloom
+  (let ((commit "cdc8013cb5b3eb0efebec85f0e904efccac42df9")
+        (revision "15"))
+    (package
+      (name "go-github-com-riobard-go-bloom")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/riobard/go-bloom")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "10a8ixh6zw52df2imxrzgxi82zc1j5hqnv5smjp818qwdn1a1rhj"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/riobard/go-bloom"))
+      (synopsis "Bloom filter in Go")
+      (description "Bloom Filter using double hashing.")
+      (home-page "https://github.com/riobard/go-bloom")
+      (license license:asl2.0))))
+
 (define-public go-github-com-aead-chacha20
   (let ((commit "8b13a72661dae6e9e5dea04f344f0dc95ea29547")
         (revision "114"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:09 2021
Received: from localhost ([127.0.0.1]:60079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksH-0003bF-2A
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:09 -0400
Received: from out2.migadu.com ([188.165.223.204]:36792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqksD-0003as-RZ
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:06 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193865;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ah2YcLNlSpcjl20lrXUvhhDw/U0HvezQUVde7uLYZkc=;
 b=NUduj9uobTH1MUJx6UDCWgQOC4dP4pLr+zFOOz0YUahHKiJ/pAsLQjw7g2GcgUlCAu2rrW
 a4cBNCdzsfV3Efm5ye2BBX/10a8AwQorBhQnvlFl6A2II5ytEypKUL+cYu/RXwqUoeQHXp
 RjW5f41kXa9oOBi0MiSFCGFzb6+ZEGDBWXArw1MHtPj9emvUkSwKdMS8joX3ej8WhMc3Bz
 g8fKh7NtpsFhYhCkoPh2DWk9fEEsk62py4lX/MvGHlV6FlpOpSdkNpU+vUofCmYOjaXp6h
 vcZfDimVIGyYnfWtNvLBIQfc4dxU6M9Zxj014sJ5R/q9b6+t4/7Ntnv2BsNNeg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 17/47] gnu: Add go-github-com-aead-chacha20.
Date: Tue,  8 Jun 2021 19:10:09 -0400
Message-Id: <20210608231039.17819-17-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.org (go-github-com-aead-chacha20): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9d2d092269..8554b32fef 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-aead-chacha20
+  (let ((commit "8b13a72661dae6e9e5dea04f344f0dc95ea29547")
+        (revision "114"))
+    (package
+      (name "go-github-com-aead-chacha20")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/aead/chacha20")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0gbmgq5kbqmbyrsav57ql4jzbvqvp1q7yvcd5fl3wf5g94iyv56r"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/aead/chacha20"))
+      (propagated-inputs
+       `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+      (synopsis "ChaCha20 and XChaCha20 stream ciphers")
+      (description "ChaCha is a stream cipher family created by Daniel Bernstein.
+The most common ChaCha variant is ChaCha20 (20 rounds).  ChaCha20 is
+standardized in RFC 7539.")
+      (home-page "https://github.com/aead/chacha20")
+      (license license:expat))))
+
 (define-public go-github-com-mufti1-interconv
   (let ((commit "d7c72925c6568d60d361757bb9f2d252dcca745c")
         (revision "28"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:07 2021
Received: from localhost ([127.0.0.1]:60075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksE-0003av-OE
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:07 -0400
Received: from out2.migadu.com ([188.165.223.204]:36781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqksB-0003aX-JK
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:03 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193862;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Xd/3xmEdqsiFabegNxKs51WGVVSVc+/UuGs1t34O//4=;
 b=H9izdeeogC9gmIzHGZHTzVxFZSrz8GmC0FM/LmMRtc8Shum5Yz6yxYcs4eVeBGzD3RtW7p
 dEB7hd8BBoyTGUneBzGJBCsFWdtTAsvOrX7wykGmIq7Do0KO3j4MaYVIrKD+SC2YdV44Wl
 eXKocJMp59AL/1311b3fUaWwhNEIxMB6F+49maBzdOUylE0WGG0yZdApsEoiOhVhxAJ369
 qthPFib3XNkq5zr/DMu506lsbaNIksm0BrLcCOjzztBT1WT5QEQJ8W9PXwDkSdTDuWcZNt
 f2w83uPY3Dd83tmpWxGXw84HQZE7HVYJGzQgwdXZJP5fneuE2BjDRi0fUsKuWA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 16/47] gnu: Add go-github-com-mufti1-interconv.
Date: Tue,  8 Jun 2021 19:10:08 -0400
Message-Id: <20210608231039.17819-16-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-mufti1-interconv): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f6db72054e..9d2d092269 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,31 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-mufti1-interconv
+  (let ((commit "d7c72925c6568d60d361757bb9f2d252dcca745c")
+        (revision "28"))
+    (package
+      (name "go-github-com-mufti1-interconv")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/mufti1/interconv")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "13f5pvr74afa28pbpmgvjzjx68vv5zmrwlvxp7hr5bl5625zlxmy"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/mufti1/interconv"
+         #:import-path "github.com/mufti1/interconv/package"))
+      (synopsis "Convert interface into any data type")
+      (description "Convert interface into any data type.")
+      (home-page "https://github.com/mufti1/interconv")
+      (license license:expat))))
+
 (define-public go-github-com-opentracing-opentracing-go
   (package
     (name "go-github-com-opentracing-opentracing-go")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:03 2021
Received: from localhost ([127.0.0.1]:60069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksB-0003aZ-Co
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:36770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqks9-0003Zl-2M
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:01 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193860;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=g6ism3T6UoWLAa+57JwAp1hvZ4z0vr/2TPyoVmNrU9U=;
 b=UNW3GYG2tDMSt00F9bPvTWgu/poppTlZ0KahAjY1ZvxmmpHPhR+RKNtSiXVjdLRRvFdjb9
 ZkDAPrThIyyvyinmlS9I+cMj2gtDfPGyYnO5uzjvBq36RxKR/fPCG8XHNM/5GK5LC7KZ6N
 OOW5gqwyGHvzVsICxgW3tA6BvHunR7JGWkGYnQ0TSFURnVcNaeiOQsyuAOenmZHPJebVRh
 8ofY/gXarvQlGJlFqSpc75+buxpZAWlkq6fQhfRpJnXfxhBqiJORjFv+0M5wdIEgpEKIhp
 fx8kZdMpJt+ZxTvgHBqLTqimqDTULe5XkqnnZdofhz88qQKwBMe2Sn/zkx3qBg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 15/47] gnu: Add go-github-com-opentracing-opentracing-go.
Date: Tue,  8 Jun 2021 19:10:07 -0400
Message-Id: <20210608231039.17819-15-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-opentracing-opentracing-go): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6780ade28c..f6db72054e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-opentracing-opentracing-go
+  (package
+    (name "go-github-com-opentracing-opentracing-go")
+    (version "1.2.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/opentracing/opentracing-go")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "04rgdwl29kimp2wnm4dycnzp7941hvpj6wym85x23c6fclacm94h"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/opentracing/opentracing-go"))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (home-page "https://github.com/opentracing/opentracing-go")
+    (synopsis "OpenTracing API for Go")
+    (description "opentracing-go is a Go platform API for OpenTracing.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-operatorfoundation-monolith-go
   (package
     (name "go-github-com-operatorfoundation-monolith-go")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:03 2021
Received: from localhost ([127.0.0.1]:60067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqksB-0003aP-3K
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:36757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqks6-0003ZP-QQ
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:10:59 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193858;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=aXPns5NlrNXCE1tuch/9R9CZ/8RqQUXSlfhGK9woDYc=;
 b=SFI0PEgz2nK0BDAFWBCC+FIwwcJjQ424OZOPUCAMNcwBt735Kk6LLBt3H6xjTlAmo2oIr2
 c14vd3rEY5+nyFjShXHc6sWxiUb3q2mD26rAmF+yIwYZ8Pq27OGkz2MFmGWIebjy6h7s5R
 mimff0P/RXJEkOwBaku6+PwvDHGlvEQq+2FBXR7lGIZgsFtb5gOUwMK8kdzT2yR6WADXes
 GhZUH9CZSbQA1ZN6ygI/4MP39ga0dSGRLKH+cjDylUeSTePaNS64/83nGru3la2xTHSfT5
 12eRRzsNgphUxEYb0KeI24NW7o6x7tPjIs2EemNYjN33W/6NLMrFs16RRpNPXw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 14/47] gnu: Add
 go-github-com-operatorfoundation-monolith-go.
Date: Tue,  8 Jun 2021 19:10:06 -0400
Message-Id: <20210608231039.17819-14-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-monolith-go): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2aaee00080..6780ade28c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,33 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-monolith-go
+  (package
+    (name "go-github-com-operatorfoundation-monolith-go")
+    (version "1.0.4")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/monolith-go")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "066bqlgw5h7a3kxswqlv734asb7nw2y6snsn09yqk0ixj23qw22s"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f ; ERROR: Generated bytes do not match correct answer.
+       #:unpack-path "github.com/OperatorFoundation/monolith-go"
+       #:import-path "github.com/OperatorFoundation/monolith-go/monolith"))
+    (propagated-inputs
+     `(("go-github-com-deckarep-golang-set"
+        ,go-github-com-deckarep-golang-set)))
+    (home-page "https://github.com/OperatorFoundation/monolith-go")
+    (synopsis "Go library for working with byte sequences")
+    (description "monolith-go is a Go library for working with byte sequences.")
+    (license license:expat)))
+
 (define-public go-github-com-deckarep-golang-set
   (package
     (name "go-github-com-deckarep-golang-set")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:11:00 2021
Received: from localhost ([127.0.0.1]:60060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqks7-0003ZY-QY
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:11:00 -0400
Received: from out2.migadu.com ([188.165.223.204]:36751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqks4-0003Z4-Eg
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:10:56 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193856;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=n2Do7fXlgsfdn0XhntiF6TtnGh3P8nTHWkQLJfY+2SQ=;
 b=cfai64KkG7puOsw03N+PQaZymbrFe8XoQhc4xyKeOEv6oWaXuttRHeqZN/9ZEirLI+mLyN
 NMuI4e/EoZecQCIP8NOn56BhIhQ9f0qVjKlNpqMTVCtxfkyeXJD5v5TM7eHMfC+cJGJ6Xw
 PyGdU00lUvKmj/Hyn1NSIGqrgxkHrEKRwdKX7cYd4SpEczE0aNa0So2kmC/o1yun7zT9KK
 ge0Yc2cwjsqp6cFWVBZg8FJuhJUZjfo76KJK2gR2gYzqwidANNODOzkohfKo1Xp1L7XK6z
 oeHotKUDE/FmXNtefKlOd6cncS1yae1dbX0JqylnIl8bhfyuY1P0GdSjA3w99Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 13/47] gnu: Add go-github-com-deckarep-golang-set.
Date: Tue,  8 Jun 2021 19:10:05 -0400
Message-Id: <20210608231039.17819-13-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-deckarep-golang-set): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 58883dc891..2aaee00080 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,28 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-deckarep-golang-set
+  (package
+    (name "go-github-com-deckarep-golang-set")
+    (version "1.7.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/deckarep/golang-set")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0y64c0p6a7ww5jp6adm6fm97vsni86njw8wkwxfmciy466vhl0lf"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/deckarep/golang-set"))
+    (home-page "https://github.com/deckarep/golang-set")
+    (synopsis "Set type for Go")
+    (description "golang-set is the set collection for the Go language.")
+    (license license:expat)))
+
 (define-public go-github-com-blanu-dust
   (package
     (name "go-github-com-blanu-dust")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:10:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:10:59 2021
Received: from localhost ([127.0.0.1]:60058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqks7-0003ZW-EO
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:10:59 -0400
Received: from out2.migadu.com ([188.165.223.204]:36738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqks2-0003Yv-7m
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:10:56 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193853;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ln6hpyBK5ky2xwUsFbwyftWaWEzbawi7z61/JTR4enQ=;
 b=tFwYfMMEeOvzGNlVNUrBS3RFSbsdLZtxtYmuP1S1YhHQH1e67XwuOZcuVYAH+OKjWUV0W8
 Iaw2SnsJG4d67yRvCwGxggbFcQgowgvrXOFaGTMKgDFa29XTkxEq7Dm80/FpzF2E4T+xwz
 lfKfELQJW6Ce+NOl7Rnt1XMkl05dlJwoZCDC61yhfLkDXdnG7sBPJgFz65nRfRQohyqlaV
 lpULgtsKlxt5ykgTm5f6hjOAzbmFqNVeyKPqGB0fT9DIpGJgzUau/bF0ETrjI7+WUlMBjH
 9KUELDGSoc1uscwhtOKbQ+j7MnVyglRyxKIFeCQ+xAfMztHzImiO4z6BcSZUBg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 12/47] gnu: Add go-github-com-blanu-dust.
Date: Tue,  8 Jun 2021 19:10:04 -0400
Message-Id: <20210608231039.17819-12-rg@HIDDEN>
In-Reply-To: <20210608231039.17819-11-rg@HIDDEN>
References: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-blanu-dust): New variable.
---
 gnu/packages/golang.scm | 122 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 122 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 52e6318019..58883dc891 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,128 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-blanu-dust
+  (package
+    (name "go-github-com-blanu-dust")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/blanu/Dust")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1lya21w06ramq37af5hdiafbrv5k1csjm7k7m00v0bfxg3ni01bs"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/blanu/Dust"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               "github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               ;; Repository is missing test files directory.
+               ;;"github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               "github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t)))))
+    (propagated-inputs
+     `(("go-github-com-operatorfoundation-ed25519"
+        ,go-github-com-operatorfoundation-ed25519)
+       ("go-github-com-op-go-logging" ,go-github-com-op-go-logging)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)))
+    (home-page "github.com/blanu/Dust")
+    (synopsis "Censorship-Resistant Internet Transport Protocol")
+    (description "Dust is an Internet protocol designed to resist a number of
+attacks currently in active use to censor Internet communication.  While
+adherence to the theoretical maxims of cryptographic security are observed where
+possible, the focus of Dust is on real solutions to real attacks.")
+    (license
+     (list
+      ;; Skein.
+      license:bsd-2
+      ;; Others.
+      license:expat))))
+
 (define-public go-github-com-op-go-logging
   (package
     (name "go-github-com-op-go-logging")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:10:56 2021
Received: from localhost ([127.0.0.1]:60052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqks4-0003Z3-5u
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:10:56 -0400
Received: from out2.migadu.com ([188.165.223.204]:36727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqks1-0003Yr-Cq
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:10:55 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193851;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=OsCCiYGdtH+1YVJlf5HNvYq9d1n03QFPeRYE7D2JMxI=;
 b=MclzwbuhUsHZ/oYgKqimv+GAG9EWaom75lH0Fdp1xNYJlyGVvsk7ormfjWeF4nOJSrCJDv
 B+iRONg+QvS5wyoV1h2JVJ6bsA3MWayDszhLDK8kydECviPypWvK6EQVezek+8MHpyWgNV
 h2KiEyAHcnrlvLAtkrZJpLewGzLrlXY4VuES7JsnOo7XzXS8/YAYhk70Mle2iF82EB6FUw
 vPyRG6iK5jU9TxZhgLR0xoH1IQpHb+Kk/2Fzw7w4v7yeLf5lcGe/3iEquQ0Ak57WqphxGW
 XB8wn+OpF68tmb0HbwxpdIVFqcGUkM29QU55caCkO9rquWg1hkf/mURHuJAv8w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 11/47] gnu: Add go-github-com-op-go-logging.
Date: Tue,  8 Jun 2021 19:10:03 -0400
Message-Id: <20210608231039.17819-11-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-op-go-logging): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 19741b4be4..52e6318019 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-op-go-logging
+  (package
+    (name "go-github-com-op-go-logging")
+    (version "1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/op/go-logging")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "01a6lkpj5p82gplddh55az194s9y3014p4j8x4zc8yv886z9c8gn"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f ; ERROR: incorrect callpath: String.rec...a.b.c.Info.
+       #:import-path "github.com/op/go-logging"))
+    (home-page "https://github.com/op/go-logging")
+    (synopsis "Golang logging library")
+    (description "go-logging is a logging library for Go.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-operatorfoundation-shapeshifter-ipc
   (package
     (name "go-github-com-operatorfoundation-shapeshifter-ipc")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:03:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:03:18 2021
Received: from localhost ([127.0.0.1]:60041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkg-0003OH-8s
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:18 -0400
Received: from out0.migadu.com ([94.23.1.103]:14473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkP-0003M7-Bq
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:16 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193380;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=kaUX9W0L3f1UsnvwbhHqCnBxdtEiyza08fB0OY3nrms=;
 b=i925K5UD3hh0jTGaFzZDGeX0c4w87ExOtNaCBK6Mk+1D39XaZOmQ1lYRTk69AZKb8qElgh
 KZ2Jtc5rJ5uZQXphxR52w9xzG0Hq4US5ydLTLyaA8zzxYAviiUNDQObVZZMf4yydkVgiUS
 lE2Hf/QnSeDFSXWAkZrl5jEIAL2HV6wX+8qCdiyiNJmppIhraoNN796MaUMsyCsVofM+hJ
 Cc/lDUpOsV2zCDRNnXp0NeNGBOCyqzPQPSJRM/uGeSvDeTqJTV+iapz/8n+m7SGIWTxUwJ
 f5hRfOynhK0eG+fM6maGLQVjsFh6TZd5L2XXC954upTsQhoRPPTJvJYPlMcl9Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 06/47] gnu: Add go-github-com-sevlyar-go-daemon.
Date: Tue,  8 Jun 2021 19:01:59 -0400
Message-Id: <20210608230240.17542-6-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-sevlyar-go-daemon): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index c7d29fc235..acc0c1bb49 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-sevlyar-go-daemon
+  (package
+    (name "go-github-com-sevlyar-go-daemon")
+    (version "0.1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/sevlyar/go-daemon")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1y3gnxaifykcjcbzx91lz9bc93b95w3xj4rjxjbii26pm3j7gqyk"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/sevlyar/go-daemon"))
+    (propagated-inputs
+     `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/sevlyar/go-daemon")
+    (synopsis "Library for writing system daemons")
+    (description "go-daemon is a library for writing system daemons in golang.")
+    (license license:expat)))
+
 (define-public go-github-com-keybase-go-ps
   (let ((commit "91aafc93ba19d1988cff338c1929d35b6c6f5b50")
         (revision "45"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:03:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:03:14 2021
Received: from localhost ([127.0.0.1]:60039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkb-0003O1-Us
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:14 -0400
Received: from out0.migadu.com ([94.23.1.103]:14514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkZ-0003Nk-1h
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193390;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=zvDQA+gtDYJtcZywq5ZC8w1oPzC8yUtJiu9NcXHazLE=;
 b=JQsyIJJNrtDABYAFC/CBBfEYUiVfEHtLA2OgmRrms+jUzxBUaBTgkjK9xMajxpUhjYlXyF
 gHM83KHRWZESBDSq5vn+9E0MqCSyKe2wZWw3PK3QkOkdHdy4hGzX7w/e++OaXI04uRIq69
 ygasY57SK8eZs23YFL56lXuVcgSJBSXXXWGLUDZTyP3yI8OdKAMuVhL7USBA0Lk/oXt51E
 hy16lXaYBSsmbtjkTV+bsNZ2S4cjSvqYZGYeF2UXoqrnfHRlR+8BkBWTiHwP7D8RQJkvay
 HyyFGjaRkmS3D9JCe4wXApY+AvpPg4O6Lq/evCjOuKMVq6IG9wyYkrLsRs6l/g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 10/47] gnu: Add
 go-github-com-operatorfoundation-shapeshifter-ipc.
Date: Tue,  8 Jun 2021 19:02:03 -0400
Message-Id: <20210608230240.17542-10-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-shapeshifter-ipc): New variable.
---
 gnu/packages/golang.scm | 77 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e2d5dfc4e4..19741b4be4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,83 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-shapeshifter-ipc
+  (package
+    (name "go-github-com-operatorfoundation-shapeshifter-ipc")
+    (version "2.0.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/shapeshifter-ipc")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1q1fcnllg462nfca16s5mr0n2jh92x3hj946qnaqc682phjz04lg"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f                      ; ERROR: undefined: Args.
+       #:unpack-path "github.com/OperatorFoundation/shapeshifter-ipc"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t)))))
+    (home-page "https://github.com/OperatorFoundation/shapeshifter-ipc")
+    (synopsis "Go implementation of IPC protocol")
+    (description "Shapeshifter IPC is a library for Go implementing the IPC
+protocol from the Pluggable Transports 2.0 specification.")
+    (license license:expat)))
+
 (define-public go-github-com-operatorfoundation-obfs4
   (package
     (name "go-github-com-operatorfoundation-obfs4")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:03:11 2021
Received: from localhost ([127.0.0.1]:60035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkZ-0003Nl-4k
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:11 -0400
Received: from out0.migadu.com ([94.23.1.103]:14494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkW-0003NE-3i
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193387;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=63zjH369u9lxuErvN/CdUwaPOQNTpf5qIRY075H2/Ps=;
 b=YDKhKLGw0gWvuEneM3wy8JWu7L58UzD7AL4BRuU/MweGxzO0COpMdHAP+v3npZLz1s7yyM
 JPD7hiDqhwXXnB4ifnV9oDJWqGYgItllLdZYuHUYMMI27SPT+sXnOMERDBwV1cCu698q6q
 xMk6KuXsxKYCLbEVVmRiEueJQyPhne6EtrtrnGJjBajjePDT3QUSQUnXJ5i51RfaPl5wYu
 S6tX6mMs24eXZzFPiFFHd/TixE7rpW8BzDpRo8fKMU7PTFp2OqzF3eiTT2ZwOej2BYkNPS
 1IMz8lNeHEL1bioSyUJVKdIZ7qkMlpPj2B+G+SyXdC+4PkETpTR2Gq0h91wa1A==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 09/47] gnu: Add go-github-com-operatorfoundation-obfs4.
Date: Tue,  8 Jun 2021 19:02:02 -0400
Message-Id: <20210608230240.17542-9-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-obfs4): New variable.
---
 gnu/packages/golang.scm | 151 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 151 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2539863770..e2d5dfc4e4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,157 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-obfs4
+  (package
+    (name "go-github-com-operatorfoundation-obfs4")
+    (version "1.0.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/obfs4")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0s730xagdxs66wfh65hb5v9a5h01q5ncic3pyij0a043scagizgr"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/OperatorFoundation/obfs4"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               ;; Drop '.git' suffix in import path of goptlib.
+               (("goptlib\\.git") "goptlib"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               "github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               "github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               "github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               ;; ERROR: Println arg dialFn is a func value, not called.
+               ;;"github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               ;; ERROR: Infof format %s has arg ln of wrong type *net.UDPConn.
+               ;;"github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               ;; ERROR: Infof format %s has arg ln of wrong type *net.UDPConn
+               ;;"github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               ;; ERROR: Println call has possible formatting directive %s.
+               ;;"github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               "github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               "github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               "github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t)))))
+    (propagated-inputs
+     `(("go-github-com-dchest-siphash" ,go-github-com-dchest-siphash)
+       ("go-github-com-operatorfoundation-ed25519"
+        ,go-github-com-operatorfoundation-ed25519)
+       ("go-github-com-willscott-goturn" ,go-github-com-willscott-goturn)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-torproject-org-pluggable-transports-goptlib"
+        ,go-torproject-org-pluggable-transports-goptlib)))
+    (home-page "https://github.com/OperatorFoundation/obfs4")
+    (synopsis "The Obfourscator")
+    (description "Obfs4 is a look-like nothing obfuscation protocol that
+incorporates ideas and concepts from Philipp Winter's ScrambleSuit protocol.
+The notable differences between ScrambleSuit and obfs4 are:
+@itemize
+@The handshake always does a full key exchange (no such thing as a Session
+Ticket Handshake).
+@The handshake uses the Tor Project's ntor handshake with public keys obfuscated
+via the Elligator 2 mapping.
+@The link layer encryption uses NaCl secret boxes (Poly1305/XSalsa20).
+@end itemize")
+    (license license:bsd-2)))
+
 (define-public go-github-com-willscott-goturn
   (let ((commit "19f41278d0c9251d64e0ee29f37d51e87a24a97b")
         (revision "68"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:03:09 2021
Received: from localhost ([127.0.0.1]:60033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkW-0003NU-FW
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:09 -0400
Received: from out0.migadu.com ([94.23.1.103]:14494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkT-0003NE-Vy
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:06 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193385;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Vk2PRd0FMC8c9DHOKyQMaZg6uZyrFZPEiFPmVWDmh2M=;
 b=IF0BDJyfqQhWT3LYpoJE3AsRLRPsAhTTJYU1n8oDo0r6RZL8+ynzYFTBhS0sqFhsn2yXGW
 DHI9BjCyfLiFXdAPi9pa4eBAHLp//05aopq/Ktv0KpCR0iyeRg+mRlQbwmNWGqzacUJLtJ
 e2akyGIq1DHPRPtjNKZh8YV0GZ2tsejZL22KOotOMrZ/TinmGb7mqSxQiZYyBZzDzyq2ih
 X7H1oA985lgg0TY3sJhCcOSuWsSjrtVrefN/aTWVruOP182/3QN+SvQXud8B+atghglRiU
 PJgRhb44DlWXd0D4HHwK+DMxR+2lEd/DTeGI0KPCkasn1iUREbBOoCIFmQy7Rg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 08/47] gnu: Add go-github-com-willscott-goturn.
Date: Tue,  8 Jun 2021 19:02:01 -0400
Message-Id: <20210608230240.17542-8-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-willscott-goturn): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3594138169..2539863770 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,31 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-willscott-goturn
+  (let ((commit "19f41278d0c9251d64e0ee29f37d51e87a24a97b")
+        (revision "68"))
+    (package
+      (name "go-github-com-willscott-goturn")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/willscott/goturn")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zwvhfznr84ayzknn9flh65nvqjsixisgy9fkhz2jlahl1ldqcq7"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/willscott/goturn"))
+      (synopsis "A golang TURN dialer")
+      (description "GoTURN is a library providing a Go interface compatible with
+the golang proxy package which connects through a TURN relay.")
+      (home-page "https://github.com/willscott/goturn")
+      (license license:bsd-3))))
+
 (define-public go-torproject-org-pluggable-transports-goptlib
   (package
     (name "go-torproject-org-pluggable-transports-goptlib")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:03:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:03:07 2021
Received: from localhost ([127.0.0.1]:60029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkV-0003NM-7X
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:07 -0400
Received: from out0.migadu.com ([94.23.1.103]:14483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkS-0003Mo-MI
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:05 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193383;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=tZzWE6R6nGOioBUbabZxiG1BT7LEJIUe1p37FGHxm2U=;
 b=Mw/2qGzJKKMrXRVcYwlFSmAuRRKwM55V1i8Mn/StJLj26CyHhYpKJp4pR/LUEXRgyWbna/
 x4XeK0FFHRcAekVcxqJZdUbfC0apdc6TRBO6sfpXjjzVfX7PZhOCzGTguFxLP7jRC6rEw4
 nfNHHvwcsZJzI77Jx4T6zd9IhCmsLH1fxHixqLMaYPwbx9oNYxI3b1z5lZ6IYKP8O3dAVf
 KD6azuWoRJUmSgMi8oDlfYa50C/LC3WCmCCWZ5NRArw4Gt47yhWKoJtmGCOtWvLCqBT2R9
 FoyYf+XKKMj7yfJn4qa32b6knFXLIynd88XEAxLBLC7OsIfRlwcsEcd9ruvyUQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 07/47] gnu: Add
 go-torproject-org-pluggable-transports-goptlib.
Date: Tue,  8 Jun 2021 19:02:00 -0400
Message-Id: <20210608230240.17542-7-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-torproject-org-pluggable-transports-goptlib): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index acc0c1bb49..3594138169 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,28 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-torproject-org-pluggable-transports-goptlib
+  (package
+    (name "go-torproject-org-pluggable-transports-goptlib")
+    (version "1.1.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://git.torproject.org/pluggable-transports/goptlib")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1lh938194hvkf8pqgnxwf6hvjv9rv0j3kasi07r2ckrj8sxzk4jc"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "git.torproject.org/pluggable-transports/goptlib"))
+    (home-page "https://gitweb.torproject.org/pluggable-transports/goptlib")
+    (synopsis "Library for writing Tor Pluggable-Transports")
+    (description "goptlib is a library for writing Tor pluggable transports in Go.")
+    (license license:cc0)))
+
 (define-public go-github-com-sevlyar-go-daemon
   (package
     (name "go-github-com-sevlyar-go-daemon")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:03:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:03:01 2021
Received: from localhost ([127.0.0.1]:60016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkO-0003M6-Ue
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:03:01 -0400
Received: from out0.migadu.com ([94.23.1.103]:14465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkN-0003Lw-7x
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:59 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193378;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=h/VaZHylRSUAwBeZaTg2Q4TNPqnrpHfGBSlaS9BjUvY=;
 b=GNxWCSASH6PJTzLj0zw7H0hTpiJa+89WDFJ/YmA/QIIwrsgQpT/fhajuYXcRNS16qoE4qu
 IUCrz1S9JJkQRaTVVLvD2khq2aLYl1/cDAqYtssp1cYOSvFfV1iOb8hR4ghouugXOIQOJ3
 KGZJcOk7VKl2Qon/vQsGTg1muEEQpNHRoFWUzgV35b77TloT4GLy/5RqvM1TNxKR7t8njk
 4qpLxwr4rMfPZg/BpcqL241ZcAgETq8QKZyP4d+MJrJFEFM38iRqVOtLuL/TCR9gc7SdBu
 t/B1pQAJJOptkY9HGGKVSOy77SRp//aWdS7Fl7ZUBTkFR+pRczHQGp7Pp4Lh8g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 05/47] gnu: Add go-github-com-keybase-go-ps.
Date: Tue,  8 Jun 2021 19:01:58 -0400
Message-Id: <20210608230240.17542-5-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-keybase-go-ps): New variable.
---
 gnu/packages/golang.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7b0f656ada..c7d29fc235 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,43 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-keybase-go-ps
+  (let ((commit "91aafc93ba19d1988cff338c1929d35b6c6f5b50")
+        (revision "45"))
+    (package
+      (name "go-github-com-keybase-go-ps")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/keybase/go-ps")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1la7m9pd1rrij727g34k9d2iapqwrkwdkqwpkbsbcq8ig0fg634h"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/keybase/go-ps"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'fix-tests
+             (lambda* (#:key inputs #:allow-other-keys)
+               (substitute* (find-files "." ".*test\\.go")
+                 (("/bin/sleep")
+                  (string-append (assoc-ref inputs "coreutils")
+                                 "/bin/sleep")))
+               #t)))))
+      (native-inputs
+       `(("coreutils" ,coreutils)
+         ("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Process List Library")
+      (description "go-ps is a library for Go that implements OS-specific APIs
+to list and manipulate processes in a platform-safe way.")
+      (home-page "https://github.com/keybase/go-ps")
+      (license license:expat))))
+
 (define-public go-github-com-apparentlymart-go-openvpn-mgmt
   (let ((commit "4d2ce95ae600ee04eeb020ee0997aabb82752210")
         (revision "14"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:02:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:02:58 2021
Received: from localhost ([127.0.0.1]:60012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkM-0003Lq-Kb
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:58 -0400
Received: from out0.migadu.com ([94.23.1.103]:14453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkL-0003Li-6K
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:57 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193376;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=GIz6C6Gq0E3uoBi3oKyMXc/COCUylT3RhbG4r4sRQIY=;
 b=I5n30TX8PPTpseLJP0Hzfh0pTsojDc2+5+M8ZIdceleWku72eC1A0wINcy804XcvSLXTVo
 ekVTKTBxLotqgvGg3wYz5qjc+bN4eJwN7jMraMBPuDgFALLrItyFkL57LJWtu7kyMepmLB
 1Wb47ZbFVV7BLoeQBW5IOrIzuPISRRM7DcUgG9QvG22bvu1ghlPPGPm0J89kj43YAUp4ki
 qch5/9Beo9Xn6yMY0esbU9j431umY6aWQ0pHs7W+vR0IaTzJa0dOZXmqIOBtMTCPBuJF3r
 FAkFmZV8xAiy2e3tbwiaKaAgU5VQ/5Ed/fcpt3eiQgRI+nBQxSxbv0F7/1ODgg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 04/47] gnu: Add
 go-github-com-apparentlymart-go-openvpn-mgmt.
Date: Tue,  8 Jun 2021 19:01:57 -0400
Message-Id: <20210608230240.17542-4-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-apparentlymart-go-openvpn-mgmt): New variable.
---
 gnu/packages/golang.scm | 79 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 79 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4fcb5cd01a..7b0f656ada 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,85 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-apparentlymart-go-openvpn-mgmt
+  (let ((commit "4d2ce95ae600ee04eeb020ee0997aabb82752210")
+        (revision "14"))
+    (package
+      (name "go-github-com-apparentlymart-go-openvpn-mgmt")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/apparentlymart/go-openvpn-mgmt")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1dn431jnswg5ns1ah10wswnw6wiv48zq21zr5xp1178l4waswj7k"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/apparentlymart/go-openvpn-mgmt"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t)))))
+      (synopsis "Go client library for OpenVPN's management protocol")
+      (description "This package implements a client for the OpenVPN management
+interface.  It can be used to monitor and control an OpenVPN process running with
+its management port enabled.")
+      (home-page "https://github.com/apparentlymart/go-openvpn-mgmt")
+      (license license:expat))))
+
 (define-public go-github-com-emersion-go-autostart
   (let ((commit "00ed301c8e9ae79e82878c6361c709983ac5dd2c")
         (revision "39"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:02:56 2021
Received: from localhost ([127.0.0.1]:60008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkK-0003LW-CD
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:56 -0400
Received: from out0.migadu.com ([94.23.1.103]:14447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkJ-0003LH-65
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:55 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193374;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TQsHMz5ashCIqkcLfH4ZIfUSPHoxovpGF6jtXAcbTrY=;
 b=kkZ6DnOk5tpHSrNNg1AUY3K1DmSkSgwVMopgLgQyKhr1RcluIDqfm8jAXDdv+M5rzAYJ0H
 dtbs6fnKfcw2H/feEO6Esphybxco05XYeOvfRuFKbswQ69FdI2VZZHMmH0fLudgS2d/ltQ
 UafkTMeVWxV9Xu2+MoPWIkVTSnH3HqZPm0+3ewfNK/5nW+CdBOkqpP9DD0Jk5NkZqPRY18
 7QLdHYHF7A1mdKhANYYdg7F1RC4lQ9ymeGyLxAl3dmctDcOEkWpqFY+rI0fPDUZC4OWeN9
 G1lNUd9c4FtExblaY0VZSmenS/HrKpTb6qvNI8R+9abcHr/z6fEjp5dkU+8bXA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 03/47] gnu: Add go-github-com-emersion-go-autostart.
Date: Tue,  8 Jun 2021 19:01:56 -0400
Message-Id: <20210608230240.17542-3-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-autostart): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4ebef21140..4fcb5cd01a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-emersion-go-autostart
+  (let ((commit "00ed301c8e9ae79e82878c6361c709983ac5dd2c")
+        (revision "39"))
+    (package
+      (name "go-github-com-emersion-go-autostart")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/emersion/go-autostart")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0cqqvbzn32xv5lknfygrx01rx2sc6pi833k7008nlk9lsfgry06v"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/emersion/go-autostart"))
+      (synopsis "Go library to run a command after login")
+      (description "Go library to run a command after login.")
+      (home-page "https://github.com/emersion/go-autostart")
+      (license license:expat))))
+
 (define-public go-github-com-dchest-siphash
   (package
     (name "go-github-com-dchest-siphash")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:02:56 2021
Received: from localhost ([127.0.0.1]:60006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkK-0003LP-2N
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:56 -0400
Received: from out0.migadu.com ([94.23.1.103]:14434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkG-0003L8-Ol
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193372;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HxvH21HNPu5MDPUtDDvAL6vOyOcNd8VHMwmV2XDZzVs=;
 b=KA5Z7VToJ6Ycct+ymW2YDlGLs1sVq0gp5YHPxNoyPa80lKICzUawSZyoGGnDEDnvZEKzpk
 Tw78Pky5uJL/DWu2CQ+l1TDcsW6MJAUhWpZn/1+9oQSOcGPLoqta+MzBe/P4nyZTlYS5yS
 +1soXCwfVVzyi/f2seMHKrJHqa7/OuVms/AU+4PvmN0+W0ziiMEJEhrak+pLhn9Jl5Yu0z
 nIrM2nxDUYj+cqJvJ2AOzvaiA9OEr36OxdLeGvxOTGbq4Vru2iuPPUsTUDhU5moWouC+cf
 pqmwrQZVPleXpd8ZwesLOfvEKap3qNIKSGWcZadee7YpQaBpBcX7eAdavkhCHw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 02/47] gnu: Add go-github-com-dchest-siphash.
Date: Tue,  8 Jun 2021 19:01:55 -0400
Message-Id: <20210608230240.17542-2-rg@HIDDEN>
In-Reply-To: <20210608230240.17542-1-rg@HIDDEN>
References: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, Jorge Gomez <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-dchest-siphash): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fcfb1fc715..4ebef21140 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-dchest-siphash
+  (package
+    (name "go-github-com-dchest-siphash")
+    (version "1.2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/dchest/siphash")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "08s076y7vmjqnq7jz0762hkm896r6r31v8b31a3gy0n8rfa01k8k"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/dchest/siphash"))
+    (home-page "https://github.com/dchest/siphash")
+    (synopsis "Go library for pseudorandom functions")
+    (description "SipHash is a family of pseudorandom functions (PRFs) optimized
+for speed on short messages.")
+    (license license:cc0)))
+
 (define-public go-github-com-rakyll-statik
   (package
     (name "go-github-com-rakyll-statik")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:02:56 2021
Received: from localhost ([127.0.0.1]:60000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkkF-0003L7-FY
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:56 -0400
Received: from out0.migadu.com ([94.23.1.103]:14423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkkD-0003Ky-P1
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:02:50 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193368;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=BsDpbqzkx/L53vbRuGSdKX79yeepkAQ5mh9kcSy39v0=;
 b=hCo+YVxA3hvoB3IIE4iHI9lXbI9pptk3HCInmcIGJ+vxTYBv86m0FFrhyhgQF0VV/gYUpR
 QH58imOvtjSgifHQNmI29wuatCnMngcX1Ei8B+U3FzJrwg0UvVhM0LVP6lBa9yO9XmTHWb
 svb/F/ACeGs6ziYLsZEp01gFF02kLZhPkhHxpSuk1iL4Ubh/ZSU2dcxxYLaRwuha/wylto
 AwXt3LMwfwDbkEMkvD/dA8ddxEb5tdABglhtxWcsaBXJfqZWo8w0gkh5dfv8VpW67+XiNk
 3DZhhj8CrK54ngjU6ZkklxrtQOoFot/wQzvJzpzmRxcl/mq61Uar4N6ufW4nbA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 01/47] gnu: Add go-github-com-rakyll-statik.
Date: Tue,  8 Jun 2021 19:01:54 -0400
Message-Id: <20210608230240.17542-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, Jorge Gomez <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-rakyll-statik): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8c3c81ceda..fcfb1fc715 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -25,6 +25,8 @@
 ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2021 Guillaume Le Vaillant <glv@HIDDEN>
+;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
+;;; Copyright © 2021 Jorge Gomez <jgart@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -67,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-rakyll-statik
+  (package
+    (name "go-github-com-rakyll-statik")
+    (version "0.1.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/rakyll/statik")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0y0kbzma55vmyqhyrw9ssgvxn6nw7d0zg72a7nz8vp1zly4hs6va"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/rakyll/statik"))
+    (home-page "https://github.com/rakyll/statik/")
+    (synopsis "Embed files into a Go executable")
+    (description "Statik allows you to embed a directory of static files into
+your Go binary to be later served from an http.")
+    (license license:asl2.0)))
+
 ;; According to https://golang.org/doc/install/gccgo, gccgo-4.8.2 includes a
 ;; complete go-1.1.2 implementation, gccgo-4.9 includes a complete go-1.2
 ;; implementation, and gccgo-5 a complete implementation of go-1.4.  Ultimately
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 8 Jun 2021 23:01:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 19:01:10 2021
Received: from localhost ([127.0.0.1]:59995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqkic-0003Ip-3s
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:01:10 -0400
Received: from out1.migadu.com ([91.121.223.63]:17068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lqkiV-0003IO-4R
 for 48729 <at> debbugs.gnu.org; Tue, 08 Jun 2021 19:01:08 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1623193261;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=d0651w4/tMzABN56g5qDy1/pCd7l1WvfuK5SxSK9htA=;
 b=bPNKeDREVSJf3jvnrLOsxbSBff0hStUc8PMfyf/6qg1LzguXt91qIgERbG6cl+SG08bS/D
 gfSLaynHc2w4i7y1PQsqqIcyPJOlk5JUEoRK3ZNBsLtdJYvOdbkmrDfuhHJ9ldpE2Xp+Lr
 vuOy1ko7OK7xKoBL6uyrRpsboR/GUFvzdnMJNaCfT9dmYOTNEtaq4BLXgQ4KY5epKa31a0
 Golui9rw7vripz0coStfANmA29m5/SN9/Ox5aSxoLRjmY99arTySRwkuJnMizkAh0k4y06
 mx3YU5wkqH8I3zwsOOp93cYbgjrO9F3+rk+IxDZ0f5G5TSqkzYlfWb4pGQS7vg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v3 00/47]: Bitmask VPN
Message-ID: <e274d880-7207-a9f6-0958-2b0a98d3abf3@HIDDEN>
Date: Tue, 8 Jun 2021 19:00:58 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="sgex4m9QrhtEqNCcGgHZYFWMJiuep0E0L"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--sgex4m9QrhtEqNCcGgHZYFWMJiuep0E0L
Content-Type: multipart/mixed; boundary="VDdlTmpEhkU15k71jIAglUx4WGfl4sPpl";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Message-ID: <e274d880-7207-a9f6-0958-2b0a98d3abf3@HIDDEN>
Subject: [PATCH v3 00/47]: Bitmask VPN

--VDdlTmpEhkU15k71jIAglUx4WGfl4sPpl
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-CA
Content-Transfer-Encoding: quoted-printable

Hello Guix!

This version of patch-set still has following issues:

[1] Failing tests has to be re-visited.
[2] Trailing `#t` in phases has to be removed.
[3] Synopsis and Description requires revision.
[4] Some lines are too long.

Regards,
RG.


--VDdlTmpEhkU15k71jIAglUx4WGfl4sPpl--

--sgex4m9QrhtEqNCcGgHZYFWMJiuep0E0L
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYL/2qgUDAAAAAAAKCRBfWBZkf4vlUfnC
AQClOKcWtp2xDg0DNSrj1UgFeqKMieFoNE7VTCea9n+BgQEAk0/sZ9+MxJWn8hxeIp2llJYB8h9J
hlqKzKXT7JUE5AQ=
=AFkW
-----END PGP SIGNATURE-----

--sgex4m9QrhtEqNCcGgHZYFWMJiuep0E0L--




Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 5 Jun 2021 14:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 10:42:27 2021
Received: from localhost ([127.0.0.1]:49865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpXVH-00060H-G7
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 10:42:27 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:47186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lpXVC-000603-Fc
 for 48729 <at> debbugs.gnu.org; Sat, 05 Jun 2021 10:42:22 -0400
Received: from butterfly ([188.188.221.10])
 by michel.telenet-ops.be with bizsmtp
 id DSiF2500K0E3zys06SiG20; Sat, 05 Jun 2021 16:42:16 +0200
Message-ID: <ac2bab159114b7ec339c965d1a8dd5cf900a3ad6.camel@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 05/47] gnu: Add go-github-com-keybase-go-ps.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48729 <at> debbugs.gnu.org
Date: Sat, 05 Jun 2021 16:42:15 +0200
In-Reply-To: <20210603095814.21158-5-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
 <20210603095814.21158-5-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-D/CV3KoinyLTTrXhlDQd"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1622904136; bh=BQgYq5BuLGOQ0W+pMTBWaHvfMUg2hLdKsNTXegf4Dtc=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=RW34wJD7S8sdUBKv8Styuqbrb9MawvSjiKtaFZQJe/FzxZnF3P+Kv9GzSkblx0TN6
 J4EtEsjcm5x7BT4nAXlner5G3p/5Eul3+2kscVuqZqYcQ4TmYq6u5ea2+WjRXXXXTP
 2LqxxdEYEAKHGXdSiMpHAgylZ8KLHIrmdgZlRaKFzmWZSjDSkuP+UCSD5tRNy7at3a
 7JUfcKCIm85LXkWwu11KGfMFj+Lst92pp9YeHAtI69+A8Q7/PAw0rr7wH82O5qe2CS
 3vUkjGsa7YbQetc96/dac0X+rYfpwaH/R7e+G7BkA39E0mNELb69F1yysnDWWGYwqA
 9m1GMNT6GLYnQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-D/CV3KoinyLTTrXhlDQd
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op do 03-06-2021 om 05:57 [-0=
400]:
> +         (modify-phases %standard-phases
> +           (add-after 'unpack 'fix-tests
> +             (lambda* (#:key inputs #:allow-other-keys)
> +               (substitute* (find-files "." ".*test\\.go")
> +                 (("/bin/sleep")
> +                  (string-append (assoc-ref inputs "coreutils")
> +                                 "/bin/sleep")))

When cross-compiling, coreutils is not in 'inputs', but in 'native-inputs',=
 right?
So this would lead to a build error when cross-compiling.
(assoc-ref inputs "coreutils") would return #f, thus you'd get an exception

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure string-append: Wrong type (expecting string): #f

I would make this (untested):

  (sring-append (assoc-ref (or native-inputs inputs) "coreutils") "/bin/sle=
ep")

Greetings,
Maxime.

--=-D/CV3KoinyLTTrXhlDQd
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYLuNRxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7lPOAP0cr1XQKMFnTXjPRU82gCyBpWDQ
4l1MZkeqUXPLvysxSQEApWWsziZ2g0lo2KBKlmAjInKBsOm54LO4t6gjpRYWnQA=
=NRZ6
-----END PGP SIGNATURE-----

--=-D/CV3KoinyLTTrXhlDQd--





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 21:47:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 17:47:46 2021
Received: from localhost ([127.0.0.1]:44947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lovBq-0006kw-Fq
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 17:47:46 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:36736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lovBn-0006km-Eh
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 17:47:44 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by albert.telenet-ops.be with bizsmtp
 id Clnh2500B0mfAB406lnhWo; Thu, 03 Jun 2021 23:47:41 +0200
Message-ID: <c9c44d76a3547765cbe521252b94730307e997c0.camel@HIDDEN>
Subject: Re: [bug#48729] [PATCH v2 47/47] gnu: Add bitmask-vpn.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 48729 <at> debbugs.gnu.org
Date: Thu, 03 Jun 2021 23:47:35 +0200
In-Reply-To: <20210603205110.7102-47-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
 <20210603205110.7102-47-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-MZ3YZq5j0gImcksDFIxz"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1622756861; bh=3x21uT+cAl3mCVBmapEuaYsPt/g0lcyLGzCFPOV7fAE=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=bDf8DhnmiwMQr3aOV5YbDCGpnDOhzf6Sgqj89NG9h7c1hYIJKA+bSiS0Jo5x2hnXR
 +M7XaEe/RfDvJIMTMMbaHAzlXx+KA7U84ZY0W4YFPSwId00aATxtYxjQ04ZcAJQ8aZ
 x2iUvU36wQ34GezkSBpuv0ni2faxgO37KOdJkVWUZe/Dq+BJm9YS860jSSQPOL3s5z
 Ldf6GgxZ2RFtrSxTJg8GgPDCya0Dr5xzxMLZxF26MEhrk9qYUoqK/BxLnHTIgEL0Xp
 SaBrNqrw0QE2YKhzNkd9J9IEXvKad1RmxhEtuW6yAkH2Jow2EDo69khPM43pmvMP0R
 zUp+sN58SnXRA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-MZ3YZq5j0gImcksDFIxz
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

One comment about this patch.

Raghav Gururajan via Guix-patches via schreef op do 03-06-2021 om 16:51 [-0=
400]:
>=20
> +         (replace 'build
> +           (lambda* (#:key source system outputs search-paths build-flag=
s unpack-path inputs #:allow-other-keys)
> +             (for-each
> +              (lambda (directory)
> +                ((assoc-ref %standard-phases 'build)
> +                 #:source source
> +                 #:system system
> +                 #:outputs outputs
> +                 #:search-paths search-paths
> +                 #:build-flags build-flags
> +                 #:unpack-path unpack-path
> +                 #:inputs inputs
> +                 #:import-path directory))
> +              (list [...]

This can be done a bit simpler, and less prone to breakage
if/when a new keyword argument is introduced at some poit
in the future (untested):

(replace 'build
  (lambda arguments
    (lambda (directory)
      (apply (assoc-ref %standard-phases 'build)
             `(,@arguments #:directory ,directory)))))

WDYT? Likewise in other places.

Also, trailing #t in phases aren't required anymore
(but harmless), though you probably know that already.
(The warning should disappear when core-updates is merged.)

Greetings,
Maxime.

--=-MZ3YZq5j0gImcksDFIxz
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYLlN9xccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sAnAQD4cGtx1M/sewKvRpxVeCVRsRLz
EmCicMR9jZ9r8O17tgEAzf0GeowULKabsrGbKivydP1BrTPhL8BFYbYMEjOMAwY=
=bKKf
-----END PGP SIGNATURE-----

--=-MZ3YZq5j0gImcksDFIxz--





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:32 2021
Received: from localhost ([127.0.0.1]:44832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louKK-0005Im-1b
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:32 -0400
Received: from out1.migadu.com ([91.121.223.63]:40539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louKI-0005Ic-58
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:27 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753545;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=EiQODyiqyUKhoaDZJyo7wTcgCTEBBXdstrKas7UyIZI=;
 b=VVkW5i+K7L27QlwyI9/ESRaMAnawiZcC58p1IJrmSsOMft8CwyMWVmCmUoGB1TV7G/vmuH
 fk/3qDGa48DGkCYyMXrs/C4H6AILTPRJC/+vYxVNsGvBwbcCnK7AC0WukZ9iYebDpRh4zz
 ZrUqXnnsgNAzXM5Oe1tqlEOLUJOCRop6awFXKUMeBpUx0LPyHOrt2KVUxcsuGIrsNwesk/
 wfpuybpK7Kf0W8CHOHOwbOmKyY2NyD2thMzt/xu/YSP/juKLCz0nqKbwSRrxXa7ZT35zEU
 /A8w1w6mqBhWlu4Lg1TxLnad4+dLfTtEbYCx3kGJllGulErCTzHd3dExq11m1A==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 47/47] gnu: Add bitmask-vpn.
Date: Thu,  3 Jun 2021 16:51:10 -0400
Message-Id: <20210603205110.7102-47-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/vpn.scm (bitmask-vpn): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/vpn.scm | 150 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 150 insertions(+)

diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index a952e3f0db..12d2b6edd2 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -15,6 +15,8 @@
 ;;; Copyright © 2020 Ryan Prior <rprior@HIDDEN>
 ;;; Copyright © 2020 Ivan Kozlov <kanichos@HIDDEN>
 ;;; Copyright © 2020 David Dashyan <mail@HIDDEN>
+;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
+;;; Copyright © 2021 Jorge Gomez <jgart@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -38,6 +40,7 @@
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system linux-module)
   #:use-module (guix build-system python)
   #:use-module (guix utils)
@@ -52,6 +55,8 @@
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
+  #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages linux)
@@ -69,6 +74,151 @@
   #:use-module (gnu packages tls)
   #:use-module (gnu packages xml))
 
+(define-public bitmask-vpn
+  (package
+    (name "bitmask-vpn")
+    (version "0.20.4")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://0xacab.org/leap/bitmask-vpn")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "04sh69m5fq3gml4xgzv92z8i3hay98n9llq9p7p6q9q81s8q8849"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "0xacab.org/leap/bitmask-vpn"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               (("github.com/ProtonMail/go-autostart")
+                "github.com/emersion/go-autostart"))
+             #t))
+         (add-after 'setup-go-environment 'insert-shapeshifter
+           ;; For some reason these packages are left out.
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let* ((go-dialog (assoc-ref inputs "go-0xacab-org-leap-go-dialog"))
+                    (go-dialog-src (string-append go-dialog "/src"))
+                    (shapeshifter (assoc-ref inputs "go-0xacab-org-leap-shapeshifter"))
+                    (shapeshifter-src (string-append shapeshifter "/src")))
+               (copy-recursively go-dialog-src "src")
+               (copy-recursively shapeshifter-src "src"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-connect"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-vpn"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmaskd"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/standalone"
+               "0xacab.org/leap/bitmask-vpn/pkg/systray"
+               "0xacab.org/leap/bitmask-vpn/tools/transifex"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-connect"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-vpn"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmaskd"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/standalone"
+               "0xacab.org/leap/bitmask-vpn/pkg/systray"
+               "0xacab.org/leap/bitmask-vpn/tools/transifex"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-connect"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-vpn"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmaskd"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/standalone"
+               "0xacab.org/leap/bitmask-vpn/pkg/systray"
+               "0xacab.org/leap/bitmask-vpn/tools/transifex"))
+             #t)))))
+    (native-inputs
+     `(("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)
+       ("python" ,python-wrapper)))
+    (inputs
+     `(("gtk+" ,gtk+)
+       ("libappindicator" ,libappindicator)))
+    (propagated-inputs
+     `(("go-0xacab-org-leap-go-dialog"
+        ,go-0xacab-org-leap-go-dialog)
+       ("go-0xacab-org-leap-shapeshifter"
+        ,go-0xacab-org-leap-shapeshifter)
+       ("go-github-com-apparentlymart-go-openvpn-mgmt"
+        ,go-github-com-apparentlymart-go-openvpn-mgmt)
+       ("go-github-com-emersion-go-autostart"
+        ,go-github-com-emersion-go-autostart)
+       ("go-github-com-getlantern-systray"
+        ,go-github-com-getlantern-systray)
+       ("go-github-com-jmshal-go-locale"
+        ,go-github-com-jmshal-go-locale)
+       ("go-github-com-keybase-go-ps"
+        ,go-github-com-keybase-go-ps)
+       ("go-github-com-sevlyar-go-daemon"
+        ,go-github-com-sevlyar-go-daemon)
+       ("go-github-com-skratchdot-open-golang"
+        ,go-github-com-skratchdot-open-golang)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-tools" ,go-golang-org-x-tools)))
+    (synopsis "Bitmask VPN Client")
+    (description "Bitmask-VPN is LEAP’s very own VPN client.  It allows you to
+select from a variety of trusted service provider all from one app.  Current
+providers include Riseup Networks and The Calyx Institute.")
+    (home-page "https://bitmask.net/")
+    (license license:gpl3+)))
+
 (define-public gvpe
   (package
     (name "gvpe")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:24 2021
Received: from localhost ([127.0.0.1]:44828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louKF-0005IT-QB
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:24 -0400
Received: from out1.migadu.com ([91.121.223.63]:40523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louKE-0005IL-5I
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:22 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753541;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=miMrBG9tIv4YMYdcWb3JEqk6p2RDrJVdjr6YB1tI9Os=;
 b=iq+fwoeVT3q107h3/8AP0ygaCIaBqq9ihBRZ3OPG9T4UaRnADs5Z6nGNBOk3FSWjXTSIWj
 ZBb0nvc62MiMce2rJPOpg22DcjYEMqFpf+BcN6LAFtkhZ/KZakseuzQkSJSHkz6CxvqjE0
 BnW3mxuPkNrDeLYsCzAvLVz/R/kW/ksAKIdmmAFBFJ3fxIPX0Z4QN0VkFg9ROX6eR2qmiE
 eXQz4Bvu1L5cSJ4Dh1HU0MIQOQqPNfBRhJi6yWjLsZqH2Umk54izV8p6/m5KYK2QTq0dqV
 oJG8xBrLF0tf3+Ur6tT68GJX90QXtBsX8XKZznr6LzrCgQdmVYBllW2x2rHf0w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 46/47] gnu: Add go-0xacab-org-leap-go-dialog.
Date: Thu,  3 Jun 2021 16:51:09 -0400
Message-Id: <20210603205110.7102-46-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/golang.scm (go-0xacab-org-leap-go-dialog): New variable.
---
 gnu/packages/golang.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f92e14ad28..96bf6e6551 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,38 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-0xacab-org-leap-go-dialog
+  (let ((commit "0ee8438431a0dca8f25ea788d74bfe7e88078b7a")
+        (revision "25"))
+    (package
+      (name "go-0xacab-org-leap-go-dialog")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://0xacab.org/leap/go-dialog")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1dn2dxpg6162f7vyr66vnwhy31wnjj7f14bqdcs7q0wk890kfh21"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "0xacab.org/leap/go-dialog"))
+      (native-inputs
+       `(("gtk+:bin" ,gtk+ "bin")
+         ("pkg-config" ,pkg-config)))
+      (inputs
+       `(("gtk+" ,gtk+)))
+      (propagated-inputs
+       `(("go-github-com-gotk3-gotk3"
+          ,go-github-com-gotk3-gotk3)))
+      (home-page "https://0xacab.org/leap/go-dialog")
+      (synopsis "Dialog API for Go")
+      (description "Dialog is a simple cross-platform dialog API for go-lang.")
+      (license license:isc))))
+
 (define-public go-github-com-sqweek-dialog
   (let ((commit "8a3d98e8211d6ee4351f31eb597043631002144b")
         (revision "30"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:17 2021
Received: from localhost ([127.0.0.1]:44824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louK9-0005IA-HY
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:17 -0400
Received: from out1.migadu.com ([91.121.223.63]:40489)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louK8-0005Hx-6K
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:16 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753535;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=5uhpHvuliLjkbYoZ3c3QjMgaqCJbjPqJ0pkNtU7B8js=;
 b=emJErnDqK6wQuYetbNS9VVJQzRIksrEyrYppbDACtbSVNPcUYAF53PxNb3xLJH3AzH43Nn
 KvH1QpCGoovKB0FD+xFwyrQxgBusCsP5v5RAbNyGrSvW73+NpMaVV5LB+zsuP2zmxgFhc+
 IX8DqLXfSYCR9epHM4cTNK6YHgWsAsENmTuVu+0sVyZJfET9g5ysoJGIuPGg21S9Zt1Baf
 UpfTG8Ef7IiKXmjzWBQkhKXDa+7GxJFyT1x+Npikn7urfOGBhXkp058M2AyjyNmm1pf6SF
 mlPHUtdu0azyau9gt5WFOgnVynS1ylKepYxk32Z9uyoD6fhIIGVcjhHS9iw6IA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 45/47] gnu: Add go-github-com-sqweek-dialog.
Date: Thu,  3 Jun 2021 16:51:08 -0400
Message-Id: <20210603205110.7102-45-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-sqweek-dialog): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d6e54c9d8b..f92e14ad28 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-sqweek-dialog
+  (let ((commit "8a3d98e8211d6ee4351f31eb597043631002144b")
+        (revision "30"))
+    (package
+      (name "go-github-com-sqweek-dialog")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/sqweek/dialog")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1sdb4nddjyx1dkddk7cga71ymv1fd69pzdf4nywvfb33nfqqbvl1"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/sqweek/dialog"))
+      (native-inputs
+       `(("gtk+:bin" ,gtk+ "bin")
+         ("pkg-config" ,pkg-config)))
+      (inputs
+       `(("gtk+" ,gtk+)))
+      (home-page "https://github.com/sqweek/dialog")
+      (synopsis "Dialog API for Go")
+      (description "Dialog is a simple cross-platform dialog API for go-lang.")
+      (license license:isc))))
+
 (define-public go-github-com-skratchdot-open-golang
   (let ((commit "eef8423979666925a58eb77f9db583e54320d5a4")
         (revision "28"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:16 2021
Received: from localhost ([127.0.0.1]:44820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louK7-0005Hv-4A
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:16 -0400
Received: from out1.migadu.com ([91.121.223.63]:40478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louK4-0005Hm-Sb
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:13 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753532;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=nHUFt7gLQnXY3+/wfoKt+8V8SFv7WhyWwnL4UGkJy8g=;
 b=TXsvnX7dtAT/iiqwLmXfMCrg4wmqZj5o0H1JLqAGXi8788ebKLcQQlIrHTg6tTjsaQs1fz
 THqe/YJyBQM947gNb6d2TZj9mwAb5I6PIlX1OQiuwkNQyxhsaxVV4KWspYJd0HxTE0NXv1
 ToHWECExJTed34WjCKkkfiCTbogHZc4pON+etIYb9tFdzwtAujfdhTDg2HdA75xQagWoY3
 tWOZJKa/HuzMaZYPM9PCWDJckyi6OL7ZTt6HAPtZg5bJiqcEjwzK7z3i7bsK2acIT6+wq3
 1qxQl/qJEEyJ/2vjf1UK6Em4hUSsSwQHeEQpjSxgD3OUMVsh55xdx3/SLwCMnw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 44/47] gnu: Add go-github-com-skratchdot-open-golang.
Date: Thu,  3 Jun 2021 16:51:07 -0400
Message-Id: <20210603205110.7102-44-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-skratchdot-open-golang): New variable.
---
 gnu/packages/golang.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e5e3098e97..d6e54c9d8b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,41 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-skratchdot-open-golang
+  (let ((commit "eef8423979666925a58eb77f9db583e54320d5a4")
+        (revision "28"))
+    (package
+      (name "go-github-com-skratchdot-open-golang")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/skratchdot/open-golang")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0n6387csjn024db8wldadsiy8ljz7lk7szl6ls28fcbkax7rw86y"))
+         (modules '((guix build utils)))
+         (snippet
+          `(begin
+             (delete-file-recursively "vendor")
+             #t))))
+      (build-system go-build-system)
+      (arguments
+       `(#:tests? #f                    ; requires networking
+         #:unpack-path "github.com/skratchdot/open-golang"
+         #:import-path "github.com/skratchdot/open-golang/open"))
+      (inputs
+       `(("xdg-open" ,xdg-utils)))
+      (home-page "https://github.com/skratchdot/open-golang")
+      (synopsis "Proxy for XDG-Open")
+      (description "Open-GoLang provides a module to open a file, directory, or
+URI using the OS's default application for that object type.  Optionally, you can
+specify an application to use.")
+      (license license:expat))))
+
 (define-public go-github-com-skelterjohn-go-wde
   (let ((commit "adc3f78cdb457e9db21bfff010c85ed97315d8d7")
         (revision "203"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:11 2021
Received: from localhost ([127.0.0.1]:44816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louK2-0005Hd-Sh
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:11 -0400
Received: from out1.migadu.com ([91.121.223.63]:40456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louK1-0005HV-4q
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:09 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753528;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=mNKogqPIKRpCa44jX3FfhXMxIU+LRJlS+JN0pdPzxDE=;
 b=WDr0+UtENujKQlZTMUW3c7XQbxmbZ1xajvP9alpHnIArBH8v9rSQ1vPxF/MKr+wLiUvNjZ
 BmaGaGrGdhNOzdgovDTDei2omKFTZPc7BiyYxj2vvhJdTyg9ey67xlOpdMumOw9dIphnGh
 qbC8QJkLabDl1UIbe2h7wpnKMrYleJo5BM9Rxu0Bb8Vv263s9DmrIm9yvzvFe2SPd1yE54
 pXaG+EQmdxkU4EJEvZ8gd440drZWRDUvIbIvXjXdOk3Ueoub35rhyvZGr6zmBBDGoos40s
 Pv5azzmaj8r8N6sYjYHZO1MDHhFadjzFVO/5yfLFiAknRvS1kHMjPda1bUWKHg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 43/47] gnu: Add go-github-com-skelterjohn-go-wde.
Date: Thu,  3 Jun 2021 16:51:06 -0400
Message-Id: <20210603205110.7102-43-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-skelterjohn-go-wde): New variable.
---
 gnu/packages/golang.scm | 43 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 074e8e6bdf..e5e3098e97 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,49 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-skelterjohn-go-wde
+  (let ((commit "adc3f78cdb457e9db21bfff010c85ed97315d8d7")
+        (revision "203"))
+    (package
+      (name "go-github-com-skelterjohn-go-wde")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/skelterjohn/go.wde")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1zxdilxd7iyv367xv7qx7ca0v6fkw5l8gy1bv8s762akx0vqbd85"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/skelterjohn/go.wde"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'patch-source
+             (lambda _
+               (substitute* (find-files "." "\\.go$")
+                 ;; Use 'jezek/xgb' instead of 'BurntSushi/xgb',
+                 ;; as the latter is unmaintained.
+                 (("github.com/BurntSushi/xgb")
+                  "github.com/jezek/xgb"))
+               #t)))))
+      (propagated-inputs
+       `(("go-github-com-go-gl-gl"
+          ,go-github-com-go-gl-gl)
+         ("go-github-com-grd-glfw3"
+          ,go-github-com-grd-glfw3)
+         ("go-github-com-jezek-xgb"
+          ,go-github-com-jezek-xgb)
+         ("go-github-com-burntsushi-xgbutil"
+          ,go-github-com-burntsushi-xgbutil)))
+      (home-page "https://github.com/skelterjohn/go.wde")
+      (synopsis "Windows, drawing and events for Go")
+      (description "Go-WDE provides (W)indows, (D)rawing and (E)vents for Go.")
+      (license license:asl2.0))))
+
 (define-public go-github-com-go-gl-gl
   (let ((commit "69f74958bac0960e82e8ac5977ff073af29381ba")
         (revision "87"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:07 2021
Received: from localhost ([127.0.0.1]:44812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louJz-0005HN-Dt
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:07 -0400
Received: from out1.migadu.com ([91.121.223.63]:40429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louJx-0005HF-Fj
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:05 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753524;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=RXRXFKKAL9DB9vakABpqkrMv1Mtn96usuMdCTsiDzqg=;
 b=Hg3DECSvNKeBB8xVN4SnfOZ/L//3P0d1WOak2zQ5QFzdex5e/l/q1Pi1GP3QVMTIE5kHN+
 nRKhx544xUN5ZVDMyLk4cQiHZFmI9xZQWz50LQYkLnvJTMG+/f1hx0nhA3cdhyXTnh0viH
 cN7wNKBb28FKPu+C2kvqTi582nsuWwqyiUZy6q7YxWp1W+Kalojl1erAQmCQ+AHP41YFhN
 rimqJMVMAoyt0BtUfOfppje7K5uNVTr+OQaamZrixPc12XWXO+nqwLVb4F9sRC4cabdhTI
 QwsUf5CrxkN2/6fhszRjwzDV/CHk12S+fB9LtxO2ArFP0ZDQ1BLD4SMvf5pU0g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 42/47] gnu: Add go-github-com-go-gl-gl.
Date: Thu,  3 Jun 2021 16:51:05 -0400
Message-Id: <20210603205110.7102-42-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-go-gl-gl): New variable.
---
 gnu/packages/golang.scm | 134 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 134 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3a632b0705..074e8e6bdf 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,140 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-go-gl-gl
+  (let ((commit "69f74958bac0960e82e8ac5977ff073af29381ba")
+        (revision "87"))
+    (package
+      (name "go-github-com-go-gl-gl")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/go-gl/gl")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "15bqz4dax3b5ha9qcc855aczsa89qa65p578dnjrbww53q31s5w0"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/go-gl/gl"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/go-gl/gl/all-core/gl"
+                 "github.com/go-gl/gl/v2.1/gl"
+                 "github.com/go-gl/gl/v3.1/gles2"
+                 "github.com/go-gl/gl/v3.2-compatibility/gl"
+                 "github.com/go-gl/gl/v3.2-core/gl"
+                 "github.com/go-gl/gl/v3.3-compatibility/gl"
+                 "github.com/go-gl/gl/v3.3-core/gl"
+                 "github.com/go-gl/gl/v4.1-compatibility/gl"
+                 "github.com/go-gl/gl/v4.1-core/gl"
+                 "github.com/go-gl/gl/v4.2-compatibility/gl"
+                 "github.com/go-gl/gl/v4.2-core/gl"
+                 "github.com/go-gl/gl/v4.3-compatibility/gl"
+                 "github.com/go-gl/gl/v4.3-core/gl"
+                 "github.com/go-gl/gl/v4.4-compatibility/gl"
+                 "github.com/go-gl/gl/v4.4-core/gl"
+                 "github.com/go-gl/gl/v4.5-compatibility/gl"
+                 "github.com/go-gl/gl/v4.5-core/gl"
+                 "github.com/go-gl/gl/v4.6-compatibility/gl"
+                 "github.com/go-gl/gl/v4.6-core/gl"))
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/go-gl/gl/all-core/gl"
+                 "github.com/go-gl/gl/v2.1/gl"
+                 "github.com/go-gl/gl/v3.1/gles2"
+                 "github.com/go-gl/gl/v3.2-compatibility/gl"
+                 "github.com/go-gl/gl/v3.2-core/gl"
+                 "github.com/go-gl/gl/v3.3-compatibility/gl"
+                 "github.com/go-gl/gl/v3.3-core/gl"
+                 "github.com/go-gl/gl/v4.1-compatibility/gl"
+                 "github.com/go-gl/gl/v4.1-core/gl"
+                 "github.com/go-gl/gl/v4.2-compatibility/gl"
+                 "github.com/go-gl/gl/v4.2-core/gl"
+                 "github.com/go-gl/gl/v4.3-compatibility/gl"
+                 "github.com/go-gl/gl/v4.3-core/gl"
+                 "github.com/go-gl/gl/v4.4-compatibility/gl"
+                 "github.com/go-gl/gl/v4.4-core/gl"
+                 "github.com/go-gl/gl/v4.5-compatibility/gl"
+                 "github.com/go-gl/gl/v4.5-core/gl"
+                 "github.com/go-gl/gl/v4.6-compatibility/gl"
+                 "github.com/go-gl/gl/v4.6-core/gl"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/go-gl/gl/all-core/gl"
+                 "github.com/go-gl/gl/v2.1/gl"
+                 "github.com/go-gl/gl/v3.1/gles2"
+                 "github.com/go-gl/gl/v3.2-compatibility/gl"
+                 "github.com/go-gl/gl/v3.2-core/gl"
+                 "github.com/go-gl/gl/v3.3-compatibility/gl"
+                 "github.com/go-gl/gl/v3.3-core/gl"
+                 "github.com/go-gl/gl/v4.1-compatibility/gl"
+                 "github.com/go-gl/gl/v4.1-core/gl"
+                 "github.com/go-gl/gl/v4.2-compatibility/gl"
+                 "github.com/go-gl/gl/v4.2-core/gl"
+                 "github.com/go-gl/gl/v4.3-compatibility/gl"
+                 "github.com/go-gl/gl/v4.3-core/gl"
+                 "github.com/go-gl/gl/v4.4-compatibility/gl"
+                 "github.com/go-gl/gl/v4.4-core/gl"
+                 "github.com/go-gl/gl/v4.5-compatibility/gl"
+                 "github.com/go-gl/gl/v4.5-core/gl"
+                 "github.com/go-gl/gl/v4.6-compatibility/gl"
+                 "github.com/go-gl/gl/v4.6-core/gl"))
+               #t)))))
+      (native-inputs
+       `(("pkg-config" ,pkg-config)))
+      (inputs
+       `(("mesa" ,mesa)))
+      (propagated-inputs
+       `(("go-github-com-go-gl-glow" ,go-github-com-go-gl-glow)))
+      (home-page "https://github.com/go-gl/gl")
+      (synopsis "Go bindings for OpenGL")
+      (description "Go-GL holds Go bindings to various OpenGL versions.")
+      (license license:expat))))
+
 (define-public go-github-com-go-gl-glow
   (let ((commit "640349a6105e64eb9e5085d2afee1ab2ec67d2dc")
         (revision "300"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:04 2021
Received: from localhost ([127.0.0.1]:44808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louJw-0005H2-4F
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:04 -0400
Received: from out1.migadu.com ([91.121.223.63]:40418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louJt-0005Gc-T0
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:02 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753521;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ZcW24fBBhlXUWRxHVWSYan55ZTzIoPQOLSwK0W1eIig=;
 b=kcew3lhUY2mqwZvOYycG7sIFp03tgGmtEWz+viB764/fG9wCYlabPZd7EQ5GaiVbTb9eVd
 SMNu57pX8/dhfnsQvbNG/2Y7GpmDISscccT/doZmysa8n/pbyCWlLOlHNIRoGpVjrMUlFh
 Bd0bazHJ72asTCMMAUBk2ewk4mz+T5iuigin+/yVzKtpJDEvQr/b4XKMwgKf9wt5AZHeM9
 lZ8EU9rL5N3535J5oo4rajk6IdPtdTAqTFe6fWjnsYePoGbj86saWhJiK1JMMfXFV/t9jy
 aKN80jOnTwtFTt58qPrs1RrVChS1pgUCR224RehTwjhmjS2xEbXBOUSBIzWIuQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 41/47] gnu: Add go-github-com-go-gl-glow.
Date: Thu,  3 Jun 2021 16:51:04 -0400
Message-Id: <20210603205110.7102-41-rg@HIDDEN>
In-Reply-To: <20210603205110.7102-40-rg@HIDDEN>
References: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-go-gl-glow): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7661813489..3a632b0705 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -74,6 +74,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-go-gl-glow
+  (let ((commit "640349a6105e64eb9e5085d2afee1ab2ec67d2dc")
+        (revision "300"))
+    (package
+      (name "go-github-com-go-gl-glow")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/go-gl/glow")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1lzibraqjkzibvxw1lagrlzpjsqbp5pd4fcyi6ygqhgja0ik3zd7"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/go-gl/glow"))
+      (propagated-inputs
+       `(("go-golang-org-x-tools" ,go-golang-org-x-tools)))
+      (home-page "https://github.com/go-gl/glow")
+      (synopsis "Go binding generator for OpenGL")
+      (description "Glow is an OpenGL binding generator for Go.  It parses the
+OpenGL XML API registry and the EGL XML API registry to produce a
+machine-generated cgo bridge between Go functions and native OpenGL functions.")
+      (license license:expat))))
+
 (define-public go-github-com-grd-glfw3
   (let ((commit "55390ea70f0d427a7ed40c26ea19e82fce17c927")
         (revision "100"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 20:52:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 16:52:04 2021
Received: from localhost ([127.0.0.1]:44806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1louJv-0005H0-T2
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:04 -0400
Received: from out1.migadu.com ([91.121.223.63]:40406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1louJr-0005GQ-C7
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 16:52:01 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622753517;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=9A1inAO1gy6fo3dK0J9D6F170Ff9rR0ictjxunClSVI=;
 b=XIDBZJrm7rgPK4Pn11tG5BEV2O2C6qaBcrqesz5D80JER5X3zwKxvuhh4fXXX6gBl4X6ce
 FU60QKgNpf4gx0BVdOb4Qvwhaf1P82UeGYSZw7qUFpCBokbJjclkIntFFOROszrCI6eLLX
 zgKGsQbnEPq+NY+Sbh/L98TI4nJwUSednW7agUX/t4UHbBmDhUQQA/8DsLbGO0p19BS9RJ
 oOMZSDPeRT6HvXdI7r/EJnr5Eyay8PSQuOccAVy14aUGjKZklfcDhDcKrOZFtCwqXT15nW
 GvmSkPVzUg22/4A5w9VFxIDKhnouMtQqKWmBFIzgaOae3eWk7z1QJUcQPR4enQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 40/47] gnu: Add go-github-com-grd-glfw3.
Date: Thu,  3 Jun 2021 16:51:03 -0400
Message-Id: <20210603205110.7102-40-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-grd-glfw3): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 691a5fed00..7661813489 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -57,6 +57,7 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
@@ -73,6 +74,32 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-grd-glfw3
+  (let ((commit "55390ea70f0d427a7ed40c26ea19e82fce17c927")
+        (revision "100"))
+    (package
+      (name "go-github-com-grd-glfw3")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/grd/glfw3")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "15avw38mgx54a3rmlz97ryczpcbibn00rd8486w2si6f1zcawpxw"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/grd/glfw3"))
+      (inputs
+       `(("glfw" ,glfw)))
+      (home-page "https://github.com/grd/glfw3")
+      (synopsis "Go bindings for GLFW3")
+      (description "Go bindings for GLFW3.")
+      (license license:bsd-3))))
+
 (define-public go-github-com-mattn-go-gtk
   (let ((commit "af2e013261f57706ec683a61f85e8759a3faf6be")
         (revision "1134"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 11:48:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 07:48:01 2021
Received: from localhost ([127.0.0.1]:42783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lolpN-0001RW-Os
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 07:48:01 -0400
Received: from out1.migadu.com ([91.121.223.63]:17541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lolpF-0001R9-Ac
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 07:47:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622720868;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=kD/i3b4fgO09RmKrnZDbKj4TPpFoClHiuwHF5Bu5jHk=;
 b=sxTHqKldJlcdtVTpLwFXJObceOADi51gx/5X1iM4Pi95GL1WJ7FUrwRK67qpjZ+hGzaM6Z
 rBByKpLYGQ78TSjF0KXuishPFnDNntpmuSCcN/Au6BZJAPiWV4nf0xl9gj4zxm3pQdzbm9
 qCOldTjRAiniDFMZffECs2NaPyNbyPLTpi6jzLT6BUTwbQM71XfiSJRt9yYMMx834VZg5C
 vH9UpUfSGdTL06X4GXGWjXIiHRt5i9S4oedyQ5eHL7KrVADg0xmibSmRg3iPIkz2i8tX9A
 d3ff236Ga6Ns0XLi4+xOY8h9s/ocB/eli/mOzxlYEUSKEXy8+2FgLavJbHuwCg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 39/47] gnu: Add go-github-com-mattn-go-gtk.
Date: Thu,  3 Jun 2021 07:46:49 -0400
Message-Id: <20210603114657.30408-39-rg@HIDDEN>
In-Reply-To: <20210603114657.30408-38-rg@HIDDEN>
References: <20210603114657.30408-38-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-mattn-go-gtk): New variable.
---
 gnu/packages/golang.scm | 135 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 135 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d9a2f40285..691a5fed00 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -58,6 +58,7 @@
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages mp3)
@@ -72,6 +73,140 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-mattn-go-gtk
+  (let ((commit "af2e013261f57706ec683a61f85e8759a3faf6be")
+        (revision "1134"))
+    (package
+      (name "go-github-com-mattn-go-gtk")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/mattn/go-gtk")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1zcvxz45iinamxnpvwf5ij9f6dk62bdbjg1vaggvyz79z5y9llk2"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/mattn/go-gtk"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/mattn/go-gtk/gdk"
+                 "github.com/mattn/go-gtk/gdkpixbuf"
+                 "github.com/mattn/go-gtk/gio"
+                 "github.com/mattn/go-gtk/glib"
+                 "github.com/mattn/go-gtk/gtk"
+                 "github.com/mattn/go-gtk/gtkgl"
+                 "github.com/mattn/go-gtk/gtksourceview"
+                 "github.com/mattn/go-gtk/gtkspell"
+                 "github.com/mattn/go-gtk/pango"
+                 "github.com/mattn/go-gtk/tools/gogtkinfo"
+                 "github.com/mattn/go-gtk/tools/make_inline_pixbuf"))
+               #t))
+           (add-before 'check 'pre-check
+             (lambda _
+               ;; Tests require a running X server.
+               (system "Xvfb :1 +extension GLX &")
+               (setenv "DISPLAY" ":1")
+               ;; Tests write to $HOME.
+               (setenv "HOME" (getcwd))
+               ;; Tests look for $XDG_RUNTIME_DIR.
+               (setenv "XDG_RUNTIME_DIR" (getcwd))
+               ;; For missing '/etc/machine-id'.
+               (setenv "DBUS_FATAL_WARNINGS" "0")
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/mattn/go-gtk/gdk"
+                 "github.com/mattn/go-gtk/gdkpixbuf"
+                 "github.com/mattn/go-gtk/gio"
+                 "github.com/mattn/go-gtk/glib"
+                 "github.com/mattn/go-gtk/gtk"
+                 "github.com/mattn/go-gtk/gtkgl"
+                 "github.com/mattn/go-gtk/gtksourceview"
+                 "github.com/mattn/go-gtk/gtkspell"
+                 "github.com/mattn/go-gtk/pango"
+                 "github.com/mattn/go-gtk/tools/gogtkinfo"))
+               ;; ERROR: Println arg list ends with redundant newline.
+               ;;"github.com/mattn/go-gtk/tools/make_inline_pixbuf"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/mattn/go-gtk/gdk"
+                 "github.com/mattn/go-gtk/gdkpixbuf"
+                 "github.com/mattn/go-gtk/gio"
+                 "github.com/mattn/go-gtk/glib"
+                 "github.com/mattn/go-gtk/gtk"
+                 "github.com/mattn/go-gtk/gtkgl"
+                 "github.com/mattn/go-gtk/gtksourceview"
+                 "github.com/mattn/go-gtk/gtkspell"
+                 "github.com/mattn/go-gtk/pango"
+                 "github.com/mattn/go-gtk/tools/gogtkinfo"
+                 "github.com/mattn/go-gtk/tools/make_inline_pixbuf"))
+               #t)))))
+      (native-inputs
+       `(("glib:bin" ,glib "bin")
+         ("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)
+         ("gtk+:bin" ,gtk+-2 "bin")
+         ("pkg-config" ,pkg-config)
+         ("xorg-server" ,xorg-server-for-tests)))
+      (inputs
+       `(("gdk-pixbuf" ,gdk-pixbuf+svg)
+         ("glib" ,glib)
+         ("gtk+" ,gtk+-2)
+         ("gtkgl" ,gtkglarea)
+         ("gtksourceview" ,gtksourceview-2)
+         ("gtkspell" ,gtkspell2)
+         ("pango" ,pango)))
+      (propagated-inputs
+       `(("go-github-com-mattn-go-pointer"
+          ,go-github-com-mattn-go-pointer)))
+      (home-page "https://github.com/mattn/go-gtk")
+      (synopsis "Go bindings for GTK")
+      (description "Go bindings for GTK.")
+      (license license:bsd-3))))
+
 (define-public go-github-com-jmshal-go-locale
   (let ((commit "eb00fb25cc61bca7a5331ae576ae4a3d5572a1e4")
         (revision "8"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 11:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 07:47:57 2021
Received: from localhost ([127.0.0.1]:42781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lolpJ-0001RR-O4
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 07:47:57 -0400
Received: from out1.migadu.com ([91.121.223.63]:17525)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lolpC-0001R4-BJ
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 07:47:51 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622720864;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=z3NjDXiT6VkdGjhefagZMVTfRjAhdZq8IuJKQYZ9Oa8=;
 b=GFrJ5rUyOBWzrTSaaNnygTn/+cBbLgjO4R94qYYVCc6shNHOVBHE0CWdSzO34bC/OojhG3
 mxpr3Xx7VjvaFkm5NGx5X6eBhXcaznn98RR5Fv9VRvuJWnfoAbL8X4Rtvmre9c0laWjsa9
 4sgoRT2qY3nkks1JvbnqnIJDJFxRVH59Wv3Aea1tXmJpMEhIJ57wC7+de6AhWvTxCvFLx2
 Qkeuw3UODPAdi/hltnxw4XpLdPdLifB2xs0WmotrBBbYV9OU5esQSfY5lfxEckGV45rfTp
 P9P6n1p00p7DGO/1TGWd4quVQF84Dri2CrUZD7OScgfdO5KtQ0xa9ZiWFOdspQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 38/47] gnu: Add gtkspell2.
Date: Thu,  3 Jun 2021 07:46:48 -0400
Message-Id: <20210603114657.30408-38-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm (gtkspell2): New variable.
---
 gnu/packages/gtk.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index e64dc69798..1ab8d57f30 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -1914,6 +1914,33 @@ glass artworks done by Venicians glass blowers.")
 misspelled words in a GtkTextView widget.")
     (license license:gpl2+)))
 
+(define-public gtkspell2
+  (package
+    (inherit gtkspell3)
+    (name "gtkspell2")
+    (version "2.0.16")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/gtkspell/"
+                           version "/gtkspell-" version ".tar.gz"))
+       (sha256
+        (base32 "00hdv28bp72kg1mq2jdz1sdw2b8mb9iclsp7jdqwpck705bdriwg"))))
+    (arguments
+     `(#:configure-flags
+       (list
+        "--disable-static")))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("intltool" ,intltool)
+       ("pkg-config" ,pkg-config)
+       ("xmllint" ,libxml2)))
+    (inputs
+     `(("enchant" ,enchant-1.6)
+       ("pango" ,pango)))
+    (propagated-inputs
+     `(("gtk+" ,gtk+-2)))))
+
 (define-public clipit
   (package
     (name "clipit")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 11:12:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 07:12:12 2021
Received: from localhost ([127.0.0.1]:42746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lolGm-0006jD-6m
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 07:12:12 -0400
Received: from out2.migadu.com ([188.165.223.204]:48510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lolGj-0006j2-GJ
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 07:12:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622718727;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=EHKTWFzvLnxhG9I+wFUdBwfHGpY+xfhfuiWKQ4HNtJE=;
 b=OhkUc/w/65BYiXeUSXVaEb21v899eV4vflZ9oJhTc7SyCretAqtWuayd6N1U0tKQWcx0iS
 WfJLdyJ7e2vV+zLAla8bPOg5EAaRz5dhuZpbudD0ggpX4XYK+nGCW/KjpU4qeutd2YVJaJ
 /PbyQOYzMMSBGltJivBqirIzrgwPiOV2LsjbuzYdQT0FnHSUDGFvaAE3P1DxqXxd9Nec0U
 aRHCA/klyg10FFCxPupdO10any+9wJPmQJcwImQjdLTmu0TY9vnl8Iw4llkkJr/4zOpvea
 BazPYC/hUEjFVIftY+Et0/eIFj6xVZ5O0EH+KiFIswJ9TOLTUM0jI1HWy9nliA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 37/47] gnu: Add gtkglarea.
Date: Thu,  3 Jun 2021 07:11:08 -0400
Message-Id: <20210603111118.26120-37-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnome.scm (gtkglarea): New variable.
---
 gnu/packages/gnome.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index be458c07bb..6cbe219102 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -218,6 +218,37 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public gtkglarea
+  (package
+    (name "gtkglarea")
+    (version "2.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append "mirror://gnome/sources/" name "/"
+                       (version-major+minor version) "/"
+                       name "-" version ".tar.xz"))
+       (sha256
+        (base32 "1pl2vdj6l64j864ilhkq1bcggb3hrlxjwk5m029i7xfjfxc587lf"))))
+    (build-system glib-or-gtk-build-system)
+    (arguments
+     `(#:configure-flags
+       (list
+        "--disable-static")))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("mesa" ,mesa)))
+    (propagated-inputs
+     `(("gtk+" ,gtk+-2)))
+    (synopsis "OpenGL widget for GTK+")
+    (description "GtkGLArea is an OpenGL widget for GTK+ GUI toolkit.
+ Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
+ is basically wrapper around GLX functions.")
+    (home-page "https://developer.gnome.org/gtk3/stable/GtkGLArea.html")
+    (license license:lgpl2.0+)))
+
 (define-public gupnp-igd
   (package
     (name "gupnp-igd")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:31 2021
Received: from localhost ([127.0.0.1]:42713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrr-000633-CR
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:31 -0400
Received: from out2.migadu.com ([188.165.223.204]:43555)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrT-00060C-Co
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:07 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717163;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=haaqIt2itknTMAyk1/6BA7z7+zbc10AQ7QBW8ycpRog=;
 b=aLNEPGRzNrqJJXq40KNrq0S6YOZlZgu1N28ZQDJaalF782W5LiBqzmnTHM3ezVL0PIgc8U
 Z6ZZ1eAKdZAlfSTw8qRcufUl6/g0os40nJ7eRwk7V4RVDAvf9PRNkiHIMu1AdiMx1hif/E
 c/rkazoVNzCvrSz7VKxBayPEZB2q9l5pnNbN8fGja8bZbNV/kp+iSvYcAe/3JASmnMoFeY
 IZBM9Pbp2a8mmsd5qDEmnh18ApIsQS5yyM1ygtV4ag0LYZQ/T+hTmHMf+icqotPBrUlapr
 uHfNrbvEZLotGBRj0ZtoPoO5LdE3JJJ6d7dHyegu0ghfwMbC9pNZcBf0qp9L1g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 36/47] gnu: Add go-github-com-jmshal-go-locale.
Date: Thu,  3 Jun 2021 06:44:56 -0400
Message-Id: <20210603104507.22412-36-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-jmshal-go-locale): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ad0ba57b78..d9a2f40285 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -72,6 +72,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-jmshal-go-locale
+  (let ((commit "eb00fb25cc61bca7a5331ae576ae4a3d5572a1e4")
+        (revision "8"))
+    (package
+      (name "go-github-com-jmshal-go-locale")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/jmshal/go-locale")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "05lyrcsrj0vzk30laa9zyy574ijh6f0ybzdv65w4l6n5yibjgnwa"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/jmshal/go-locale"))
+      (synopsis "User locale detection for Go")
+      (description "User locale detection for Go.")
+      (home-page "https://github.com/jmshal/go-locale")
+      (license license:expat))))
+
 (define-public go-github-com-gotk3-gotk3
   (package
     (name "go-github-com-gotk3-gotk3")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:27 2021
Received: from localhost ([127.0.0.1]:42711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrn-00062p-39
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:27 -0400
Received: from out2.migadu.com ([188.165.223.204]:43485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrR-0005z9-5P
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:05 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717160;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=gu5O1CXcIl/RzwtDdiWnp2QWi+iC6jVpVEYip+UBnOs=;
 b=n+jtDkJ8ziWAW7n4+58+dr2Mn9QB2LCqL7h77QMHY3km9AzsT21X/HT1JTS+2OIH1fzDNp
 PYx40sMi31vH7CT3zlYjMdI1o8caGK2/xxW5y0YAv06FhI2FXIBmUUOUk6SehKpbrebfcq
 4yP2sm9ek7It9ne/jSKVivY/Scw3azNA++wytg52y4O0oKEKIhvdNMKWngCPEoIGc5i0xl
 LfCXyCtPW4pvNLtFZq6SNn3etR8mX5+GhnklAofCzsiNe3FR8rdmZzGdnvglvV705fIMNF
 UcnJNACSTLt78aDHuhOKmvZyNOZMeA2wcfHYtoJzOELZXjHkwpddBRBBPTzKag==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 35/47] gnu: Add go-github-com-gotk3-gotk3.
Date: Thu,  3 Jun 2021 06:44:55 -0400
Message-Id: <20210603104507.22412-35-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/goloang.scm (go-github-com-gotk3-gotk3): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 110 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e9611b6f67..ad0ba57b78 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -68,9 +68,119 @@
   #:use-module (gnu packages textutils)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
+  #:use-module (gnu packages xorg)
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-gotk3-gotk3
+  (package
+    (name "go-github-com-gotk3-gotk3")
+    (version "0.5.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/gotk3/gotk3")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1d5b4nrf4fwdwv0w2h7m0jh65fcvm3xmjv3aypylzaa4fg8wi4cc"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/gotk3/gotk3"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/gotk3/gotk3/cairo"
+               "github.com/gotk3/gotk3/gdk"
+               "github.com/gotk3/gotk3/gio"
+               "github.com/gotk3/gotk3/glib"
+               "github.com/gotk3/gotk3/gtk"
+               "github.com/gotk3/gotk3/pango"))
+             #t))
+         (add-before 'check 'pre-check
+           (lambda _
+             ;; Tests require a running X server.
+             (system "Xvfb :1 +extension GLX &")
+             (setenv "DISPLAY" ":1")
+             ;; Tests write to $HOME.
+             (setenv "HOME" (getcwd))
+             ;; Tests look for $XDG_RUNTIME_DIR.
+             (setenv "XDG_RUNTIME_DIR" (getcwd))
+             ;; For missing '/etc/machine-id'.
+             (setenv "DBUS_FATAL_WARNINGS" "0")
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/gotk3/gotk3/cairo"
+               "github.com/gotk3/gotk3/gdk"
+               "github.com/gotk3/gotk3/gio"
+               "github.com/gotk3/gotk3/glib"
+               "github.com/gotk3/gotk3/gtk"
+               "github.com/gotk3/gotk3/pango"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/gotk3/gotk3/cairo"
+               "github.com/gotk3/gotk3/gdk"
+               "github.com/gotk3/gotk3/gio"
+               "github.com/gotk3/gotk3/glib"
+               "github.com/gotk3/gotk3/gtk"
+               "github.com/gotk3/gotk3/pango"))
+             #t)))))
+    (native-inputs
+     `(("glib:bin" ,glib "bin")
+       ("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)
+       ("xorg-server" ,xorg-server-for-tests)))
+    (inputs
+     `(("cairo" ,cairo)
+       ("glib" ,glib)
+       ("gtk+" ,gtk+)
+       ("pango" ,pango)))
+    (home-page "https://github.com/gotk3/gotk3")
+    (synopsis "Go bindings for GTK3")
+    (description "Gotk3 provides Go bindings for GTK 3 and dependent projects.")
+    (license license:isc)))
+
 (define-public go-github-com-getlantern-systray
   (package
     (name "go-github-com-getlantern-systray")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:23 2021
Received: from localhost ([127.0.0.1]:42709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrj-00062e-2d
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:23 -0400
Received: from out2.migadu.com ([188.165.223.204]:43555)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrO-00060C-NG
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:02 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717157;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ZnHDADUuyn0l7LyMjl2N6QO5CnY4R62HuRw90fVhtv4=;
 b=HB1YtLBqbWRE0FlGL3ng+k7nQEkl14fp6vpf0dWx4YNBGOspFMrecSj4+z0ZwMiOzwM6C9
 q/8Gv1NUJfnKFnzVsXQtoRLqyhy5hzC2dec0voz2soEv4NyqUn+maKC9eiuXUaRdubqQtJ
 1kYgoyJiuRPioXG3LszRQ6ehwJlD3jMZBaXVti0M0qVgm/E2E+ajoZwzYYFSovR96/jxV+
 4zM5hbvmE5JTaOKCgjwWVOKClsBzbidoRfq/z2vQTiA9G0dw9Yv0ejX7gbt4Dot+2pbAqb
 MT9cBvpy6DAtf70ZX8aJVR4h/2nXlEj2MNr5SnRYY1MMKChut+Zx/sLWwkrhFg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 34/47] gnu: Add go-github-com-getlantern-systray.
Date: Thu,  3 Jun 2021 06:44:54 -0400
Message-Id: <20210603104507.22412-34-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-systray): New variable.
---
 gnu/packages/golang.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3e7366f60f..e9611b6f67 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -55,8 +55,10 @@
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gtk)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages mp3)
   #:use-module (gnu packages pcre)
@@ -69,6 +71,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-systray
+  (package
+    (name "go-github-com-getlantern-systray")
+    (version "1.1.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/getlantern/systray")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0m2n29jmks8rwcwixgmmd5dhpzqw1f7mqyjgyqyycml5w6da2m7z"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/getlantern/systray"))
+    (native-inputs
+     `(("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("gtk+" ,gtk+)
+       ("libappindicator" ,libappindicator)))
+    (propagated-inputs
+     `(("go-github-com-getlantern-golog"
+        ,go-github-com-getlantern-golog)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/getlantern/systray")
+    (synopsis "System Tray library for Go")
+    (description "SysTray is a cross-platform Go library to place an icon and
+menu in the notification area.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-getlantern-golog
   (let ((commit "9586b8bde3a95f71c84d9ee2a1a3f778759a76ab")
         (revision "25"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:19 2021
Received: from localhost ([127.0.0.1]:42707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrf-00062S-1q
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:19 -0400
Received: from out2.migadu.com ([188.165.223.204]:43485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrK-0005z9-VZ
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:59 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717154;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=JhawOr9rqtJTVwgiEQcArC1khwehb3bq+Y3cyDQG7MI=;
 b=PMFh43WipfZqSqykmRp4hMYGp+kV0w8KsoInfGad5lo3Qxi8SGhbbBjLJr1xe5bAGYi6YY
 B32DSxMKgZRbcrQSQBP7qBYfkMRlJCavYS8I6hlMhy6rB2uQ1kImYD0s4ES389WzLNOiKc
 8DvQ34pVsc5v+nZFpTZI6cBHudwNoWxD05r9wGzfiiTs1Of7nmZDoSyc7J445E1ueljp5q
 c//v8aA3MNR/e/s1v9KmrH4+1x49KhiPohlkhC9sbthUSefFaq/QwxsKgVhWp+vjLLty03
 wq+sX3kB+fw1ILCmMMSdZqMzA3gPqncVrIruVfOYYmm4PfNdbdilEIHCUubfaA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 33/47] gnu: Add go-github-com-getlantern-golog.
Date: Thu,  3 Jun 2021 06:44:53 -0400
Message-Id: <20210603104507.22412-33-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-golog): New variable.
---
 gnu/packages/golang.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index eaca6b9351..3e7366f60f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,41 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-golog
+  (let ((commit "9586b8bde3a95f71c84d9ee2a1a3f778759a76ab")
+        (revision "25"))
+    (package
+      (name "go-github-com-getlantern-golog")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/golog")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0pqmvjqh5lv5ldc93srvlq9nwianxyjfvmjzxx4xmncbxgqsxgli"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/golog"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (propagated-inputs
+       `(("go-github-com-getlantern-errors"
+          ,go-github-com-getlantern-errors)
+         ("go-github-com-getlantern-hidden"
+          ,go-github-com-getlantern-hidden)
+         ("go-github-com-getlantern-ops"
+          ,go-github-com-getlantern-ops)
+         ("go-github-com-oxtoacart-bpool"
+          ,go-github-com-oxtoacart-bpool)))
+      (synopsis "Basic logging for Go")
+      (description "GoLog provides logging used in many getlantern components.")
+      (home-page "https://github.com/getlantern/golog")
+      (license license:asl2.0))))
+
 (define-public go-github-com-oxtoacart-bpool
   (let ((commit "03653db5a59cd88b481403d312d7c324b56af377")
         (revision "18"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:15 2021
Received: from localhost ([127.0.0.1]:42705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrb-00062G-1T
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:15 -0400
Received: from out2.migadu.com ([188.165.223.204]:43475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrI-0005yz-CM
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:56 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717152;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=SOUAKGDhg9GKSycYuHl0smTgHXxIGONjm10j2ac/P1c=;
 b=WbkE5vVWpW8SrCmMpJZHcGKhnkFVOZvzaeVtKje2JOjrBWtQD+ZsjtBJczMOaRIMdO3Y5D
 9Aj2D0BUtrlCwgT0WyNkleecfFwu7lrNj6ZnWsx2FqHS24uPVOwaP8sU9Z6w5wVbUBG7my
 spOJ2OQqfkp+Lf2NJKAkOapgzBDvAEQET8BXNW/W7q2GySFL7IESjzb2avbJ1ur3RJQT1+
 pyfE9fu7hmRSOMXjyYHzSMETsQuvPbfNXOmgSeMIEFIh3SNXIAuoWf3/mQyOcRqPtnWq8g
 jJojV0k97BEW2MOjQfjB6eoCS9K0R887c1pMKR9hzTMAj37uQ4FxcggcpbL1hQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 32/47] gnu: Add go-github-com-oxtoacart-bpool.
Date: Thu,  3 Jun 2021 06:44:52 -0400
Message-Id: <20210603104507.22412-32-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-oxtoacart-bpool): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4886a0d326..eaca6b9351 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-oxtoacart-bpool
+  (let ((commit "03653db5a59cd88b481403d312d7c324b56af377")
+        (revision "18"))
+    (package
+      (name "go-github-com-oxtoacart-bpool")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/oxtoacart/bpool")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1crdgm5w6kvcnvdglrrnrfkh5h60ldafwvrv00q97lz3790kgb15"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/oxtoacart/bpool"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Buffer/Byte pool for Go")
+      (description "Bpool implements leaky pools of byte arrays and buffers as
+bounded channels.  It is based on the leaky buffer example from the Effective Go
+documentation.")
+      (home-page "https://github.com/oxtoacart/bpool")
+      (license license:asl2.0))))
+
 (define-public go-github-com-getlantern-errors
   (package
     (name "go-github-com-getlantern-errors")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:11 2021
Received: from localhost ([127.0.0.1]:42703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrX-000621-0W
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:10 -0400
Received: from out2.migadu.com ([188.165.223.204]:43485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrF-0005z9-O2
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717149;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=7GyPO1w+6i7UFEjIWAJGBVDqZGbVVm58CppW8ZUFNGI=;
 b=RmiS/Xwl+3Kh/9SIg0HhHKWEQYCnTOzD2LQ1Du8AVW7kGlfPV7OSKzPjF0LFiSbFpbEv4F
 BTYFxmk8+eIt2r7rKffkWFisRq6guu3Lgm1ppLFCMHVr48fwWfoFnXs+JDN4BcGIfR8u4S
 zDm+/lNSerD2RdXI7el8h9QyoRgG0R/jLRcbIFQzNH4mD15rUpOaOzVJlDcZP+yc7RaGKO
 z5wO/bqrx/e6q3+1UafID82jwv63x28398HxeAILYzNd+Cy87VgXiQCbZJ69JKrowdA2Hi
 6iyatpbQ69BWij95UpbZ28drzOXIh/5s47w0e5JxDm7YGjd/HT9uB27rQVPnFw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 31/47] gnu: Add go-github-com-getlantern-errors.
Date: Thu,  3 Jun 2021 06:44:51 -0400
Message-Id: <20210603104507.22412-31-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-errors): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0bd8792c10..4886a0d326 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-errors
+  (package
+    (name "go-github-com-getlantern-errors")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/getlantern/errors")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0ymz5nb9dplrim9sgfb523iqx1x08bxvbv9383ry2zbsfgqkc966"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/getlantern/errors"))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (propagated-inputs
+     `(("go-github-com-getlantern-context"
+        ,go-github-com-getlantern-context)
+       ("go-github-com-getlantern-hidden"
+        ,go-github-com-getlantern-hidden)
+       ("go-github-com-getlantern-ops"
+        ,go-github-com-getlantern-ops)
+       ("go-github-com-go-stack-stack"
+        ,go-github-com-go-stack-stack)))
+    (home-page "https://github.com/getlantern/errors")
+    (synopsis "Structured errors for Go")
+    (description "Structured errors for Go.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-go-stack-stack
   (package
     (name "go-github-com-go-stack-stack")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:07 2021
Received: from localhost ([127.0.0.1]:42695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrT-000610-02
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:06 -0400
Received: from out2.migadu.com ([188.165.223.204]:43475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrC-0005yz-US
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:52 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717146;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=bLFCnoprPmIJpheXYoPXsjox9ui05dy/Su2GdILDEXY=;
 b=jFgjz9PmXRq54woQGzIG3tT2VsCK6PgyQP3SRrl5j/7LrMT01K5g6watqZQhi70mBZ9Ctd
 AITIkdzUqlWsWqwap6e/qKqXoDXvqAj3xVu1PZ9v9oio1oIh2FIv1um2Nx+OOKEZtnGIBr
 2+WYyu3nWBczrWoUSppJ5hw9rUB+B30FJE0Eu1snX2ZY1RsiyXsi9WyCXUI0q+Beuwud97
 wMHkUIOEkN/ANM9ppm3389b9l7nZfSWVRdIf9GOb24PkkMVypeNCG5Ak80kvb71Xsm77IV
 GOzZPBA95LHzYRucUcjA5Ow9NiZqUjFoVu+uBBZe9FKW07AJTxJDE7PkxXlb6w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 30/47] gnu: Add go-github-com-go-stack-stack.
Date: Thu,  3 Jun 2021 06:44:50 -0400
Message-Id: <20210603104507.22412-30-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-go-stack-stack): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b780b98d2b..0bd8792c10 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-go-stack-stack
+  (package
+    (name "go-github-com-go-stack-stack")
+    (version "1.8.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/go-stack/stack")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0wk25751ryyvxclyp8jdk5c3ar0cmfr8lrjb66qbg4808x66b96v"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/go-stack/stack"))
+    (home-page "https://github.com/go-stack/stack")
+    (synopsis "Stack Utilities for Go")
+    (description "Stack implements utilities to capture, manipulate, and format
+call stacks.  It provides a simpler API than package runtime.")
+    (license license:expat)))
+
 (define-public go-github-com-getlantern-hidden
   (let ((commit "e66e7f8787308d0d5a87a2ebe170f19d43bece78")
         (revision "5"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:46:03 2021
Received: from localhost ([127.0.0.1]:42689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrO-00060E-T1
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:46:02 -0400
Received: from out2.migadu.com ([188.165.223.204]:43485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokrA-0005z9-HN
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:48 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717144;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BjadXJlAqWkg83+ytoleWkIJ7nuTH6pNfUrHTEtIIW8=;
 b=QpjwrT2Xz7GKwBf/l9XT02AAfqqSCgDHUrrMf9woLJzokpFs02LFCLQZg9ZZlXDPt5/pIO
 rHKg6ZKBGrUKhZ3NIIzbGMtzUK2CMqlJGGNYhl7yEDbJLK4Oo7m1nCGRVrdsTMfDP+F67+
 IOIBnofSJb43dTalgvun5CYS+Go5ZTPZx4uNlAonbNETKoZ/KLsOWt4qWQWdBf5HbrUWiq
 w9K25nXu4aJI4pbadNLZjph2KyID46FCJ6F9A97pQcBCD74WGSQ0Q6D/AdqmtQWEXXJ6u7
 PKQsukZiiruf1N+s+HinoeW4nY++qRUz/6+M7kvtw0w7OeX5Dv1TmtKdxIsUVw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 29/47] gnu: Add go-github-com-getlantern-hidden.
Date: Thu,  3 Jun 2021 06:44:49 -0400
Message-Id: <20210603104507.22412-29-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-hidden): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 376cce1fc9..b780b98d2b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-hidden
+  (let ((commit "e66e7f8787308d0d5a87a2ebe170f19d43bece78")
+        (revision "5"))
+    (package
+      (name "go-github-com-getlantern-hidden")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/hidden")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1zk6ynzaqyif3h61mb8n3qdz1ncbhq1fbfppdaqkzgqjkb1b53iv"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/hidden"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (propagated-inputs
+       `(("go-github-com-getlantern-hex"
+          ,go-github-com-getlantern-hex)))
+      (synopsis "Hide text in text")
+      (description "Hide text in text.")
+      (home-page "https://github.com/getlantern/hidden")
+      (license license:asl2.0))))
+
 (define-public go-github-com-getlantern-hex
   (let ((commit "c6586a6fe0b7c95eef767657ab1031cbcfc7af66")
         (revision "4"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:45:58 2021
Received: from localhost ([127.0.0.1]:42683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrK-0005zx-Rv
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:58 -0400
Received: from out2.migadu.com ([188.165.223.204]:43475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokr7-0005yz-Kt
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:45 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717141;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=PBueAHX+zFqkvOyhq9eR/ytpzaey54+1ixKVgKwHBqY=;
 b=imIWhk6nuDhm14cTcgCRRb8vay9qL6sX+FD3WALI0qJZou5LeGoQRjjBuweG6kXvcsh0xa
 SHk4gA3DkXLiKAdYvx4NGOERCxMEluxeBDuFGSDpscg3d2p+6PzqRS5xdMYnncJV+o1nKU
 cYeSRJIG2UodQCek7Uq0ErIG7zb3dFw370PUymkpwKwPrCfdTRsuvhdgsoh7FWaoYaKuVj
 kQpez7QOOwf2h3TZM7MH3NfwaUt53OK1oNVqUjGneLFMwFmQJIKiNLQSFNt0wud9o7WZTX
 3dZ5ewzYDalQby+QTsiqqYvHUG4rOtn/EgHn/rpm5QpAYZgh9lLRizPXP1uPBQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 28/47] gnu: Add go-github-com-getlantern-hex.
Date: Thu,  3 Jun 2021 06:44:48 -0400
Message-Id: <20210603104507.22412-28-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-hex): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9e94c8e43d..376cce1fc9 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-hex
+  (let ((commit "c6586a6fe0b7c95eef767657ab1031cbcfc7af66")
+        (revision "4"))
+    (package
+      (name "go-github-com-getlantern-hex")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/hex")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "09vbm93y88b8hwv15rqkzrmrjqzl5zj8bijllzh8npibqhh84qsq"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/hex"))
+      (synopsis "Configurable hex encoding")
+      (description "Configurable hex encoding.")
+      (home-page "https://github.com/getlantern/hex")
+      (license license:bsd-3))))
+
 (define-public go-github-com-getlantern-ops
   (let ((commit "8476b16edcd6719b2399ae70bca5cff3a1547a44")
         (revision "21"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:45:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:45:54 2021
Received: from localhost ([127.0.0.1]:42679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrG-0005zb-Pm
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:54 -0400
Received: from out2.migadu.com ([188.165.223.204]:43459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokr4-0005yj-M0
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:42 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717138;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HtVyC5nhG/F8TWnDWf/HW2tIF3qKrg5q/o+FjjWnTIA=;
 b=X3ZuczAiuzvVnwFHpHjVXYAKXbTtqHGfez0jCSTHTjbYGqZi9/ktA208byDxGNtVVf+Rrg
 DQmChOjG7JOX6UllgWthuxB852Zazf3FE/4cOCuh4CIq8UdU4liff9slrx9tVJiZwWM3Wh
 Jia+H18fbd3fqyAPwgfhH7LrUDQ0jHfywajY/9oRAXto7s6nFvpkyFbpFYfP8bIHgOXcm+
 fR4mZcXXjwKvoUSH6gKa2Kl78MW3u0Fmi0I0WLV0Y8e7nb7zcZ4OB09tJ14xDebI/yhkX7
 6+LMZVFLaMTC4qjypxXngJ9z+Bt2dJe0qaoEeQHLW9Q8y7BoJofWURMM0aiL6A==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 27/47] gnu: Add go-github-com-getlantern-ops.
Date: Thu,  3 Jun 2021 06:44:47 -0400
Message-Id: <20210603104507.22412-27-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-ops): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7ccb085587..9e94c8e43d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-ops
+  (let ((commit "8476b16edcd6719b2399ae70bca5cff3a1547a44")
+        (revision "21"))
+    (package
+      (name "go-github-com-getlantern-ops")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/ops")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1mh2xp48x9im4l736l5zxz38kghxa5624nlyfaxmj18xn0jxr8nn"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:tests? #f    ; circular-dependency with 'getlantern/errors'
+         #:import-path "github.com/getlantern/ops"))
+      (propagated-inputs
+       `(("go-github-com-getlantern-context"
+          ,go-github-com-getlantern-context)))
+      (synopsis "Track success or failure of operations in code")
+      (description "Track success or failure of operations in code.")
+      (home-page "https://github.com/getlantern/ops")
+      (license license:asl2.0))))
+
 (define-public go-github-com-getlantern-context
   (let ((commit "c447772a6520c1a3ae6294a7df725ee08230f14e")
         (revision "30"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:45:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:45:50 2021
Received: from localhost ([127.0.0.1]:42673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokrA-0005zD-VE
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:50 -0400
Received: from out2.migadu.com ([188.165.223.204]:43447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokr1-0005yW-TK
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:39 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717135;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=475x0fZlLk9eQgErLGxKuJECND6Zhz1Qr5ALDEczDKk=;
 b=FMmnerXOJ0l6gLMngt6+Vb6DZF1VmC/VZf3M8+bBeMqwRS50kmIoK39FQ9kXyapuhP2sGI
 16tDW7JB6Rn21H2XHMya3x/pQ94fS7EadxKtYrYdYMNlS1Ph8wPKeUeHLEMx12hSSeGXj9
 dUXpipeoKSdMYLfd5nQpcb6K07uNXi8Ir4nGcbqoK4BwKVUiy8tY9/bH9JYKsMX3KpHHrV
 zMRMcriUMYheGCPayilhOU3Mq+6j3lXgvFbw7lYFtLtINx1EmwGNy3YLfLPayfZkXqXHKD
 n+EWUiPn8mfJd5L36kBSo4AgIqgVyuncYklDAYPNKYy1zqd8Se5ctWQ/iutMLA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 26/47] gnu: Add go-github-com-getlantern-context.
Date: Thu,  3 Jun 2021 06:44:46 -0400
Message-Id: <20210603104507.22412-26-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-getlantern-context): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9c182bba3c..7ccb085587 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-getlantern-context
+  (let ((commit "c447772a6520c1a3ae6294a7df725ee08230f14e")
+        (revision "30"))
+    (package
+      (name "go-github-com-getlantern-context")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/getlantern/context")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "08s1m1pqkwppvvc6biccyxs7wqzmgjyhyqdgfzwm9vp0c6vzr2sg"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/getlantern/context"))
+      (native-inputs
+       `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Goroutine-based Context State")
+      (description "This package provides a stack abstraction that allows nested
+contexts similar to jtolds' library, but using Enter() and Exit() instead of
+callback functions.")
+      (home-page "https://github.com/getlantern/context")
+      (license license:asl2.0))))
+
 (define-public go-github-com-burntsushi-xgbutil
   (let ((commit "ad855c7130460fb6cf40af9302c649a69082a4ee")
         (revision "335"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:45:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:45:44 2021
Received: from localhost ([127.0.0.1]:42667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokr6-0005ys-Sy
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:44 -0400
Received: from out2.migadu.com ([188.165.223.204]:43432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokqy-0005yN-N9
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:36 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717132;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=7vwpfXyZrGlA584V7qwFiDvd5aqFVznev7kqe2rYA44=;
 b=VdflMgnpiEx2KUF3nX/ZkBoL+/NYpSfh+Ak5EctiH7u7xVBtR3b2B/Th0IfDo1yhGeSyCV
 W4rvB4Fc/P1eC4aq855W8VrACGihINAsJm1J8PWso2V4hOxtyrO4ihnRg7OVFhiVGP/RgM
 NHL/0wjTlofc3j8qBiMtxyNmj2pMLCHnuPvA2pn+a5pk8xENW8QTgikYVlQXdSgpPZwvVx
 FJnOz3KSsdLuT0fl7FJVJNT9xbiUlG8ooaDGhJv4TwiYml/fy6kNLK7koBz9fOUi3L9gbF
 Qrv+dW2IwZmpfMoomN7DDQ4G6q5/OU1My54GuqDdCiMZB386zYBcUKFMnESXaw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 25/47] gnu: Add go-github-com-burntsushi-xgbutil.
Date: Thu,  3 Jun 2021 06:44:45 -0400
Message-Id: <20210603104507.22412-25-rg@HIDDEN>
In-Reply-To: <20210603104507.22412-24-rg@HIDDEN>
References: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-burntsushi-xgbutil): New variable.
---
 gnu/packages/golang.scm | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d06a617ebd..9c182bba3c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,46 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-burntsushi-xgbutil
+  (let ((commit "ad855c7130460fb6cf40af9302c649a69082a4ee")
+        (revision "335"))
+    (package
+      (name "go-github-com-burntsushi-xgbutil")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/BurntSushi/xgbutil")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zyqinxjgd7w3qzl2jhc8ipyyg1rh7xjxpd85p88m213ak5865bq"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/BurntSushi/xgbutil"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'patch-source
+             (lambda _
+               (substitute* (find-files "." "\\.go$")
+                 ;; Use 'jezek/xgb' instead of 'BurntSushi/xgb',
+                 ;; as the latter is unmaintained.
+                 (("github.com/BurntSushi/xgb")
+                  "github.com/jezek/xgb"))
+               #t)))))
+      (propagated-inputs
+       `(("go-github-com-jezek-xgb" ,go-github-com-jezek-xgb)))
+      (synopsis "Utility Library for X Go Binding")
+      (description "Xgbutil is a utility library designed to work with the X Go
+Binding.  This project's main goal is to make various X related tasks easier.
+For example, binding keys, using the EWMH or ICCCM specs with the window manager,
+moving/resizing windows, assigning function callbacks to particular events,
+drawing images to a window, etc.")
+      (home-page "https://github.com/BurntSushi/xgbutil")
+      (license license:wtfpl2))))
+
 (define-public go-github-com-jezek-xgb
   (let ((commit "0e0f116e1240ae19099324c3b2632003082841b7")
         (revision "155"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:45:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:45:40 2021
Received: from localhost ([127.0.0.1]:42663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokr2-0005yX-GF
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:40 -0400
Received: from out2.migadu.com ([188.165.223.204]:43400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokqw-0005yF-5s
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:45:35 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622717127;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=4lfBaeHatuF2B1/9qjZVhR6L/DWbQUoN52zlE+J7K9w=;
 b=UWk15GmHrIXkyECs9BPs+5LgKqvGER4yVciUo62jbMacxEqKQu9lJnO+dl1DGzwpK0vTon
 /8mMfVENHHo6OMdOnxigIikGfSuas5/DV8CeIoeFyDTuGPIBpp+ckoA7eoV1dfMELilREk
 2ZV+Cs0ZyoGq2Rl9AyJ3LLS4130prHXh2InUR2GCnDRa9hcMQWGoUJJQvvB9QqGdNIYqVt
 1iWRUSIXwvIQqWxmCN/foilGr5Hmrn9pyly5yK7TDYO8ejAfoypD3u6IUbp/38lZm85pKn
 SG6IajjywrPPYoHcCjL8itWmZ8IRGvyPxrxA9hbQw8qvRK7bvfVnRigFdc+/lw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 24/47] gnu: Add go-github-com-jezek-xgb.
Date: Thu,  3 Jun 2021 06:44:44 -0400
Message-Id: <20210603104507.22412-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-jezek-xgb): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d541b696be..d06a617ebd 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,32 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-jezek-xgb
+  (let ((commit "0e0f116e1240ae19099324c3b2632003082841b7")
+        (revision "155"))
+    (package
+      (name "go-github-com-jezek-xgb")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/jezek/xgb")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zwy88ksh896i78h0k038s5fmg9bgxbphkiznqq5525137m6w7gz"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/jezek/xgb"))
+      (synopsis "X Go Binding")
+      (description "XGB is the X Go Binding, which is a low-level API to
+communicate with the core X protocol and many of the X extensions.  It is
+closely modeled after XCB and xpyb.")
+      (home-page "https://github.com/jezek/xgb")
+      (license license:bsd-3))))
+
 (define-public go-0xacab-org-leap-shapeshifter
   (let ((commit "0aa6226582efb8e563540ec1d3c5cfcd19200474")
         (revision "12"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:03:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:03:33 2021
Received: from localhost ([127.0.0.1]:42565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokCK-0002T0-Sg
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:33 -0400
Received: from out0.migadu.com ([94.23.1.103]:39339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokCI-0002Sh-En
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:30 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714609;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=j8tI/KMlj9hdO58Yg0Ylt+ZcyK1ykLMarydNtrDtu9g=;
 b=NKC3hmb+jECzGvMIDXWmfPodq6M/L20Q2JCN2QZGMNQPPcZiYozpM4UU9VxEf28AD0Sxm4
 ySIA8dOu60bMMQEEkYfMkM3wW5vctQQGzs1bGN9mtIH4DOzZOc4yvN70AVKr4Gvcurtqkk
 jrJKbuYZxG9jclQX8fnMou7QDnV0TqhUR3jG1vRKcsBWSpQbZSx603tuwpw94lJKIwimRi
 RxNUeohrVju6aK4IjZIXC1LfLOgKlnWkxC8PuXu76nq+IdqX3bYgLuDxnHZhoI3sBBB7nt
 SZykpQIAwpS2Pc+CZOg3y0lGKt+0HD5TKyFHb80QWhP75pZzAZ3iveDGJ11n9g==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 23/47] gnu: Add go-0xacab-org-leap-shapeshifter.
Date: Thu,  3 Jun 2021 06:02:25 -0400
Message-Id: <20210603100249.21269-23-rg@HIDDEN>
In-Reply-To: <20210603100249.21269-20-rg@HIDDEN>
References: <20210603100249.21269-20-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/golang.scm (go-0xacab-org-leap-shapeshifter):
 New variable. --- gnu/packages/golang.scm | 33
 +++++++++++++++++++++++++++++++++ 1 file changed,
 33 insertions(+) diff --git a/gnu/packages/golang.scm
 b/gnu/packages/golang.scm
 index cde1627477..d541b696be 100644 --- a/gnu/packages/golang.scm +++
 b/gnu/packages/golang.scm
 @@ -69,6 +69,39 @@ #:use-module (ice-9 ma [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [94.23.1.103 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [94.23.1.103 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 TVD_IP_HEX             URI: No description available.
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 TVD_SPACE_RATIO        No description available.
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/golang.scm (go-0xacab-org-leap-shapeshifter): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cde1627477..d541b696be 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-0xacab-org-leap-shapeshifter
+  (let ((commit "0aa6226582efb8e563540ec1d3c5cfcd19200474")
+        (revision "12"))
+    (package
+      (name "go-0xacab-org-leap-shapeshifter")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://0xacab.org/leap/shapeshifter")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0m4fla9ppl53k9syms4dsad92wakr74cdvids3xxv3amdh4d1w4i"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "0xacab.org/leap/shapeshifter"))
+      (propagated-inputs
+       `(("go-github-com-operatorfoundation-obfs4"
+          ,go-github-com-operatorfoundation-obfs4)
+         ("go-github-com-operatorfoundation-shapeshifter-transports"
+          ,go-github-com-operatorfoundation-shapeshifter-transports)
+         ("go-golang-org-x-net" ,go-golang-org-x-net)))
+      (synopsis "Network Obfuscater")
+      (description "Shapeshifter provides network protocol shapeshifting
+technology.  The purpose of this technology is to change the characteristics of
+network traffic so that it is not identified and subsequently blocked by network
+filtering devices.")
+      (home-page "https://0xacab.org/leap/shapeshifter")
+      (license license:bsd-2))))
+
 (define-public go-github-com-operatorfoundation-shapeshifter-transports
   (package
     (name "go-github-com-operatorfoundation-shapeshifter-transports")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:03:26 2021
Received: from localhost ([127.0.0.1]:42560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokCE-0002SX-B1
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:26 -0400
Received: from out0.migadu.com ([94.23.1.103]:39317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokCC-0002SO-S3
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:25 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714604;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=LrufV6ghmFiHTxAwrEz5S3Bs3JfoHudmbDvs9U7oXLY=;
 b=oP4IzDDpLhZmDQRYtpDl/f7aGn8GjtVJcnUEigQo7U/7p/A8NLujQ5ajpaJ3nzIFLp5nQz
 WbTRiWO/UzNQwZx0qrOd5yJ40l9LFw3H9Paj9W1Kok5WN1NiWtcayE5ZGtFOOqX8txaT8Q
 sIuth6KhthZMNtll+RGwASOAX4vC78FyR0LhpTPznw6Qhwmca0ZyVHH8Tv5ppOSLyHw7eh
 8l7s9HDQMnbJCSl31wtW/wPCUIxlHx7jthnT+Lcg3zhC4BIgCtxP9CvVXEpBDvlt6PDACN
 xxms3t9HFpOYvtq0OCNUntt/5bJKfsJFWLD/gBWQaO9LuF9vPpvkvfw1PdPW5w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 22/47] gnu: Add
 go-github-com-operatorfoundation-shapeshifter-transports.
Date: Thu,  3 Jun 2021 06:02:24 -0400
Message-Id: <20210603100249.21269-22-rg@HIDDEN>
In-Reply-To: <20210603100249.21269-20-rg@HIDDEN>
References: <20210603100249.21269-20-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-shapeshifter-transports): New variable.
---
 gnu/packages/golang.scm | 155 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ef0c35d50b..cde1627477 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,161 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-shapeshifter-transports
+  (package
+    (name "go-github-com-operatorfoundation-shapeshifter-transports")
+    (version "3.0.12")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/shapeshifter-transports")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0f1hzhk3q2fgqdg14zlg3z0s0ib1y9xwj89qnjk95b37zbgqjgsb"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/OperatorFoundation/shapeshifter-transports"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               ;; Drop '.git' suffix in import path of goptlib.
+               (("goptlib\\.git") "goptlib"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               ;;; ERROR: invalid memory address or nil pointer dereference.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               ;;; ERROR: failed with status 1.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               ;;; ERROR: bind: permission denied.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"))
+               ;;; ERROR: failed with status 1.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"))
+             #t)))))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (propagated-inputs
+     `(("go-github-com-aead-chacha20"
+        ,go-github-com-aead-chacha20)
+       ("go-github-com-blanu-dust"
+        ,go-github-com-blanu-dust)
+       ("go-github-com-deckarep-golang-set"
+        ,go-github-com-deckarep-golang-set)
+       ("go-github-com-kataras-golog"
+        ,go-github-com-kataras-golog)
+       ("go-github-com-mufti1-interconv"
+        ,go-github-com-mufti1-interconv)
+       ("go-github-com-opentracing-opentracing-go"
+        ,go-github-com-opentracing-opentracing-go)
+       ("go-github-com-operatorfoundation-monolith-go"
+        ,go-github-com-operatorfoundation-monolith-go)
+       ("go-github-com-operatorfoundation-obfs4"	
+        ,go-github-com-operatorfoundation-obfs4)
+       ("go-github-com-operatorfoundation-shapeshifter-ipc"
+        ,go-github-com-operatorfoundation-shapeshifter-ipc)
+       ("go-github-com-shadowsocks-go-shadowsocks2"
+        ,go-github-com-shadowsocks-go-shadowsocks2)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-torproject-org-pluggable-transports-goptlib"
+        ,go-torproject-org-pluggable-transports-goptlib)))
+    (home-page "https://github.com/OperatorFoundation/shapeshifter-transports")
+    (synopsis "Go implementation of Pluggable Transports")
+    (description "Shapeshifter Transports is a set of Pluggable Transports
+implementing the Go API from the Pluggable Transports 2.0 specification.")
+    (license license:expat)))
+
 (define-public go-github-com-kataras-golog
   (package
     (name "go-github-com-kataras-golog")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:03:21 2021
Received: from localhost ([127.0.0.1]:42556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokC9-0002SD-36
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:21 -0400
Received: from out0.migadu.com ([94.23.1.103]:39298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokC7-0002S6-CJ
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:19 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714598;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=e4zCS5qgLGDByVT25/eSRmAu7nj26cf9BnmHAgXqNmI=;
 b=ON9VOc21efoKawU6r9swyPG/6YaJUlx4eBibPLiqEX6Gn7nUIQBYd6z0OJLx5nYs+ZI7jD
 RsyvE9nB4w1Ys8Omzw0no4w5/B7Yrs0lPY46HU6xby+b3KxgmVWINHT5elsAcKA6tLIxVz
 V9/fw044hBo2T4tbcDpkSGhbAhuN/u/i/tnYb6/Xkyp73FhjgBnXLYco7y0Fn6KTEsFjKV
 uZjJnlhvu0OCGTYdRwoFPlHoST5imE/SyofIKBKMzvufzEqeKbNqkhXzVsLHg3eKRFkzgO
 8zC5B+NPYoDHhOUjMz4ft2B0TRnJhzLYKkpuyEbGkRPVswN4fVG2Au8WCOpOZQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 21/47] gnu: Add go-github-com-kataras-golog.
Date: Thu,  3 Jun 2021 06:02:23 -0400
Message-Id: <20210603100249.21269-21-rg@HIDDEN>
In-Reply-To: <20210603100249.21269-20-rg@HIDDEN>
References: <20210603100249.21269-20-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-kataras-golog): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6ca92576d2..ef0c35d50b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-kataras-golog
+  (package
+    (name "go-github-com-kataras-golog")
+    (version "0.1.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/kataras/golog")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1ll24g50j48wqikzf67cyaq0m0f57v1ap24nbz3cmv3yzqi6wdl9"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/kataras/golog"))
+    (propagated-inputs
+     `(("go-github-com-kataras-pio" ,go-github-com-kataras-pio)))
+    (home-page "https://github.com/kataras/golog")
+    (synopsis "Level-based logger")
+    (description "GoLog is a logging foundation for Go Applications.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-kataras-pio
   (package
     (name "go-github-com-kataras-pio")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 10:03:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 06:03:13 2021
Received: from localhost ([127.0.0.1]:42552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lokC0-0002Rt-Sl
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:13 -0400
Received: from out0.migadu.com ([94.23.1.103]:39261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lokBy-0002Rk-B9
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 06:03:11 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714588;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=tJFsC872Lw66hxBJbU4klQJlMMkDytq3nyCqvg6LeaE=;
 b=E3PSagML+7FegilxzhKH51ieU3EZnsFiCTq5hC1oq9q25y1buyndmzKcHKpJuvzFlyBqFk
 esBZuIAdD13N19LOU2z7yBtoyEscN7JSBo54mHA9lMRwHe34riFrIDmocAUhZoxtHQK6SF
 mSTsJqvxjRs/IzzuRyhIm6Meyo9ZizeCpSSkbjTwbo0Uwxqy8+jaEQ0yCEZOYkar6qCIgI
 UDkHNblAzz2yxIdRk9OIB7OHeYxk5eu6hle1miOBSQRaVikjRizs1gew07q144Z1+psTVm
 uuN0FexFV5tsFKe+1h7i7HiUvU8H/c24t0jKuNOpUN3ux1jNlh5CBomoJepHmg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 20/47] gnu: Add go-github-com-kataras-pio.
Date: Thu,  3 Jun 2021 06:02:22 -0400
Message-Id: <20210603100249.21269-20-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-kataras-pio): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6805113e05..6ca92576d2 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-kataras-pio
+  (package
+    (name "go-github-com-kataras-pio")
+    (version "0.0.10")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/kataras/pio")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "11d2jy9xz4airicgmjcy4nb80kwv22jp140wzn2l5412jdr4jmkp"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/kataras/pio"))
+    (home-page "https://github.com/kataras/pio")
+    (synopsis "Pill for Input/Output")
+    (description "PIO is a low-level package that provides a way to centralize
+different output targets.  Supports colors and text decoration to all popular
+terminals.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-shadowsocks-go-shadowsocks2
   (package
     (name "go-github-com-shadowsocks-go-shadowsocks2")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:39 2021
Received: from localhost ([127.0.0.1]:42530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8Y-00007R-Mh
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:39 -0400
Received: from out1.migadu.com ([91.121.223.63]:14822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8W-00007J-Sd
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:37 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714376;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TXGb3ND1BxusNEv2UX9HzUVA0K2VFAv0K+ZlG6SI90Y=;
 b=blJym93+BT9KCGk46e35w5or0E0Bl9n8XyRJdKy71cTAFnBJ4qrACDTvaa9nKkoxFkzDow
 1yJj0mXaLU4Ug8CChpPyUTiwOt2qvugwczrwVsQ7MnoAL3+kHGm98T8FH17wS/Vx/DlKg3
 n1Z85uS9sqhlzrFVukAhXgRRXCmQKE03BgCYVTKJSZm2MsFcLrB/ZGyD8IvipdRiqNmyiL
 gotjR2DAVpGCZjMtaQvidI0IBDiSS6GsXG5JT6qIF5NWgn0/HsE5K1wZdsXBLgL+l6kGrU
 xbRTuF5/yMZRFxK56vTitipG1y/wyRbxiwDXUfOAIlFKOSiCIUo2SBmMw3dN5Q==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 19/47] gnu: Add go-github-com-shadowsocks-go-shadowsocks2.
Date: Thu,  3 Jun 2021 05:57:46 -0400
Message-Id: <20210603095814.21158-19-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-shadowsocks-go-shadowsocks2): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 46b902b70c..6805113e05 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-shadowsocks-go-shadowsocks2
+  (package
+    (name "go-github-com-shadowsocks-go-shadowsocks2")
+    ;; Version > 0.1.3 requires go-toolchain v1.16.
+    (version "0.1.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/shadowsocks/go-shadowsocks2")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1wzy3ml4ld83iawcl6p313bskzs6zjhz8vlg8kpwgn71cnbv4pvi"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/shadowsocks/go-shadowsocks2"))
+    (propagated-inputs
+     `(("go-github-com-riobard-go-bloom" ,go-github-com-riobard-go-bloom)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)))
+    (home-page "https://github.com/shadowsocks/go-shadowsocks2")
+    (synopsis "Shadowsocks in Go")
+    (description "Implementation of Shadowsocks in Go.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-riobard-go-bloom
   (let ((commit "cdc8013cb5b3eb0efebec85f0e904efccac42df9")
         (revision "15"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:35 2021
Received: from localhost ([127.0.0.1]:42526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8V-00007B-Et
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:35 -0400
Received: from out1.migadu.com ([91.121.223.63]:14815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8U-000074-Do
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:34 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714373;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=IzVwmE1KDA9MecmZao8RWG759Dkj11hlMUCmRDCcQdg=;
 b=evr91mlBIDJOBMIX2+bVjOMZ9qcEfRvqqZjOsLPfWEjH+WVdOJPkvkncARfIfhhR4Zd+R3
 FLa3j8wygYDaZQAxNmxJKmnIXNfXdJKGRqYRk/SNbCWzTwJ+YFyypFTE6UQXzQDDddNG63
 OV+LkF5I5esf/HoqP0WVXJvwVmR5M4eBTFMnVj6SLpZtLWYVZ2MhE+4AFGbwPtuL1BERJL
 5HaaAWtYPzl/SnurPKKnymjrrzYYbCzZRrvUraB614OAEMgvUMHsEfGx+tST6uzTHL7Zmp
 bpgNp4fkJeNLGWz82boGvTaG1frB0HMLKouEIAS59M+aXsY31cDXIwSDDSwtdw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 18/47] gnu: Add go-github-com-riobard-go-bloom.
Date: Thu,  3 Jun 2021 05:57:45 -0400
Message-Id: <20210603095814.21158-18-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-riobard-go-bloom): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8554b32fef..46b902b70c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-riobard-go-bloom
+  (let ((commit "cdc8013cb5b3eb0efebec85f0e904efccac42df9")
+        (revision "15"))
+    (package
+      (name "go-github-com-riobard-go-bloom")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/riobard/go-bloom")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "10a8ixh6zw52df2imxrzgxi82zc1j5hqnv5smjp818qwdn1a1rhj"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/riobard/go-bloom"))
+      (synopsis "Bloom filter in Go")
+      (description "Bloom Filter using double hashing.")
+      (home-page "https://github.com/riobard/go-bloom")
+      (license license:asl2.0))))
+
 (define-public go-github-com-aead-chacha20
   (let ((commit "8b13a72661dae6e9e5dea04f344f0dc95ea29547")
         (revision "114"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:33 2021
Received: from localhost ([127.0.0.1]:42522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8T-00006w-5j
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:33 -0400
Received: from out1.migadu.com ([91.121.223.63]:14802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8R-00006h-Ql
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:32 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714371;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ah2YcLNlSpcjl20lrXUvhhDw/U0HvezQUVde7uLYZkc=;
 b=Zy3usOyRUBVX6und2rBHdR43sDjkkM1CEsbEWtxQU5jkQwzNS6NJ3XJIXAAkWyfRBoy7ht
 E9OPHEFXGeXocaGGIkcyWPC5aUPORVQefoClnNahSnYr7Qgfb+pfBpbOL6B1okuaIm+mVH
 Su05NuDbp34mcauBiJrYqDq6BKxRdm2PT+HKCEdNEQ4xvukGjhSeMGvrEtKCB8TNbkPkZa
 hU+4OYWyHJ8L6pjxRyRAu0Heet1oAJ1jVvBVHjZ59I3X+6ZY9NaA8oXG9ugcEgl6lRLBCZ
 7u4rJIQ125kmofTkzCkWQ5CJXdP1qsAJAFhFw/0zNOAOYj/Z6DOwU2ncFTcRDA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 17/47] gnu: Add go-github-com-aead-chacha20.
Date: Thu,  3 Jun 2021 05:57:44 -0400
Message-Id: <20210603095814.21158-17-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.org (go-github-com-aead-chacha20): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9d2d092269..8554b32fef 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-aead-chacha20
+  (let ((commit "8b13a72661dae6e9e5dea04f344f0dc95ea29547")
+        (revision "114"))
+    (package
+      (name "go-github-com-aead-chacha20")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/aead/chacha20")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0gbmgq5kbqmbyrsav57ql4jzbvqvp1q7yvcd5fl3wf5g94iyv56r"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/aead/chacha20"))
+      (propagated-inputs
+       `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+      (synopsis "ChaCha20 and XChaCha20 stream ciphers")
+      (description "ChaCha is a stream cipher family created by Daniel Bernstein.
+The most common ChaCha variant is ChaCha20 (20 rounds).  ChaCha20 is
+standardized in RFC 7539.")
+      (home-page "https://github.com/aead/chacha20")
+      (license license:expat))))
+
 (define-public go-github-com-mufti1-interconv
   (let ((commit "d7c72925c6568d60d361757bb9f2d252dcca745c")
         (revision "28"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:32 2021
Received: from localhost ([127.0.0.1]:42518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8R-00006j-TH
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:32 -0400
Received: from out1.migadu.com ([91.121.223.63]:14792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8P-00006R-Qr
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:30 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714369;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Xd/3xmEdqsiFabegNxKs51WGVVSVc+/UuGs1t34O//4=;
 b=NWkosxaobOAYme0vZFZ06hbAKNjmi5pbcO1hm2/intM3sLTJ2bEI3DgOmDhFPXi/lWV4wZ
 7SjeXXlFM2Zhhb6S2lMRWNqr+HO6qzlt46YNjIkqIwqoLC5OxUa61/jZ3j8R6jr5FweAt5
 EMSzmQrEknN0aNIl1CtIYAuFnx/pTmrQjM103y/dRKxN39CjSpf23kGKetFhO/tvgVBYmx
 TginfIJTZS5uPX2yGsmWOsS8CMHPKOGegR2CxyW3skOQb4KBvYZrDS/LH6yy9MIqABDugg
 I7OAjUv/o++f7TGKroW/IE+hrMNnNlMzwUOkczVHkdxfgkJbwQsvuPrAFa3MeA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 16/47] gnu: Add go-github-com-mufti1-interconv.
Date: Thu,  3 Jun 2021 05:57:43 -0400
Message-Id: <20210603095814.21158-16-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-mufti1-interconv): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f6db72054e..9d2d092269 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,31 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-mufti1-interconv
+  (let ((commit "d7c72925c6568d60d361757bb9f2d252dcca745c")
+        (revision "28"))
+    (package
+      (name "go-github-com-mufti1-interconv")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/mufti1/interconv")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "13f5pvr74afa28pbpmgvjzjx68vv5zmrwlvxp7hr5bl5625zlxmy"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/mufti1/interconv"
+         #:import-path "github.com/mufti1/interconv/package"))
+      (synopsis "Convert interface into any data type")
+      (description "Convert interface into any data type.")
+      (home-page "https://github.com/mufti1/interconv")
+      (license license:expat))))
+
 (define-public go-github-com-opentracing-opentracing-go
   (package
     (name "go-github-com-opentracing-opentracing-go")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:29 2021
Received: from localhost ([127.0.0.1]:42514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8P-00006T-M5
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:29 -0400
Received: from out1.migadu.com ([91.121.223.63]:14780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8N-00006H-C7
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:27 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714366;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=g6ism3T6UoWLAa+57JwAp1hvZ4z0vr/2TPyoVmNrU9U=;
 b=T/Vh11ckdXEu0e/EmDHwdm3BU3kfDGytAx7zJbu9TsaCH4I09Nuvwq9pOXH/quTRkjmoab
 ZL0RAC5gZ5lOYzHiVo+YwpCUHgyboACPo7X5g8ze9RLeYOjBZZ+ulWVjoznCSxHZNA/s3O
 QNFS12cB4/2VPDEbZq2UQsgdXohJnGAQhVweLRnARUZQw5JFC/uLI4OhikXPOUFRREtyGE
 AgKK1Gxkp+ro8Ua/7qTGAAmt9V342nt9QsZHa11s9TPJrkObQo0U/35gRibV/PvJTHJNyn
 QbD6kTFXtjC8d01lya6+7ztFlLgSX3AgR7gcflqvB6NlzMqOEJidxVu/befQKw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 15/47] gnu: Add go-github-com-opentracing-opentracing-go.
Date: Thu,  3 Jun 2021 05:57:42 -0400
Message-Id: <20210603095814.21158-15-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-opentracing-opentracing-go): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6780ade28c..f6db72054e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-opentracing-opentracing-go
+  (package
+    (name "go-github-com-opentracing-opentracing-go")
+    (version "1.2.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/opentracing/opentracing-go")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "04rgdwl29kimp2wnm4dycnzp7941hvpj6wym85x23c6fclacm94h"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/opentracing/opentracing-go"))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (home-page "https://github.com/opentracing/opentracing-go")
+    (synopsis "OpenTracing API for Go")
+    (description "opentracing-go is a Go platform API for OpenTracing.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-operatorfoundation-monolith-go
   (package
     (name "go-github-com-operatorfoundation-monolith-go")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:26 2021
Received: from localhost ([127.0.0.1]:42510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8M-000069-EJ
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:26 -0400
Received: from out1.migadu.com ([91.121.223.63]:14769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8K-000060-Rp
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:25 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714364;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=aXPns5NlrNXCE1tuch/9R9CZ/8RqQUXSlfhGK9woDYc=;
 b=dIqe8Zbw7NRh8/uvH4hPMIIhc0tzanYQIAl2pHkIdtuj+TX9YyjCoUVR5nEQSdH/dKruAU
 e1CmRbxAPhB4q9Kr1ihlaNtyjQYghpM6EfE0DKJtXSb0D4z5YuVYojHqsX3ujaa2SBB/iD
 6/3PlweIfm6og/PGBymIJrLGr1SNVSgfO05t4Kfl0kiBKwL2+OMZhwawgDzZ4MrnOJaHvD
 /XF+V+PJdLU+FRNiD7Vc7aDKUCHEczcUYcyE6XSg20E9kw+1ZzGWZ2m/ISjQyEwk+RP7y2
 bnRM/ZDI7xV7+eWNvcSbDmm7Yog4PoWtZR7/fbYYC7pyZzz9VfXnrVLTztoCWA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 14/47] gnu: Add
 go-github-com-operatorfoundation-monolith-go.
Date: Thu,  3 Jun 2021 05:57:41 -0400
Message-Id: <20210603095814.21158-14-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-monolith-go): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2aaee00080..6780ade28c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,33 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-monolith-go
+  (package
+    (name "go-github-com-operatorfoundation-monolith-go")
+    (version "1.0.4")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/monolith-go")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "066bqlgw5h7a3kxswqlv734asb7nw2y6snsn09yqk0ixj23qw22s"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f ; ERROR: Generated bytes do not match correct answer.
+       #:unpack-path "github.com/OperatorFoundation/monolith-go"
+       #:import-path "github.com/OperatorFoundation/monolith-go/monolith"))
+    (propagated-inputs
+     `(("go-github-com-deckarep-golang-set"
+        ,go-github-com-deckarep-golang-set)))
+    (home-page "https://github.com/OperatorFoundation/monolith-go")
+    (synopsis "Go library for working with byte sequences")
+    (description "monolith-go is a Go library for working with byte sequences.")
+    (license license:expat)))
+
 (define-public go-github-com-deckarep-golang-set
   (package
     (name "go-github-com-deckarep-golang-set")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:24 2021
Received: from localhost ([127.0.0.1]:42506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8K-00005o-5W
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:24 -0400
Received: from out1.migadu.com ([91.121.223.63]:14761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8I-00005B-Oy
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:23 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714362;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=n2Do7fXlgsfdn0XhntiF6TtnGh3P8nTHWkQLJfY+2SQ=;
 b=QW2ck3o9ptm/fkajWKi4Vo2kfixjDkHYGOza7OD7fWmu4+53xrM4MLYSUGmy6T5EXerXGN
 ASz+5EWE/1wlu0XMQEznX2Q199igIkpwnRWUlKuknuiE2ormfI4VyXrqjbMLI18buhkSfn
 w8Ig96rv7oLOy7mbHgf4d72IM5W/ZezuRaKl45mf9hzVUBV0OdYeEFFWl6H7tKGi8JL2Ja
 JvUB2Un7+LHy69FYwq+5pbiBOLYoRU0lYUnqRBs3B5VE0wFjpaub5zoIWISlcQwYi2qN7s
 wqGFWSmj8EBhhGQ/BYlLbPZi64rbxfRv5IQxePu+RO5WBED5ZR9+q20m6KlHtg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 13/47] gnu: Add go-github-com-deckarep-golang-set.
Date: Thu,  3 Jun 2021 05:57:40 -0400
Message-Id: <20210603095814.21158-13-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-deckarep-golang-set): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 58883dc891..2aaee00080 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,28 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-deckarep-golang-set
+  (package
+    (name "go-github-com-deckarep-golang-set")
+    (version "1.7.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/deckarep/golang-set")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0y64c0p6a7ww5jp6adm6fm97vsni86njw8wkwxfmciy466vhl0lf"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/deckarep/golang-set"))
+    (home-page "https://github.com/deckarep/golang-set")
+    (synopsis "Set type for Go")
+    (description "golang-set is the set collection for the Go language.")
+    (license license:expat)))
+
 (define-public go-github-com-blanu-dust
   (package
     (name "go-github-com-blanu-dust")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:24 2021
Received: from localhost ([127.0.0.1]:42504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8J-00005g-PQ
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:24 -0400
Received: from out1.migadu.com ([91.121.223.63]:14747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8G-0008WH-Cx
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:20 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714359;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ln6hpyBK5ky2xwUsFbwyftWaWEzbawi7z61/JTR4enQ=;
 b=XLOcscBfQIUmGFNYtFbLq8SysIlgusGqqg/82mTYqeymdTuzhvxhOg9IVhq80b2P6ZeyP3
 ljoo3pswPczl/oiiTiQEIkqDJl1DJHflQ11rGSY9UtGQRsfo8pHSnbIrAGbl2WiVQ0IGh9
 IW1JGEx+qX2n9fonTRMtgaSHgaJ/x3EvBrX9bCVU8CslRC3syyIMDsNT7AYiocB2TQUv+F
 8lz2iKMn0JeM5J5xHhhB1ZUNTdUK580PbGQXBYqgHHb51vYd5U7XsTScfOU38/HPuw3PEP
 CUqXu92E6teSKHMomO6FciY4oh+47Pg/CfOApQIMh7MT+3tM26owoq35SWkMOw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 12/47] gnu: Add go-github-com-blanu-dust.
Date: Thu,  3 Jun 2021 05:57:39 -0400
Message-Id: <20210603095814.21158-12-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-blanu-dust): New variable.
---
 gnu/packages/golang.scm | 122 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 122 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 52e6318019..58883dc891 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,128 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-blanu-dust
+  (package
+    (name "go-github-com-blanu-dust")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/blanu/Dust")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1lya21w06ramq37af5hdiafbrv5k1csjm7k7m00v0bfxg3ni01bs"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/blanu/Dust"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               "github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               ;; Repository is missing test files directory.
+               ;;"github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               "github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t)))))
+    (propagated-inputs
+     `(("go-github-com-operatorfoundation-ed25519"
+        ,go-github-com-operatorfoundation-ed25519)
+       ("go-github-com-op-go-logging" ,go-github-com-op-go-logging)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)))
+    (home-page "github.com/blanu/Dust")
+    (synopsis "Censorship-Resistant Internet Transport Protocol")
+    (description "Dust is an Internet protocol designed to resist a number of
+attacks currently in active use to censor Internet communication.  While
+adherence to the theoretical maxims of cryptographic security are observed where
+possible, the focus of Dust is on real solutions to real attacks.")
+    (license
+     (list
+      ;; Skein.
+      license:bsd-2
+      ;; Others.
+      license:expat))))
+
 (define-public go-github-com-op-go-logging
   (package
     (name "go-github-com-op-go-logging")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:23 2021
Received: from localhost ([127.0.0.1]:42502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8J-00005Z-F7
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:23 -0400
Received: from out1.migadu.com ([91.121.223.63]:14738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8E-0008W7-HG
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:18 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714357;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=OsCCiYGdtH+1YVJlf5HNvYq9d1n03QFPeRYE7D2JMxI=;
 b=M6qutS8SA3fXH38FLxl0QbhaxCixQYIn4PnjOmrSAfMUW24iHggepTRZhxP9PxI1ciTCLT
 lYHPh5IGj+UR3NkTEiOepC3RBuGBYAlCJN/8aGv/R7URNIEDZXWh/Kc9XTE2spN7rHZFue
 db6WjbkaLTbBw/PhOUXOumHlzw52d84Rf2KdIfbDH6riRpbcozNmyfNaj9strlImEQFP+a
 ViIQqK7OBOwTUNB4rgt2pE41AzdqSp/RdNuAQ73w6P1U/yOf4aMU+HGcrg2TPNV2QsXZZ3
 7Wb9KpG10wySF7YrIwlqiR/IvRnPzMwvP1dXPBRRo3/lZSaXrpCg7k3056bcKg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 11/47] gnu: Add go-github-com-op-go-logging.
Date: Thu,  3 Jun 2021 05:57:38 -0400
Message-Id: <20210603095814.21158-11-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-op-go-logging): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 19741b4be4..52e6318019 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-op-go-logging
+  (package
+    (name "go-github-com-op-go-logging")
+    (version "1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/op/go-logging")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "01a6lkpj5p82gplddh55az194s9y3014p4j8x4zc8yv886z9c8gn"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f ; ERROR: incorrect callpath: String.rec...a.b.c.Info.
+       #:import-path "github.com/op/go-logging"))
+    (home-page "https://github.com/op/go-logging")
+    (synopsis "Golang logging library")
+    (description "go-logging is a logging library for Go.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-operatorfoundation-shapeshifter-ipc
   (package
     (name "go-github-com-operatorfoundation-shapeshifter-ipc")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:23 2021
Received: from localhost ([127.0.0.1]:42500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8J-00005M-0t
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:23 -0400
Received: from out1.migadu.com ([91.121.223.63]:14727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8C-0008Vy-Bo
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:16 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714355;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=zvDQA+gtDYJtcZywq5ZC8w1oPzC8yUtJiu9NcXHazLE=;
 b=L+w/nLMyM3vdb39ripNGEQZb1OwUcTnOCl6mbZhm6W4lUNxOh7jKIlvVDaOwexFLw3hEu3
 c+/K996/+wcR1VLhym6fHDbH7YS5Nl6/5dwDvDsMpqk2sxCuMjlyGHdOV6Jc3AGhHzd1W0
 zj9n6Lg8z5QQ2eotabTPFv6a1X7gZGyrcfHrqFQN8OyXwW1twsxTmORvuAYJxggAWUQiSh
 qJI/9Ps0gZ8ZWOp4jzBq7++FSTcePUvzp+qvDfSLXW5pOKC2d8QwwhyTQNqApcYCklRwkw
 DJQFaH0g9FKAHOvwRcvhULWDqB7m1y9a8EDPiZdq8kfFyoHE37hrZkJhoo/3cQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 10/47] gnu: Add
 go-github-com-operatorfoundation-shapeshifter-ipc.
Date: Thu,  3 Jun 2021 05:57:37 -0400
Message-Id: <20210603095814.21158-10-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-shapeshifter-ipc): New variable.
---
 gnu/packages/golang.scm | 77 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e2d5dfc4e4..19741b4be4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,83 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-shapeshifter-ipc
+  (package
+    (name "go-github-com-operatorfoundation-shapeshifter-ipc")
+    (version "2.0.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/shapeshifter-ipc")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1q1fcnllg462nfca16s5mr0n2jh92x3hj946qnaqc682phjz04lg"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f                      ; ERROR: undefined: Args.
+       #:unpack-path "github.com/OperatorFoundation/shapeshifter-ipc"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t)))))
+    (home-page "https://github.com/OperatorFoundation/shapeshifter-ipc")
+    (synopsis "Go implementation of IPC protocol")
+    (description "Shapeshifter IPC is a library for Go implementing the IPC
+protocol from the Pluggable Transports 2.0 specification.")
+    (license license:expat)))
+
 (define-public go-github-com-operatorfoundation-obfs4
   (package
     (name "go-github-com-operatorfoundation-obfs4")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:23 2021
Received: from localhost ([127.0.0.1]:42496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8I-000057-Fi
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:22 -0400
Received: from out1.migadu.com ([91.121.223.63]:14717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok8A-0008Vr-Dx
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:15 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714353;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=63zjH369u9lxuErvN/CdUwaPOQNTpf5qIRY075H2/Ps=;
 b=VTx/0H3r5UIE4VNpoBgN54Ce0UvGSvcWmSLbj6/wArSsU75xh3DrYzo32FCIJlSX2ju0DA
 4zdVipdJ9s2cqGWR9uU0C8/iln3/ODEM+2uY+9h/diUjRYRfDTrZOUmOUFHm/aZ3PbUiJA
 WITW/Pu+PyIL9LCgifE/wzMf+L+CeJ0a8uvtLvjBeuRrcfwRF+wsPONLWtJ3M0KqbB3ZSO
 CX17+dTe2CFTL5pYDrI0ZP0pQWQH6mKs4Bz7s3tYTPoeT2QD3tcnstrRP+3pbULA/rsjqV
 FGr9rAGZSPMgMXlqFajHq9Dx6MaGtmRwHxsWb0d/DxUlf0EteJiUIrOFRdRmrA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 09/47] gnu: Add go-github-com-operatorfoundation-obfs4.
Date: Thu,  3 Jun 2021 05:57:36 -0400
Message-Id: <20210603095814.21158-9-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-obfs4): New variable.
---
 gnu/packages/golang.scm | 151 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 151 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2539863770..e2d5dfc4e4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,157 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-obfs4
+  (package
+    (name "go-github-com-operatorfoundation-obfs4")
+    (version "1.0.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/obfs4")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0s730xagdxs66wfh65hb5v9a5h01q5ncic3pyij0a043scagizgr"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/OperatorFoundation/obfs4"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               ;; Drop '.git' suffix in import path of goptlib.
+               (("goptlib\\.git") "goptlib"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               "github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               "github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               "github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               ;; ERROR: Println arg dialFn is a func value, not called.
+               ;;"github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               ;; ERROR: Infof format %s has arg ln of wrong type *net.UDPConn.
+               ;;"github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               ;; ERROR: Infof format %s has arg ln of wrong type *net.UDPConn
+               ;;"github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               ;; ERROR: Println call has possible formatting directive %s.
+               ;;"github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               "github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               "github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               "github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t)))))
+    (propagated-inputs
+     `(("go-github-com-dchest-siphash" ,go-github-com-dchest-siphash)
+       ("go-github-com-operatorfoundation-ed25519"
+        ,go-github-com-operatorfoundation-ed25519)
+       ("go-github-com-willscott-goturn" ,go-github-com-willscott-goturn)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-torproject-org-pluggable-transports-goptlib"
+        ,go-torproject-org-pluggable-transports-goptlib)))
+    (home-page "https://github.com/OperatorFoundation/obfs4")
+    (synopsis "The Obfourscator")
+    (description "Obfs4 is a look-like nothing obfuscation protocol that
+incorporates ideas and concepts from Philipp Winter's ScrambleSuit protocol.
+The notable differences between ScrambleSuit and obfs4 are:
+@itemize
+@The handshake always does a full key exchange (no such thing as a Session
+Ticket Handshake).
+@The handshake uses the Tor Project's ntor handshake with public keys obfuscated
+via the Elligator 2 mapping.
+@The link layer encryption uses NaCl secret boxes (Poly1305/XSalsa20).
+@end itemize")
+    (license license:bsd-2)))
+
 (define-public go-github-com-willscott-goturn
   (let ((commit "19f41278d0c9251d64e0ee29f37d51e87a24a97b")
         (revision "68"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:22 2021
Received: from localhost ([127.0.0.1]:42494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8I-00004z-5v
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:22 -0400
Received: from out1.migadu.com ([91.121.223.63]:14706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok88-0008Vj-8t
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:12 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714351;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Vk2PRd0FMC8c9DHOKyQMaZg6uZyrFZPEiFPmVWDmh2M=;
 b=OLcA/mpeEgO2Jb/Su5Kf5M9kEw235Ft0AWuxnv56KxOiYcJFrZKLks4pgFZmSIkMb5hgZg
 O8KhykUTFieUTqn2BijPdIC5hLEidNH9SA9TbO+Ab4lEjgAbgPx5qtKatlKIbYyFn58bDW
 mjztOXNXwvkGmIKhCoVGWseP/4pyMB9r8ntEGsJ70fp7MT8JN8u943Obj4knFMmBVEVqyf
 iXS68HbXjIq0ohS8HiF95ZlmfkO3L4ALUBHEjTJqt/HOOQjmNFu2ddmNJbF8hk3CpwAQbO
 vG+uh9p+vgmNC8wrsN/kpEEUS9H2WQDjS/6aeDM7zDZMubqWICsHlMB98pRtIg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 08/47] gnu: Add go-github-com-willscott-goturn.
Date: Thu,  3 Jun 2021 05:57:35 -0400
Message-Id: <20210603095814.21158-8-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-willscott-goturn): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3594138169..2539863770 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,31 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-willscott-goturn
+  (let ((commit "19f41278d0c9251d64e0ee29f37d51e87a24a97b")
+        (revision "68"))
+    (package
+      (name "go-github-com-willscott-goturn")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/willscott/goturn")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zwvhfznr84ayzknn9flh65nvqjsixisgy9fkhz2jlahl1ldqcq7"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/willscott/goturn"))
+      (synopsis "A golang TURN dialer")
+      (description "GoTURN is a library providing a Go interface compatible with
+the golang proxy package which connects through a TURN relay.")
+      (home-page "https://github.com/willscott/goturn")
+      (license license:bsd-3))))
+
 (define-public go-torproject-org-pluggable-transports-goptlib
   (package
     (name "go-torproject-org-pluggable-transports-goptlib")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:22 2021
Received: from localhost ([127.0.0.1]:42492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8H-00004r-Sc
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:22 -0400
Received: from out1.migadu.com ([91.121.223.63]:14695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok86-0008Vb-05
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:10 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714349;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=tZzWE6R6nGOioBUbabZxiG1BT7LEJIUe1p37FGHxm2U=;
 b=HrW87ptiBv2x7C5/+g+MPZK7dDqNNJKdogn72KSPJXbXkwlkw/+7ubWxu0DOQ1shfqZEas
 K0SukYh7KatgX5T7Pxv4gbAV85ohStye71CLzznNKn8D/sGUcIatxXGS1bZFcQUztyL1Dy
 ZQHIg2Gn3JGWUuE5bKPr/PDvdg6JeIEcQz4FbRyGR5puTeP+LRW5CH/1i/8lMiN26ApnLg
 uL5HloRa2ydAYpWLx7SSQgrf7CJS7Yd8QGUZwuufTajuHvD/5HOpSumNN90nbBINRqRsVZ
 vLTKq7MrSgDooh7I6lDVTozDHYETpImngvUqL9tbM4NaLblGSgwLcDHvW+ICFA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 07/47] gnu: Add
 go-torproject-org-pluggable-transports-goptlib.
Date: Thu,  3 Jun 2021 05:57:34 -0400
Message-Id: <20210603095814.21158-7-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-torproject-org-pluggable-transports-goptlib): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index acc0c1bb49..3594138169 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,28 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-torproject-org-pluggable-transports-goptlib
+  (package
+    (name "go-torproject-org-pluggable-transports-goptlib")
+    (version "1.1.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://git.torproject.org/pluggable-transports/goptlib")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1lh938194hvkf8pqgnxwf6hvjv9rv0j3kasi07r2ckrj8sxzk4jc"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "git.torproject.org/pluggable-transports/goptlib"))
+    (home-page "https://gitweb.torproject.org/pluggable-transports/goptlib")
+    (synopsis "Library for writing Tor Pluggable-Transports")
+    (description "goptlib is a library for writing Tor pluggable transports in Go.")
+    (license license:cc0)))
+
 (define-public go-github-com-sevlyar-go-daemon
   (package
     (name "go-github-com-sevlyar-go-daemon")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:21 2021
Received: from localhost ([127.0.0.1]:42474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok82-0008VP-HH
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:21 -0400
Received: from out1.migadu.com ([91.121.223.63]:14673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok81-0008VF-7Z
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:05 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714344;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=h/VaZHylRSUAwBeZaTg2Q4TNPqnrpHfGBSlaS9BjUvY=;
 b=tLdOYrpnp0HFqF5CUe1MeWyU/BHKPkbptgwmNDSVPetfx04WnnULpDAu6VzopqIt0oHMOS
 rnmV6S2u8YRuP2WU7zag7ASlxajU6CiYI8jSWr4zI9bHGwQe4hJ/5pgGX2Fkhx13eDD+qu
 sWH4KVveSeDkWm1kuYF8lVFc2RNW+UTNkG1/J14K84UsaBofP8H7gfr2xJUkqf8C5rg97q
 29WFM2+YIsW/B81aDgw24L03NOgB/ZF/QR9FwpTEdGkm/p9Pg2R4mf1xbwp3aVduZiHiOS
 JZmXNza6QLUNg3SO+zu7GFb5UrAGqc/9Db13e1T36kI7UM+ZRCux0F4smFsIHg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 05/47] gnu: Add go-github-com-keybase-go-ps.
Date: Thu,  3 Jun 2021 05:57:32 -0400
Message-Id: <20210603095814.21158-5-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-keybase-go-ps): New variable.
---
 gnu/packages/golang.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7b0f656ada..c7d29fc235 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,43 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-keybase-go-ps
+  (let ((commit "91aafc93ba19d1988cff338c1929d35b6c6f5b50")
+        (revision "45"))
+    (package
+      (name "go-github-com-keybase-go-ps")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/keybase/go-ps")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1la7m9pd1rrij727g34k9d2iapqwrkwdkqwpkbsbcq8ig0fg634h"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/keybase/go-ps"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'fix-tests
+             (lambda* (#:key inputs #:allow-other-keys)
+               (substitute* (find-files "." ".*test\\.go")
+                 (("/bin/sleep")
+                  (string-append (assoc-ref inputs "coreutils")
+                                 "/bin/sleep")))
+               #t)))))
+      (native-inputs
+       `(("coreutils" ,coreutils)
+         ("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Process List Library")
+      (description "go-ps is a library for Go that implements OS-specific APIs
+to list and manipulate processes in a platform-safe way.")
+      (home-page "https://github.com/keybase/go-ps")
+      (license license:expat))))
+
 (define-public go-github-com-apparentlymart-go-openvpn-mgmt
   (let ((commit "4d2ce95ae600ee04eeb020ee0997aabb82752210")
         (revision "14"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:59:21 2021
Received: from localhost ([127.0.0.1]:42490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok8H-0008WP-J1
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:21 -0400
Received: from out1.migadu.com ([91.121.223.63]:14681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok83-0008VQ-Dj
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:59:07 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714346;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=kaUX9W0L3f1UsnvwbhHqCnBxdtEiyza08fB0OY3nrms=;
 b=Ismg+dTRjHN/8iuJsvPE27/ljMull34CpBpDKIKuTgtgDbZOcJS44W4U05iMznq9DCRffF
 gyklSLcxEfySdSHS1RDyDO27j3wRCmWzEq3VTGsDiRBelkj7ZafVmmox2k64fEd/RcE5TV
 d97W5Mha/Cy/fqEsTQ6JwrCydE542th0KY+Bpj8nKGHcjVqSVKwLvLjbIY7gB5mi1a2RQg
 i0grVqeX1khFg92ArpQyBwXXaLgKq6HqIYnNS8GnxwIrv3E/CjLIGdNcVpzLjlmvieM5os
 Op9xYqrF/f3jNbKK/hlh4/Hb4ucKhYtWez8IoV7MdIgGsUDBMGbFVw3XGOtgWQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 06/47] gnu: Add go-github-com-sevlyar-go-daemon.
Date: Thu,  3 Jun 2021 05:57:33 -0400
Message-Id: <20210603095814.21158-6-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-sevlyar-go-daemon): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index c7d29fc235..acc0c1bb49 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-sevlyar-go-daemon
+  (package
+    (name "go-github-com-sevlyar-go-daemon")
+    (version "0.1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/sevlyar/go-daemon")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1y3gnxaifykcjcbzx91lz9bc93b95w3xj4rjxjbii26pm3j7gqyk"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/sevlyar/go-daemon"))
+    (propagated-inputs
+     `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/sevlyar/go-daemon")
+    (synopsis "Library for writing system daemons")
+    (description "go-daemon is a library for writing system daemons in golang.")
+    (license license:expat)))
+
 (define-public go-github-com-keybase-go-ps
   (let ((commit "91aafc93ba19d1988cff338c1929d35b6c6f5b50")
         (revision "45"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:58:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:58:56 2021
Received: from localhost ([127.0.0.1]:42466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok7s-0008UG-5h
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:56 -0400
Received: from out1.migadu.com ([91.121.223.63]:14626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok7p-0008U8-UA
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:54 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714333;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=GIz6C6Gq0E3uoBi3oKyMXc/COCUylT3RhbG4r4sRQIY=;
 b=DvgV8EGME7yBkppEa7ap9c4mMG5nlHVz8eMrScuUDlHm9/cpXrRE+qLmeT0S+JNJEdqI+t
 otjXjGdREAcLnyT1gf/W+J7d/navvyB9ZqabnmZNzhxT/YYl5qbtywQraSNzuzvfA4VA01
 Wwllt/SRGyWKt+6as6SvHAgYt4Mu1CUX2cG/TxU/StuhbOQX/zk0rT78aO6tjh+c86Gtp1
 v+6kdQgsZF6Lkz3WxfJxyNMAcl54/IRAbZXpys7+FrFVDdgey95C7ApJHSXGDQvyJGI/9c
 p5ZEdOSSEcbruIWolbGpvIfQzxaQHPsuouFCFMKjC1/4qKvj26Vs4rjufiapOA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 04/47] gnu: Add
 go-github-com-apparentlymart-go-openvpn-mgmt.
Date: Thu,  3 Jun 2021 05:57:31 -0400
Message-Id: <20210603095814.21158-4-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-apparentlymart-go-openvpn-mgmt): New variable.
---
 gnu/packages/golang.scm | 79 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 79 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4fcb5cd01a..7b0f656ada 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,85 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-apparentlymart-go-openvpn-mgmt
+  (let ((commit "4d2ce95ae600ee04eeb020ee0997aabb82752210")
+        (revision "14"))
+    (package
+      (name "go-github-com-apparentlymart-go-openvpn-mgmt")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/apparentlymart/go-openvpn-mgmt")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1dn431jnswg5ns1ah10wswnw6wiv48zq21zr5xp1178l4waswj7k"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/apparentlymart/go-openvpn-mgmt"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t)))))
+      (synopsis "Go client library for OpenVPN's management protocol")
+      (description "This package implements a client for the OpenVPN management
+interface.  It can be used to monitor and control an OpenVPN process running with
+its management port enabled.")
+      (home-page "https://github.com/apparentlymart/go-openvpn-mgmt")
+      (license license:expat))))
+
 (define-public go-github-com-emersion-go-autostart
   (let ((commit "00ed301c8e9ae79e82878c6361c709983ac5dd2c")
         (revision "39"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:58:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:58:53 2021
Received: from localhost ([127.0.0.1]:42462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok7o-0008U1-V5
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:53 -0400
Received: from out1.migadu.com ([91.121.223.63]:14613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok7n-0008Ts-Fm
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:51 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714330;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TQsHMz5ashCIqkcLfH4ZIfUSPHoxovpGF6jtXAcbTrY=;
 b=gwgrzyoNTmjFPSoZ75Zxq3i/aS9Ami57XvAV91EBXK6dJSBQYfDaNfw111dX/7p7Z7eST8
 mm5mgLBqhWJaLl2DxCrSYkqS+IwuAknXZn9oxx7jk4i2he1k79FRtewJLCSy4XY1zG2j8h
 CxZhgMwEcu6rnrJstjRiEhq8GpuYe8UCV7RRkqFTHbDnx7kuqyC4I8D0hAj7tll5A5Y0Ua
 v3mQBJKjMkI+JE7WkH395lYJorMqb8dl3fYFlZpEGWn7kQnTXN53/dpp20Xp2pWbirIdDl
 GIt5HSj7+gN2kE3qRZf5Rgt2JFKyeSasuUCmvLK6eoKzY7W1adF/uPXRKcponA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 03/47] gnu: Add go-github-com-emersion-go-autostart.
Date: Thu,  3 Jun 2021 05:57:30 -0400
Message-Id: <20210603095814.21158-3-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-autostart): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4ebef21140..4fcb5cd01a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-emersion-go-autostart
+  (let ((commit "00ed301c8e9ae79e82878c6361c709983ac5dd2c")
+        (revision "39"))
+    (package
+      (name "go-github-com-emersion-go-autostart")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/emersion/go-autostart")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0cqqvbzn32xv5lknfygrx01rx2sc6pi833k7008nlk9lsfgry06v"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/emersion/go-autostart"))
+      (synopsis "Go library to run a command after login")
+      (description "Go library to run a command after login.")
+      (home-page "https://github.com/emersion/go-autostart")
+      (license license:expat))))
+
 (define-public go-github-com-dchest-siphash
   (package
     (name "go-github-com-dchest-siphash")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:58:49 2021
Received: from localhost ([127.0.0.1]:42458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok7l-0008Tk-N2
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:49 -0400
Received: from out1.migadu.com ([91.121.223.63]:14602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok7k-0008TW-Ht
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:48 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714327;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HxvH21HNPu5MDPUtDDvAL6vOyOcNd8VHMwmV2XDZzVs=;
 b=T1A+Pk9tUmBRzeXbfzMs0ethUICMUiNb0E5AdhDI/5H6vSnnSlvEHTlsKO5IYTAdiGNwnT
 i7d7nbRYNtqHuKubeosO3UFFVuuV6dmnuwiQOWhPQf1J/nDgW/YHzu5NOELiPJsIayCdbm
 L/b02/kttx4wLoDIxxTWFc3s1TTjNjxDOGdFmzwaTM0+gpKFhbK3JHX3g4ROrKtq5W0uap
 zEQAonaKkKZ4biQyRtJwK9D15L4E3gFANSTO0uuPZ5+DGZZjzConEp9c5vJ0tO8wJXeo0k
 V8MqO7akTFys+bW9LP/aONLv5i6mQlx/Jk7YuAAOSD7MsbY2sU+USW3cAhpsTA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 02/47] gnu: Add go-github-com-dchest-siphash.
Date: Thu,  3 Jun 2021 05:57:29 -0400
Message-Id: <20210603095814.21158-2-rg@HIDDEN>
In-Reply-To: <20210603095814.21158-1-rg@HIDDEN>
References: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-dchest-siphash): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fcfb1fc715..4ebef21140 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -69,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-dchest-siphash
+  (package
+    (name "go-github-com-dchest-siphash")
+    (version "1.2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/dchest/siphash")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "08s076y7vmjqnq7jz0762hkm896r6r31v8b31a3gy0n8rfa01k8k"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/dchest/siphash"))
+    (home-page "https://github.com/dchest/siphash")
+    (synopsis "Go library for pseudorandom functions")
+    (description "SipHash is a family of pseudorandom functions (PRFs) optimized
+for speed on short messages.")
+    (license license:cc0)))
+
 (define-public go-github-com-rakyll-statik
   (package
     (name "go-github-com-rakyll-statik")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:58:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:58:48 2021
Received: from localhost ([127.0.0.1]:42454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok7g-0008TR-41
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:48 -0400
Received: from out1.migadu.com ([91.121.223.63]:14584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok7e-0008TJ-O1
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:58:43 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714321;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=BsDpbqzkx/L53vbRuGSdKX79yeepkAQ5mh9kcSy39v0=;
 b=I8uM2lwjC+BsDx5Aijtxd2Wm1rXTC9uAH+zdiJSt+5QYQ0ojCjNIv264CYohgdju1Hf4dH
 2ih922AZTvcKmQltWcNMByaR1/0nE24ufcUUv/czLPXYrN2tR+xMB6aIvVXgGq2fKjNW1b
 l1wuF57O4F4yKnVmiJcgIh5SGklprZXqHg+cKlXia5uV5qQkoa0qqtakswaWce7Akjz5Vh
 1E09yIMW2dn1CyeDcqMTmbDOlredIhcs2BC8Fv+2NcFBBp8ITF9DKbx6bYOLl8D2tddwSC
 wuw7es3pNYiqmQyYHfTyFXaOj49DJuxgaHPemWQbzbEjaxfkBh4kKYCSSbPsdg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v2 01/47] gnu: Add go-github-com-rakyll-statik.
Date: Thu,  3 Jun 2021 05:57:28 -0400
Message-Id: <20210603095814.21158-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-rakyll-statik): New variable.

Co-authored-by: Jorge Gomez <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8c3c81ceda..fcfb1fc715 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -25,6 +25,8 @@
 ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2021 Guillaume Le Vaillant <glv@HIDDEN>
+;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
+;;; Copyright © 2021 Jorge Gomez <jgart@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -67,6 +69,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-rakyll-statik
+  (package
+    (name "go-github-com-rakyll-statik")
+    (version "0.1.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/rakyll/statik")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0y0kbzma55vmyqhyrw9ssgvxn6nw7d0zg72a7nz8vp1zly4hs6va"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/rakyll/statik"))
+    (home-page "https://github.com/rakyll/statik/")
+    (synopsis "Embed files into a Go executable")
+    (description "Statik allows you to embed a directory of static files into
+your Go binary to be later served from an http.")
+    (license license:asl2.0)))
+
 ;; According to https://golang.org/doc/install/gccgo, gccgo-4.8.2 includes a
 ;; complete go-1.1.2 implementation, gccgo-4.9 includes a complete go-1.2
 ;; implementation, and gccgo-5 a complete implementation of go-1.4.  Ultimately
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 3 Jun 2021 09:56:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 05:56:58 2021
Received: from localhost ([127.0.0.1]:42441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lok5y-0008Ou-Qc
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:56:58 -0400
Received: from out1.migadu.com ([91.121.223.63]:14197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lok5t-0008Oi-V6
 for 48729 <at> debbugs.gnu.org; Thu, 03 Jun 2021 05:56:56 -0400
To: 48729 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622714212;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=H6E44kbYw1QLfiI2mxnevh8jh72OIW0B9eLNP3pe2Vo=;
 b=dAvWMX0SCgHt46HHUIFtZrHv5Fko7HRBG5YwPNLVzKhtz7OucSzchpSdfj03R8fr2KSFkO
 mG3+dvTD6u1JNPCPmYSMIzs89pDwxmfUvX8WIRwglfLoG1t8Gx75brPFTif8TqE8KtSMxT
 DCi2viAaMlNNo9G89DNqtfgOggrjfNyGbwQPs7WGlNtBBfoHdiH0FoPKTmRhNl7RHOq7qg
 3GWFMZ8OPbBKUyOkbrxwj7rZJhAuh51EbiP2emWBJwLmuUR0RvZ0kkrYVyhFn8vwtxOCEo
 tAHTx0vyxPeaT9DK4WBFrjuYiBWr21qTIooJQtX+xN2pDMb53Fk1XC9afM78Gw==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: [PATCH v2 00/47]: Bitmask VPN
Message-ID: <88d5b18b-f46f-92b1-4e8a-6e9db04662bd@HIDDEN>
Date: Thu, 3 Jun 2021 05:56:50 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="FJU9YlHoGuq2O7RLFxduvxbfkYPTdcWWj"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--FJU9YlHoGuq2O7RLFxduvxbfkYPTdcWWj
Content-Type: multipart/mixed; boundary="pZMcg6Ppc7oPdFCrfRA1BRe9onRuZiP8l";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Cc: jgart@HIDDEN
Message-ID: <88d5b18b-f46f-92b1-4e8a-6e9db04662bd@HIDDEN>
Subject: [PATCH v2 00/47]: Bitmask VPN

--pZMcg6Ppc7oPdFCrfRA1BRe9onRuZiP8l
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-CA
Content-Transfer-Encoding: quoted-printable

Hello Guix!

This version of patch-set still has following issues:

[1] Last patch has to be finished.
[2] Failing tests has to be re-visited.
[3] Trailing `#t` in phases has to be removed.
[4] Synopsis and Description requires revision.
[5] Some lines are too long.

Regards,
RG.


--pZMcg6Ppc7oPdFCrfRA1BRe9onRuZiP8l--

--FJU9YlHoGuq2O7RLFxduvxbfkYPTdcWWj
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYLinYgUDAAAAAAAKCRBfWBZkf4vlUdla
AP9isuDg5NjBBDsXVT7vveRpYOzB8RyNodobFnt6Qp9QIAEAiHlE1Rqd2c7L6AzkRkB3VSULQzu/
JLPJvzpEZpD5Tgk=
=/Ova
-----END PGP SIGNATURE-----

--FJU9YlHoGuq2O7RLFxduvxbfkYPTdcWWj--




Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:23:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:23:23 2021
Received: from localhost ([127.0.0.1]:56214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmx3q-0005DU-Uy
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:23:23 -0400
Received: from out1.migadu.com ([91.121.223.63]:15830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmx3p-0005DL-2p
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:23:22 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622287400;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=isAih8ncrfvUTAp04Md6NNTQhV+G+RuzBqgwU3RcKOE=;
 b=mpRXti3bfBRBzkPpbJz4LqjxwCz/j47WTmD0Ou19tO8NboKtATnBnRy2si9jala7G2B8hl
 UIC3f3r3Ow+YOAvAqaLKL2o2n4GxWYTPDbwxPhxktEMO85DDQYh1/jsCaeCh3TuWoVeeLX
 1bs1khMFDn0BVcEtIGUxDYsk3i+536V9XeE+dCfjLoUvaiMOpivlOqOHtIrhHS9WHEdnG0
 +gIO12viM6rcDzzrVZATAsc333+naSOnnyemGz+ep/zCZsrwXosb4xoeUMj/NlEcUtfl8q
 yanwoLX1Y6vm0hptRJ0xCPJfAuvbZZ2YMfinQpcXfyhFqIrctfO7NZOP8uSkdA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 24/24] gnu: Add bitmask-vpn.
Date: Sat, 29 May 2021 07:23:03 -0400
Message-Id: <20210529112303.23925-24-rg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

* gnu/packages/vpn.scm (bitmask-vpn): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/vpn.scm | 114 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 114 insertions(+)

diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index a952e3f0db..d2edac06ec 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -38,6 +38,7 @@
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system linux-module)
   #:use-module (guix build-system python)
   #:use-module (guix utils)
@@ -52,6 +53,7 @@
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages linux)
@@ -69,6 +71,118 @@
   #:use-module (gnu packages tls)
   #:use-module (gnu packages xml))
 
+(define-public bitmask-vpn
+  (package
+    (name "bitmask-vpn")
+    (version "0.21.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://0xacab.org/leap/bitmask-vpn")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1b0cdgh4mqvalvknck1zjy7dhmjfyhbmn9knya6ymx8dqan308sr"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f
+       #:unpack-path "0xacab.org/leap/bitmask-vpn"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               (("github.com/ProtonMail/go-autostart")
+                "github.com/emersion/go-autostart"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/gui"
+               "0xacab.org/leap/bitmask-vpn/pkg/backend"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/pickle"
+               "0xacab.org/leap/bitmask-vpn/pkg/pid"
+               "0xacab.org/leap/bitmask-vpn/pkg/vpn"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "0xacab.org/leap/bitmask-vpn/cmd/bitmask-helper"
+               "0xacab.org/leap/bitmask-vpn/gui"
+               "0xacab.org/leap/bitmask-vpn/pkg/backend"
+               "0xacab.org/leap/bitmask-vpn/pkg/bitmask"
+               "0xacab.org/leap/bitmask-vpn/pkg/config"
+               "0xacab.org/leap/bitmask-vpn/pkg/helper"
+               "0xacab.org/leap/bitmask-vpn/pkg/pickle"
+               "0xacab.org/leap/bitmask-vpn/pkg/pid"
+               "0xacab.org/leap/bitmask-vpn/pkg/vpn"))
+             #t)))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("python" ,python-wrapper)))
+    (inputs
+     `(("qtbase" ,qtbase)
+       ("qtdeclarative" ,qtdeclarative)))
+    (propagated-inputs
+     `(("go-github-com-apparentlymart-go-openvpn-mgmt"
+        ,go-github-com-apparentlymart-go-openvpn-mgmt)
+       ("go-github-com-dchest-siphash"
+        ,go-github-com-dchest-siphash)
+       ("go-github-com-emersion-go-autostart"
+        ,go-github-com-emersion-go-autostart)
+       ("go-github-com-kardianos-osext"
+        ,go-github-com-kardianos-osext)
+       ("go-github-com-keybase-go-ps"
+        ,go-github-com-keybase-go-ps)
+       ("go-github-com-operatorfoundation-obfs4"
+        ,go-github-com-operatorfoundation-obfs4)
+       ("go-github-com-operatorfoundation-shapeshifter-ipc"
+        ,go-github-com-operatorfoundation-shapeshifter-ipc)
+       ("go-github-com-operatorfoundation-shapeshifter-transports"
+        ,go-github-com-operatorfoundation-shapeshifter-transports)
+       ("go-github-com-rakyll-statik"
+        ,go-github-com-rakyll-statik)
+       ("go-github-com-sevlyar-go-daemon"
+        ,go-github-com-sevlyar-go-daemon)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-0xacab-org-leap-shapeshifter"
+        ,go-0xacab-org-leap-shapeshifter)))
+    (synopsis "Bitmask VPN Client")
+    (description "Bitmask-VPN is LEAP’s very own VPN client.  It allows you to
+select from a variety of trusted service provider all from one app.  Current
+providers include Riseup Networks and The Calyx Institute.")
+    (home-page "https://bitmask.net/")
+    (license license:gpl3+)))
+
 (define-public gvpe
   (package
     (name "gvpe")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:22:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:22:03 2021
Received: from localhost ([127.0.0.1]:56209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmx2Z-0005BH-JF
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:22:03 -0400
Received: from out2.migadu.com ([188.165.223.204]:12309)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmx2X-0005At-Tk
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:22:02 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622287321;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=UjgVmv2r335NwwgBIxcQI8lihS082M/NafngURT3NXE=;
 b=CF3mE29FsiEvY1xx52ShQGi+Dmn80iFzh+gcH90gnpTyzAEUAr5ZgCPHtn2jFtVaq1IlW7
 HH5NlmYuvcyJyTSB8U+qiUK1BJGMd8lnLXUPEp8OpGcRPbc93BlZS/kdkOzgGtXLErKvZP
 l4JrhGBPVF006Y4yL44d43g4dwuQghydAjMF1TWuhDuqcwpZl4gcud4rjVdZqP0ZUXZo0h
 mZZLeGBWRkMpHifoWb6hMvX0X+b6+bK/azGJphn3Bi0xw5vpTxPkth+dXLrzlpTkEFLLVD
 8vTVmqbuqfSwf2sTkPP+F6H2x8nb0N1YOkXeyXlWu1ZFuueAJ3V+85r5y1m7EA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 23/24] gnu: Add go-0xacab-org-leap-shapeshifter.
Date: Sat, 29 May 2021 07:21:33 -0400
Message-Id: <20210529112134.23863-23-rg@HIDDEN>
In-Reply-To: <20210529112134.23863-22-rg@HIDDEN>
References: <20210529112134.23863-22-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

* gnu/packages/golang.scm (go-0xacab-org-leap-shapeshifter): New variable.
---
 gnu/packages/golang.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4fdedafdae..75f9cd7313 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,39 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-0xacab-org-leap-shapeshifter
+  (let ((commit "0aa6226582efb8e563540ec1d3c5cfcd19200474")
+        (revision "12"))
+    (package
+      (name "go-0xacab-org-leap-shapeshifter")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://0xacab.org/leap/shapeshifter")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0m4fla9ppl53k9syms4dsad92wakr74cdvids3xxv3amdh4d1w4i"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "0xacab.org/leap/shapeshifter"))
+      (propagated-inputs
+       `(("go-github-com-operatorfoundation-obfs4"
+          ,go-github-com-operatorfoundation-obfs4)
+         ("go-github-com-operatorfoundation-shapeshifter-transports"
+          ,go-github-com-operatorfoundation-shapeshifter-transports)
+         ("go-golang-org-x-net" ,go-golang-org-x-net)))
+      (synopsis "Network Obfuscater")
+      (description "Shapeshifter provides network protocol shapeshifting
+technology.  The purpose of this technology is to change the characteristics of
+network traffic so that it is not identified and subsequently blocked by network
+filtering devices.")
+      (home-page "https://0xacab.org/leap/shapeshifter")
+      (license license:bsd-2))))
+
 (define-public go-github-com-operatorfoundation-shapeshifter-transports
   (package
     (name "go-github-com-operatorfoundation-shapeshifter-transports")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:21:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:21:55 2021
Received: from localhost ([127.0.0.1]:56204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmx2R-0005AU-2T
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:21:55 -0400
Received: from out2.migadu.com ([188.165.223.204]:12282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmx2O-0005AM-Dz
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:21:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622287311;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=XW74YhxooVMpZ16pIMFSSC1yiww7WOmHg7Gd1i9/taQ=;
 b=HvTjBxd41PTYkmvDwsDn2Hby1u60lbwJ7F8muNnzUUoTPoowYVkvvKvMZeRaUDcWyT1mUZ
 aWJL+NYZOhrOGZAepnloMaW+P7WkvmGEPGrbaYYlRAv/Noq4/X6bMo4bfPqCyjjM6twRjH
 6ehgUcLpKcJeuJuaz5+TJtldiREXBdvUSnymjRr6r7RwWYDG/3Jnygj0i3y/m25Uu+JpTv
 9sL+k69f1dkDG1mrXLQcFF7Clcme2U/Ug+Pqt7fLu1+CPfChBm6nMexyqkr2jQQCg1X4J2
 ex9OBIBDMAKO8OeafAExhISfcFEsk2ARe18ECrUUxm/wKcqMK46ZTtaNVOr5ng==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 22/24] gnu: Add
 go-github-com-operatorfoundation-shapeshifter-transports.
Date: Sat, 29 May 2021 07:21:32 -0400
Message-Id: <20210529112134.23863-22-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-shapeshifter-transports): New variable.
---
 gnu/packages/golang.scm | 155 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e281ed373c..4fdedafdae 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,161 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-shapeshifter-transports
+  (package
+    (name "go-github-com-operatorfoundation-shapeshifter-transports")
+    (version "3.0.12")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/shapeshifter-transports")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0f1hzhk3q2fgqdg14zlg3z0s0ib1y9xwj89qnjk95b37zbgqjgsb"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/OperatorFoundation/shapeshifter-transports"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               ;; Drop '.git' suffix in import path of goptlib.
+               (("goptlib\\.git") "goptlib"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               ;;; ERROR: invalid memory address or nil pointer dereference.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               ;;; ERROR: failed with status 1.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               ;;; ERROR: bind: permission denied.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"))
+               ;;; ERROR: failed with status 1.
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               ;;"github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Dust/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Optimizer/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/Replicant/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meeklite/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/meekserver/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs2/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/obfs4/v3"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v2"
+               "github.com/OperatorFoundation/shapeshifter-transports/transports/shadow/v3"))
+             #t)))))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (propagated-inputs
+     `(("go-github-com-aead-chacha20"
+        ,go-github-com-aead-chacha20)
+       ("go-github-com-blanu-dust"
+        ,go-github-com-blanu-dust)
+       ("go-github-com-deckarep-golang-set"
+        ,go-github-com-deckarep-golang-set)
+       ("go-github-com-kataras-golog"
+        ,go-github-com-kataras-golog)
+       ("go-github-com-mufti1-interconv"
+        ,go-github-com-mufti1-interconv)
+       ("go-github-com-opentracing-opentracing-go"
+        ,go-github-com-opentracing-opentracing-go)
+       ("go-github-com-operatorfoundation-monolith-go"
+        ,go-github-com-operatorfoundation-monolith-go)
+       ("go-github-com-operatorfoundation-obfs4"	
+        ,go-github-com-operatorfoundation-obfs4)
+       ("go-github-com-operatorfoundation-shapeshifter-ipc"
+        ,go-github-com-operatorfoundation-shapeshifter-ipc)
+       ("go-github-com-shadowsocks-go-shadowsocks2"
+        ,go-github-com-shadowsocks-go-shadowsocks2)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-torproject-org-pluggable-transports-goptlib"
+        ,go-torproject-org-pluggable-transports-goptlib)))
+    (home-page "https://github.com/OperatorFoundation/shapeshifter-transports")
+    (synopsis "Go implementation of Pluggable Transports")
+    (description "Shapeshifter Transports is a set of Pluggable Transports
+implementing the Go API from the Pluggable Transports 2.0 specification.")
+    (license license:expat)))
+
 (define-public go-github-com-kataras-golog
   (package
     (name "go-github-com-kataras-golog")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:18:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:18:49 2021
Received: from localhost ([127.0.0.1]:56199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwzR-00055S-Ki
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:18:49 -0400
Received: from out1.migadu.com ([91.121.223.63]:15050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwzP-00055I-9y
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:18:47 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622287125;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=zTg/RaOUEp/Hfle9JXFuKrVw2XCjZCERBRAq9YTcea4=;
 b=AiFbSdu1t6Lt0AbsTVgv0+w5otOmw4fZjufKMnhxJGPdvgRzqOa7utvq5NDuTFwb2wUAfn
 FlgkD6vzAuCYVNogcQU9FhC4vC12NjPUdOuCEVhvs8HUXbE7CzyYrP/8k4qJu1tTdZbM+4
 DqPviqH9E8GKFQd+6B+VfLtKcA5UmPjIJj4g4EW2YXVUcg+Pru1eMgW8oPaJ3BsgjUa/TR
 hqZBlA8GAmRbAqkZ6XpRy1fHz71UNBvZeQkjLzd/oVsHpRRLYb0EGvgrP2G3FurZpbhSKk
 HOXkfOYqm2FFGcGydMwJVq7M8hXZf/D1EOv5I5v48MFYaBc8DiZPJrwjEgaMBg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 21/24] gnu: Add go-github-com-kataras-golog.
Date: Sat, 29 May 2021 07:18:07 -0400
Message-Id: <20210529111810.23744-21-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-kataras-golog): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 48a5350f6e..e281ed373c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-kataras-golog
+  (package
+    (name "go-github-com-kataras-golog")
+    (version "0.1.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/kataras/golog")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1ll24g50j48wqikzf67cyaq0m0f57v1ap24nbz3cmv3yzqi6wdl9"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/kataras/golog"))
+    (propagated-inputs
+     `(("go-github-com-kataras-pio" ,go-github-com-kataras-pio)))
+    (home-page "https://github.com/kataras/golog")
+    (synopsis "Level-based logger")
+    (description "GoLog is a logging foundation for Go Applications.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-kataras-pio
   (package
     (name "go-github-com-kataras-pio")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:47 2021
Received: from localhost ([127.0.0.1]:56171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxT-0004xK-66
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:47 -0400
Received: from out2.migadu.com ([188.165.223.204]:11433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxK-0004vU-OD
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:39 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286998;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=5txX7cpA7aN1EvgTurPEeov4n8PpuNncdHIeEg2sMPo=;
 b=ncKiFVSA+AbKJoRftU15eIavmNCp+VfmbCFtw/kzywqQBenCj+I3yinDIcNYX3l5kGQ/DB
 4IKsY/zHPSxAUVT87Z4+53vQCS7t38SvIDnOxG6SA5W8xbFIRVpGbv3N9immmGq8fCstjR
 Urm40n11pQH7nHaNnSIXbm6LqJ2G6fGGEyP0ACXwP8VaK6WBZVpKT3JI3SI1Ln2VLMyfjM
 Kb2ju9raJr8Wq5v1rZqk0JlKuTAfLxOZWNV4ZLe+TEB9S7wSdbvCidudZG8E6xrVDBbr1P
 isOsXbCNgyDephvMXpjscmpBw08mYUxGOuRJc8LVLZvvTgzx1VSy1E+p33noJQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 20/24] gnu: Add go-github-com-kataras-pio.
Date: Sat, 29 May 2021 07:15:34 -0400
Message-Id: <20210529111538.23666-20-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-kataras-pio): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d7a4e6de81..48a5350f6e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-kataras-pio
+  (package
+    (name "go-github-com-kataras-pio")
+    (version "0.0.10")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/kataras/pio")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "11d2jy9xz4airicgmjcy4nb80kwv22jp140wzn2l5412jdr4jmkp"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/kataras/pio"))
+    (home-page "https://github.com/kataras/pio")
+    (synopsis "Pill for Input/Output")
+    (description "PIO is a low-level package that provides a way to centralize
+different output targets.  Supports colors and text decoration to all popular
+terminals.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-shadowsocks-go-shadowsocks2
   (package
     (name "go-github-com-shadowsocks-go-shadowsocks2")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:47 2021
Received: from localhost ([127.0.0.1]:56169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxS-0004xC-TW
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:47 -0400
Received: from out2.migadu.com ([188.165.223.204]:11427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxK-0004vN-0C
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:38 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286997;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=JNmt6BIvK/xK/JsY52o0xTm4q2Ut9G8OO+Z8D2MuI90=;
 b=GQBLEljjeD6lWC+A9TPTzW/8c4oo5SbjmXI4m7VmRoTPyCyRjygOxulWCwEqnnYd4Mw+GB
 8iRQ0KJaWg3H9AH/TuHCXSD6pp4tCuRNebMOaKFAhK41tjp131kX5n/jaImbCgOfQszxV6
 dxxftSuA2E815nnijYO5XzNp8+BjskPWBfP7WGdTWouSl0dXLrF7eUTN+nEJe+Ly/LYq0H
 jmY7gNFJdlc3vIb09oD6NnVgMyvbhtlnxh2dWViIHd7VlXxXl3sre19gxywunv6zDun1Li
 ZtwU7Wdx/hlmghGOb0zlxsH6eFhSe/eZfAQMCqWHrCt55u2F107ydmbNcxv62w==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 19/24] gnu: Add go-github-com-shadowsocks-go-shadowsocks2.
Date: Sat, 29 May 2021 07:15:33 -0400
Message-Id: <20210529111538.23666-19-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-shadowsocks-go-shadowsocks2): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 41342b3961..d7a4e6de81 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,35 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-shadowsocks-go-shadowsocks2
+  (package
+    (name "go-github-com-shadowsocks-go-shadowsocks2")
+    ;; Version > 0.1.3 requires go-toolchain v1.16.
+    (version "0.1.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/shadowsocks/go-shadowsocks2")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1wzy3ml4ld83iawcl6p313bskzs6zjhz8vlg8kpwgn71cnbv4pvi"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/shadowsocks/go-shadowsocks2"))
+    (propagated-inputs
+     `(("go-github-com-riobard-go-bloom" ,go-github-com-riobard-go-bloom)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)))
+    (home-page "https://github.com/shadowsocks/go-shadowsocks2")
+    (synopsis "Shadowsocks in Go")
+    (description "Implementation of Shadowsocks in Go.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-riobard-go-bloom
   (let ((commit "cdc8013cb5b3eb0efebec85f0e904efccac42df9")
         (revision "15"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:46 2021
Received: from localhost ([127.0.0.1]:56167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxS-0004x5-Kt
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:46 -0400
Received: from out2.migadu.com ([188.165.223.204]:11419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxJ-0004vD-9Q
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:37 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286996;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=h1jx7KJivklIJ++sX/Qxeq8J1L5MXxxz0rdvZD3aXB0=;
 b=JBtF5l+JDgU5lAsw09nfOE9UX1pV0dKZ2JyuR/ZEfSW9AIw2p4sS85DTqfEU7AE1UNdgpD
 3HnodA7ce0l5am+ucOU0uDgcmiJc17POPUv29QGMpNtRrcEWNsZj3EOsvjlruSIT1rhLQT
 EkTagaQFpNrcgdOahX1R1fPi3eRVtiIzfe1NtixrVfcicPOCNZg5p1TfG0hCkoS8Zumip3
 AS0sg+u0ej0EX+6r+30cxziZVHfdNKuv/3QVMfmuPPRGfvgTP3Q44KA1k4sJCGwURFEa6s
 Spiu2LzXtLSYPd7qo3XU0KjJwE/XIs3qQWFrTsdG1nD5d2/8LeEFrBdLVKy3tg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 18/24] gnu: Add go-github-com-riobard-go-bloom.
Date: Sat, 29 May 2021 07:15:32 -0400
Message-Id: <20210529111538.23666-18-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-riobard-go-bloom): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ee3b73304b..41342b3961 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-riobard-go-bloom
+  (let ((commit "cdc8013cb5b3eb0efebec85f0e904efccac42df9")
+        (revision "15"))
+    (package
+      (name "go-github-com-riobard-go-bloom")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/riobard/go-bloom")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "10a8ixh6zw52df2imxrzgxi82zc1j5hqnv5smjp818qwdn1a1rhj"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/riobard/go-bloom"))
+      (synopsis "Bloom filter in Go")
+      (description "Bloom Filter using double hashing.")
+      (home-page "https://github.com/riobard/go-bloom")
+      (license license:asl2.0))))
+
 (define-public go-github-com-aead-chacha20
   (let ((commit "8b13a72661dae6e9e5dea04f344f0dc95ea29547")
         (revision "114"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:46 2021
Received: from localhost ([127.0.0.1]:56165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxS-0004wy-15
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:46 -0400
Received: from out2.migadu.com ([188.165.223.204]:11412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxI-0004vA-Gf
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:37 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286996;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=OZWAIcqglqplX2jx64W1R3c71/QTepcFME6gDKcxqzI=;
 b=qiadZZEmRx3/jS2RbvUxjrbDHM1DCW09kIr/Sg9UqbaMlV7DcNxSfMihU6gHHqM0+oBFXh
 RwoEol5kfcE/WLplScOZWvFE8wpizvL/k1LTy+0O9bH+uVjEH4gutlrBYKBGK71evDd/MT
 reaPACXoh5na6f6GX9DxFF2Eg30fsKIzxvF23GEWZ6VcRA/Jx8u2UuQA7JiLP/2qgdXusF
 eMtZ+9kf82nc9HMrUtZj4NFNa7S3B0n/xn8KefWF2YDb/tMcjWnZnIwcpB5zXpyl+INW1b
 LFn5JjG3iN9/bxwnIJ18QWwH6HCVSxCIz58difyKkOb0hWUS6dqL1FuYykmmHg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 17/24] gnu: Add go-github-com-aead-chacha20.
Date: Sat, 29 May 2021 07:15:31 -0400
Message-Id: <20210529111538.23666-17-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.org (go-github-com-aead-chacha20): New variable.
---
 gnu/packages/golang.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3360b7e51b..ee3b73304b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,34 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-aead-chacha20
+  (let ((commit "8b13a72661dae6e9e5dea04f344f0dc95ea29547")
+        (revision "114"))
+    (package
+      (name "go-github-com-aead-chacha20")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/aead/chacha20")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0gbmgq5kbqmbyrsav57ql4jzbvqvp1q7yvcd5fl3wf5g94iyv56r"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/aead/chacha20"))
+      (propagated-inputs
+       `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+      (synopsis "ChaCha20 and XChaCha20 stream ciphers")
+      (description "ChaCha is a stream cipher family created by Daniel Bernstein.
+The most common ChaCha variant is ChaCha20 (20 rounds).  ChaCha20 is
+standardized in RFC 7539.")
+      (home-page "https://github.com/aead/chacha20")
+      (license license:expat))))
+
 (define-public go-github-com-mufti1-interconv
   (let ((commit "d7c72925c6568d60d361757bb9f2d252dcca745c")
         (revision "28"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:46 2021
Received: from localhost ([127.0.0.1]:56163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxR-0004wp-OK
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:45 -0400
Received: from out2.migadu.com ([188.165.223.204]:11404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxH-0004v3-Pl
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:36 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286995;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=zrhQG0LX0tzL3D0WH5YK/JVKAQteB3/381q2tJxiCZ4=;
 b=az3oDNKfceGWzmpfsRenHN1xFrt9hfsiTx1da+KsCjpQQaE4u4iUuvjePjXWkVxGCsyji+
 4rBLyulXqbDQIib8je02P29wGxurTAd3kRAKzIlPgnR2B625wHpTpXMJhptNJmtixHeXuj
 AQXJV25ZlyyfWUhtzK0DWenu1AouUteijHfxtJo4FqzPwqhbBsJVffkmfXyLSoY63yslK1
 IrlUN2VzsLxeko9w0W3dDwJn+AAKi5HKUEAqFj0lMsx5PJUF4u8wuFVuEb+kYb5ACXS+e1
 M+ZRLni8aJ8O0UAEUrQQqZNlphWs0gUie78DvZzuUHF3e8iViboGWyFuBhegqw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 16/24] gnu: Add go-github-com-mufti1-interconv.
Date: Sat, 29 May 2021 07:15:30 -0400
Message-Id: <20210529111538.23666-16-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-mufti1-interconv): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0bd61749df..3360b7e51b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,31 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-mufti1-interconv
+  (let ((commit "d7c72925c6568d60d361757bb9f2d252dcca745c")
+        (revision "28"))
+    (package
+      (name "go-github-com-mufti1-interconv")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/mufti1/interconv")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "13f5pvr74afa28pbpmgvjzjx68vv5zmrwlvxp7hr5bl5625zlxmy"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/mufti1/interconv"
+         #:import-path "github.com/mufti1/interconv/package"))
+      (synopsis "Convert interface into any data type")
+      (description "Convert interface into any data type.")
+      (home-page "https://github.com/mufti1/interconv")
+      (license license:expat))))
+
 (define-public go-github-com-opentracing-opentracing-go
   (package
     (name "go-github-com-opentracing-opentracing-go")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:45 2021
Received: from localhost ([127.0.0.1]:56161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxR-0004wi-FG
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:45 -0400
Received: from out2.migadu.com ([188.165.223.204]:11396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxH-0004ux-1r
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:35 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286994;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=zzcFfG7WajN5Q7a6XW34LFxDxbtPqVabnn8FLRp2GY8=;
 b=SJopP4MEaj3IAc1PiIpviJnI1+ubitl0v8QmMt71tb/nvPU/mN/1dA07JpeAqS1X2TBng7
 8pjccSPGNV2hG0eP/6yTS6QYzruoMZjhoOeGjxNPypCm2mzOIllhYlWUNFh8oavzT9Pu5g
 tzHBaZli77t83jQz0+mHYkhx96w1P4T3cfeLbdC3mvuum4TWqPZzP+zuJlm303+ripQJ7u
 o1lraDCihyKYSnyFJPgQn4/AqcdTMgkNfL3A90CRolRPpZoN4KrLVH4x7L/7KPszZYYk0W
 NY/wS4H75Znfd74CtvzsZejotoRj6EqQQo10I/LSqm7m4VMbvClEeGEZ95CXuQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 15/24] gnu: Add go-github-com-opentracing-opentracing-go.
Date: Sat, 29 May 2021 07:15:29 -0400
Message-Id: <20210529111538.23666-15-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-opentracing-opentracing-go): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index c1d9610f95..0bd61749df 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-opentracing-opentracing-go
+  (package
+    (name "go-github-com-opentracing-opentracing-go")
+    (version "1.2.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/opentracing/opentracing-go")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "04rgdwl29kimp2wnm4dycnzp7941hvpj6wym85x23c6fclacm94h"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/opentracing/opentracing-go"))
+    (native-inputs
+     `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+    (home-page "https://github.com/opentracing/opentracing-go")
+    (synopsis "OpenTracing API for Go")
+    (description "opentracing-go is a Go platform API for OpenTracing.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-operatorfoundation-monolith-go
   (package
     (name "go-github-com-operatorfoundation-monolith-go")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:45 2021
Received: from localhost ([127.0.0.1]:56159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxR-0004wb-5C
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:45 -0400
Received: from out2.migadu.com ([188.165.223.204]:11389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxG-0004uq-AR
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:34 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286993;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=8AC2+yteb8FJMOVOVF3mQUXbVQwceofI1pzGjn289sY=;
 b=TH1BtzDkcIFnNRTKltxfUgoOibo12f8a0Pgu5uBDhX3TyXTW64ovxzVOAfCYyrVnZR0KXb
 LKEy9p5tgE02P2sePuDXwZx3f5nmHwMbjjiA+0jGMXYghxGI0GaSFAANTEQFQH5u5HiSCZ
 CsaZBSZAA68OKCOdydxoj15SUvxeYhtApx6MdI4rVRvmGZaSWY6BZIIkqvf947dJZjOP0u
 jpqf+GqttFzCgN9ayAyK4WWLu+MKnyYIKj8yVtVWCTwq3Vrandb+N+ghSTUYYbpdzXnXbX
 P+E6M/iv5jXxP4CZlsakZVRIncgk+HxCYNeD7ZFZuWJP/r2IDsCgftoCx/fiHw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 14/24] gnu: Add
 go-github-com-operatorfoundation-monolith-go.
Date: Sat, 29 May 2021 07:15:28 -0400
Message-Id: <20210529111538.23666-14-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-monolith-go): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 93295bd3c7..c1d9610f95 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,33 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-monolith-go
+  (package
+    (name "go-github-com-operatorfoundation-monolith-go")
+    (version "1.0.4")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/monolith-go")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "066bqlgw5h7a3kxswqlv734asb7nw2y6snsn09yqk0ixj23qw22s"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f ; ERROR: Generated bytes do not match correct answer.
+       #:unpack-path "github.com/OperatorFoundation/monolith-go"
+       #:import-path "github.com/OperatorFoundation/monolith-go/monolith"))
+    (propagated-inputs
+     `(("go-github-com-deckarep-golang-set"
+        ,go-github-com-deckarep-golang-set)))
+    (home-page "https://github.com/OperatorFoundation/monolith-go")
+    (synopsis "Go library for working with byte sequences")
+    (description "monolith-go is a Go library for working with byte sequences.")
+    (license license:expat)))
+
 (define-public go-github-com-deckarep-golang-set
   (package
     (name "go-github-com-deckarep-golang-set")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:45 2021
Received: from localhost ([127.0.0.1]:56157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxQ-0004wU-RR
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:45 -0400
Received: from out2.migadu.com ([188.165.223.204]:11383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxF-0004ud-IQ
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:33 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286993;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=2ci924E7i7fWgteuecqDN9XNtdfV1iog5TpORsDfyLw=;
 b=NNbF9TiddlYqrPXCVtfGwfWkzyFU6qeyd3B5oBCvZZ6e0ynhdh40khggDjQUT5RXJmJsDW
 ubclp9SrbUJL5CXg1e7mal4+XsRYqbrz66OwDKuxvJi3iLjdw4L52RnuR1V0JNKHl4OrTA
 v0xeWTfSYycyB5RPeKzlRe05jX0bVA2GYWqw74v/jeoBn5bmZ4qan4A3tsV2dGPKWK4H5T
 1z87X/yg4S5rKrAiXam2j1eYEeYKsfHXQ7WkkEUaFRC5Fsg0uAIldYe2VJL5cL9DN0K386
 BTn7pnmTuhjJoT12s2hAlKRPmcGN4R810YhG1J6CaRE/QwflVFXXp6TEnx6NQA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 13/24] gnu: Add go-github-com-deckarep-golang-set.
Date: Sat, 29 May 2021 07:15:27 -0400
Message-Id: <20210529111538.23666-13-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-deckarep-golang-set): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d7f1d90231..93295bd3c7 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,28 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-deckarep-golang-set
+  (package
+    (name "go-github-com-deckarep-golang-set")
+    (version "1.7.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/deckarep/golang-set")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0y64c0p6a7ww5jp6adm6fm97vsni86njw8wkwxfmciy466vhl0lf"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/deckarep/golang-set"))
+    (home-page "https://github.com/deckarep/golang-set")
+    (synopsis "Set type for Go")
+    (description "golang-set is the set collection for the Go language.")
+    (license license:expat)))
+
 (define-public go-github-com-blanu-dust
   (package
     (name "go-github-com-blanu-dust")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:44 2021
Received: from localhost ([127.0.0.1]:56155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxQ-0004wK-Ap
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:44 -0400
Received: from out2.migadu.com ([188.165.223.204]:11378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxE-0004uc-Qm
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:33 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286992;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=G1krNWcjg9U8N166gOxhaM/4hW+9hcN+jslLUJt1LD4=;
 b=pkchdSeXqRF9w4BM/lZn1C4oQ5jk9dNSDSrk2XFizoiAkpwTm0i21xfiG7V0xqn/WTp/aP
 +5/iz8iE7TUaSaUECMCUaNcDlXrU8e7qTqYA9jv/OSqoqUzadb6ZTR63WrDwmNf5/28H6d
 ZoAB6Zkkm6V9KlR/pfO+12Xfz7lV7J7xi1QmMXaYeHvfsLpn28/jp6pYOJ30rbFyXzsoDM
 UKdMHemTUjmOnskQSoRJJ4CWZiR4rSvUGTB+tQSdLD+cVAaXreapmMbwYl/E9y2nPSBRQ6
 JKGn/VLH3zqEd49DXK+P6+6DJEAgdC2Ao5EWl+gFxISBZnBSQQjJhTO7U2B5Iw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 12/24] gnu: Add go-github-com-blanu-dust.
Date: Sat, 29 May 2021 07:15:26 -0400
Message-Id: <20210529111538.23666-12-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-blanu-dust): New variable.
---
 gnu/packages/golang.scm | 122 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 122 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b30ea32a26..d7f1d90231 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,128 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-blanu-dust
+  (package
+    (name "go-github-com-blanu-dust")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/blanu/Dust")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1lya21w06ramq37af5hdiafbrv5k1csjm7k7m00v0bfxg3ni01bs"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/blanu/Dust"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               "github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               ;; Repository is missing test files directory.
+               ;;"github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/blanu/Dust/go/buf"
+               "github.com/blanu/Dust/go/dist"
+               "github.com/blanu/Dust/go/huffman"
+               "github.com/blanu/Dust/go/model1"
+               "github.com/blanu/Dust/go/prim1"
+               "github.com/blanu/Dust/go/proc"
+               "github.com/blanu/Dust/go/sillyHex"
+               "github.com/blanu/Dust/go/skein"
+               "github.com/blanu/Dust/go/v2/Dust2_proxy"
+               "github.com/blanu/Dust/go/v2/Dust2_tool"
+               "github.com/blanu/Dust/go/v2/crypting"
+               "github.com/blanu/Dust/go/v2/interface"
+               "github.com/blanu/Dust/go/v2/shaping"))
+             #t)))))
+    (propagated-inputs
+     `(("go-github-com-operatorfoundation-ed25519"
+        ,go-github-com-operatorfoundation-ed25519)
+       ("go-github-com-op-go-logging" ,go-github-com-op-go-logging)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)))
+    (home-page "github.com/blanu/Dust")
+    (synopsis "Censorship-Resistant Internet Transport Protocol")
+    (description "Dust is an Internet protocol designed to resist a number of
+attacks currently in active use to censor Internet communication.  While
+adherence to the theoretical maxims of cryptographic security are observed where
+possible, the focus of Dust is on real solutions to real attacks.")
+    (license
+     (list
+      ;; Skein.
+      license:bsd-2
+      ;; Others.
+      license:expat))))
+
 (define-public go-github-com-op-go-logging
   (package
     (name "go-github-com-op-go-logging")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:44 2021
Received: from localhost ([127.0.0.1]:56153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxP-0004wC-VX
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:44 -0400
Received: from out2.migadu.com ([188.165.223.204]:11372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxE-0004uV-1u
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:32 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286991;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ZpiX7o1HlqE0OrqEZ21OzSAwwH5XxYceiHs/jp5sJHw=;
 b=Rq9mT/yQTqPzBsFpfKkQ9JYcycElae7wqW3TVbwqjB3AUvANPHt/I9G+Iz3gLfuFK169zK
 bed9iC6hp+M1uaO6ezkgKdpdbQmJZU/aZye19saeG21KGB4o78u30ey9V/rALuD728d/CJ
 sm32Zgs7w1Ijfns/h7unKoAovLE3LmmJnamu8ato/AVnfayJSEdqceyq0oZvyEm5rYo7Vi
 HmXBeyQo3nh3+zffNVzEVaCaT4xyH1GBrB7kV72m6ORP9DdI96OOk+WHfz31PIjRmOqr4W
 WIJuzl7TeaHuJpCuinOb5Diwn0OvwQu5xF0HCRweE+H9nISDF6Ol9Mhw0NxHGw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 11/24] gnu: Add go-github-com-op-go-logging.
Date: Sat, 29 May 2021 07:15:25 -0400
Message-Id: <20210529111538.23666-11-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-op-go-logging): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 1f44f36665..b30ea32a26 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-op-go-logging
+  (package
+    (name "go-github-com-op-go-logging")
+    (version "1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/op/go-logging")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "01a6lkpj5p82gplddh55az194s9y3014p4j8x4zc8yv886z9c8gn"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f ; ERROR: incorrect callpath: String.rec...a.b.c.Info.
+       #:import-path "github.com/op/go-logging"))
+    (home-page "https://github.com/op/go-logging")
+    (synopsis "Golang logging library")
+    (description "go-logging is a logging library for Go.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-operatorfoundation-shapeshifter-ipc
   (package
     (name "go-github-com-operatorfoundation-shapeshifter-ipc")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:44 2021
Received: from localhost ([127.0.0.1]:56151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxP-0004w3-JP
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:43 -0400
Received: from out2.migadu.com ([188.165.223.204]:11361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxC-0004uJ-Uy
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:31 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286990;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ffuvpIGPWoS6ERsRDWyiSGSHnaauUkirWfdT/cfTZes=;
 b=mCwm7KDOaLhM0V0onV7BUtnvwGdSdkz80b3m+lMhi/qEDRXPkYnvvOwLN/KyOFW59ESQFF
 7wxILIdkofZJqqVx0//aUN5rL61HTlWOqBDU3eEwNSQg3M04U18A/p4Ct2O3Rc9PkTocaj
 ifWi+IFuHCC0s4hw+Sum1bppdEvck5du6s1TRpYvSazAtEI2XX/GkWoCuqAGC1ANoxey9S
 nnCuXUNT+1zMoDaQXEJ+xQOwyn5zk3vIq6GINXBAGJm108mJxcvjUsx8Ak/5rJg3CMr9a3
 L2cH3mWkmi4jGpSvyKx53a94jHnVlp/5aSWdALkGBwmewiICevjmAJta07bfxg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 10/24] gnu: Add
 go-github-com-operatorfoundation-shapeshifter-ipc.
Date: Sat, 29 May 2021 07:15:24 -0400
Message-Id: <20210529111538.23666-10-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-shapeshifter-ipc): New variable.
---
 gnu/packages/golang.scm | 77 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b145a9c09b..1f44f36665 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,83 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-shapeshifter-ipc
+  (package
+    (name "go-github-com-operatorfoundation-shapeshifter-ipc")
+    (version "2.0.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/shapeshifter-ipc")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1q1fcnllg462nfca16s5mr0n2jh92x3hj946qnaqc682phjz04lg"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:tests? #f                      ; ERROR: undefined: Args.
+       #:unpack-path "github.com/OperatorFoundation/shapeshifter-ipc"
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/shapeshifter-ipc/v2"
+               "github.com/OperatorFoundation/shapeshifter-ipc/v3"))
+             #t)))))
+    (home-page "https://github.com/OperatorFoundation/shapeshifter-ipc")
+    (synopsis "Go implementation of IPC protocol")
+    (description "Shapeshifter IPC is a library for Go implementing the IPC
+protocol from the Pluggable Transports 2.0 specification.")
+    (license license:expat)))
+
 (define-public go-github-com-operatorfoundation-obfs4
   (package
     (name "go-github-com-operatorfoundation-obfs4")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:43 2021
Received: from localhost ([127.0.0.1]:56149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxP-0004vw-1U
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:43 -0400
Received: from out2.migadu.com ([188.165.223.204]:11350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxC-0004u7-6C
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:30 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286989;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=geiwSlrAbN4Bix0QOBNNzDT0zoKr2tH/sWtuU4pFm5s=;
 b=EojJBGrkHHPQ0uU4uvNGxbNZa/YsL+VTyVYDCZRhbXGN316nnM74q+678/IMQvDHkHM6zS
 ezVG8CiCGfpxTNcKZI8HNtiInrrV7EcQAr9djfVIKetys5QCeEQf0hhBFXnF4rmqgx2DuS
 Mgz4bnRCz0y622XmzUHC9bFSiR2D1bR6pJOEqGkE49WnD96ZYBAS4BzVpvxRWILw0x/YKU
 Y2DzvvyPHOCRlwhdyTk/ukrZr8LOf370NdHKcauCQFC8IDLUHQb0VWRVQHgeLel+FR6IPW
 qZCKkg94m0EBVr8WK8NsZLl5F2FbB3sVM8LK2DkgweSHV0OF3v4j8LOfGlcpIw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 09/24] gnu: Add go-github-com-operatorfoundation-obfs4.
Date: Sat, 29 May 2021 07:15:23 -0400
Message-Id: <20210529111538.23666-9-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-operatorfoundation-obfs4): New variable.
---
 gnu/packages/golang.scm | 151 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 151 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 03ad22d385..b145a9c09b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,157 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-operatorfoundation-obfs4
+  (package
+    (name "go-github-com-operatorfoundation-obfs4")
+    (version "1.0.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/OperatorFoundation/obfs4")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0s730xagdxs66wfh65hb5v9a5h01q5ncic3pyij0a043scagizgr"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:unpack-path "github.com/OperatorFoundation/obfs4"
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda _
+             (substitute* (find-files "." "\\.go$")
+               ;; Drop '.git' suffix in import path of goptlib.
+               (("goptlib\\.git") "goptlib"))
+             #t))
+         (replace 'build
+           (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'build)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:build-flags build-flags
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               "github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               "github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               "github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t))
+         (replace 'check
+           (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'check)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:tests? tests?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               ;; ERROR: Println arg dialFn is a func value, not called.
+               ;;"github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               ;; ERROR: Infof format %s has arg ln of wrong type *net.UDPConn.
+               ;;"github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               ;; ERROR: Infof format %s has arg ln of wrong type *net.UDPConn
+               ;;"github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               ;; ERROR: Println call has possible formatting directive %s.
+               ;;"github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t))
+         (replace 'install
+           (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+             (for-each
+              (lambda (directory)
+                ((assoc-ref %standard-phases 'install)
+                 #:source source
+                 #:system system
+                 #:outputs outputs
+                 #:search-paths search-paths
+                 #:install-source? install-source?
+                 #:unpack-path unpack-path
+                 #:inputs inputs
+                 #:import-path directory))
+              (list
+               "github.com/OperatorFoundation/obfs4/common/csrand"
+               "github.com/OperatorFoundation/obfs4/common/drbg"
+               "github.com/OperatorFoundation/obfs4/common/log"
+               "github.com/OperatorFoundation/obfs4/common/ntor"
+               "github.com/OperatorFoundation/obfs4/common/probdist"
+               "github.com/OperatorFoundation/obfs4/common/pt_extras"
+               "github.com/OperatorFoundation/obfs4/common/replayfilter"
+               "github.com/OperatorFoundation/obfs4/common/socks5"
+               "github.com/OperatorFoundation/obfs4/common/termmon"
+               "github.com/OperatorFoundation/obfs4/common/uniformdh"
+               "github.com/OperatorFoundation/obfs4/modes/pt_socks5"
+               "github.com/OperatorFoundation/obfs4/modes/stun_udp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_tcp"
+               "github.com/OperatorFoundation/obfs4/modes/transparent_udp"
+               "github.com/OperatorFoundation/obfs4/obfs4proxy"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_http"
+               "github.com/OperatorFoundation/obfs4/proxy_dialers/proxy_socks4"
+               "github.com/OperatorFoundation/obfs4/transports"))
+             #t)))))
+    (propagated-inputs
+     `(("go-github-com-dchest-siphash" ,go-github-com-dchest-siphash)
+       ("go-github-com-operatorfoundation-ed25519"
+        ,go-github-com-operatorfoundation-ed25519)
+       ("go-github-com-willscott-goturn" ,go-github-com-willscott-goturn)
+       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-torproject-org-pluggable-transports-goptlib"
+        ,go-torproject-org-pluggable-transports-goptlib)))
+    (home-page "https://github.com/OperatorFoundation/obfs4")
+    (synopsis "The Obfourscator")
+    (description "Obfs4 is a look-like nothing obfuscation protocol that
+incorporates ideas and concepts from Philipp Winter's ScrambleSuit protocol.
+The notable differences between ScrambleSuit and obfs4 are:
+@itemize
+@The handshake always does a full key exchange (no such thing as a Session
+Ticket Handshake).
+@The handshake uses the Tor Project's ntor handshake with public keys obfuscated
+via the Elligator 2 mapping.
+@The link layer encryption uses NaCl secret boxes (Poly1305/XSalsa20).
+@end itemize")
+    (license license:bsd-2)))
+
 (define-public go-github-com-willscott-goturn
   (let ((commit "19f41278d0c9251d64e0ee29f37d51e87a24a97b")
         (revision "68"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:43 2021
Received: from localhost ([127.0.0.1]:56147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxO-0004vp-Nn
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:43 -0400
Received: from out2.migadu.com ([188.165.223.204]:11343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxB-0004tt-FT
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:29 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286989;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=XAB8eD8t3VBnPZ+zkTaQARnvOyW6laOtdsrrqd+aUNo=;
 b=I942lAC8iuCC0VkYy7OyCexbp9pFTe/pPrlJLhByAieMV9pryadjfW67y3c6fW3U1IxaEA
 P63Att3WPqGBbBRaxzV7N86G3jaZ/xXxMDdpBHYPVt/QLJ/a8x+1MyPZutJCBITUHeo3d/
 7RfWZtmHLPH6TMpM3GTfFUI6zOAM62BvMhAIP3f+bH13xMuUvJQr4a+QLg66g8JRfDnlCN
 NzU7zp2Gf/G++Tv4dFDaKw4W6hWLEeaNR2jPEbpULfzuF+tvntv77ZUBvc4LpUYszk9INK
 1bIdE9afonG+S3humyNeOFX66apLs8iPI2lXLI9ch7P9KrcWzkKv+l8XgkSmew==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 08/24] gnu: Add go-github-com-willscott-goturn.
Date: Sat, 29 May 2021 07:15:22 -0400
Message-Id: <20210529111538.23666-8-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-willscott-goturn): New variable.
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3caaf1816c..03ad22d385 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,31 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-willscott-goturn
+  (let ((commit "19f41278d0c9251d64e0ee29f37d51e87a24a97b")
+        (revision "68"))
+    (package
+      (name "go-github-com-willscott-goturn")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/willscott/goturn")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0zwvhfznr84ayzknn9flh65nvqjsixisgy9fkhz2jlahl1ldqcq7"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/willscott/goturn"))
+      (synopsis "A golang TURN dialer")
+      (description "GoTURN is a library providing a Go interface compatible with
+the golang proxy package which connects through a TURN relay.")
+      (home-page "https://github.com/willscott/goturn")
+      (license license:bsd-3))))
+
 (define-public go-torproject-org-pluggable-transports-goptlib
   (package
     (name "go-torproject-org-pluggable-transports-goptlib")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:42 2021
Received: from localhost ([127.0.0.1]:56145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxO-0004vh-Du
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:42 -0400
Received: from out2.migadu.com ([188.165.223.204]:11337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwxA-0004tc-No
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:29 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286988;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=q1Arl7q5w9/q0mEwdHV0sbWNYjT6kDa1p3FT42/N5yA=;
 b=BJLYcWFMdH9mPdAbgCZyuAmE3sEf9IviPyfH4eEThZVFJ1Px+iXklk3wsZ3WStYbmVFkD7
 Z4ASNCmzxCIpSoc7wfqapfwQWwlpQNIV4vfL3rD9TlPrtRnIrdcqhwCMjVR6En2u/u/NUJ
 3hpLomnVsEsSj87KWa6vYgAsZhBcqrEXVTw6MLnoin3bbkTGcfxdMeOt9lU7GUwjBwMMY6
 OL1PNQON7qyoDw841WhkSWHceChRX3hN6/YDOTGqET/PHAUyk4ZcqPhBx2+tlXov6ENc7S
 HwdwK/lcTXlIdXPOUT3ipCtDEBrXuU1ICLwETRBULdUG8IDjioK8jfOGEhnSTA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 07/24] gnu: Add
 go-torproject-org-pluggable-transports-goptlib.
Date: Sat, 29 May 2021 07:15:21 -0400
Message-Id: <20210529111538.23666-7-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-torproject-org-pluggable-transports-goptlib): New variable.
---
 gnu/packages/golang.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 773f844bcd..3caaf1816c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,28 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-torproject-org-pluggable-transports-goptlib
+  (package
+    (name "go-torproject-org-pluggable-transports-goptlib")
+    (version "1.1.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://git.torproject.org/pluggable-transports/goptlib")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1lh938194hvkf8pqgnxwf6hvjv9rv0j3kasi07r2ckrj8sxzk4jc"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "git.torproject.org/pluggable-transports/goptlib"))
+    (home-page "https://gitweb.torproject.org/pluggable-transports/goptlib")
+    (synopsis "Library for writing Tor Pluggable-Transports")
+    (description "goptlib is a library for writing Tor pluggable transports in Go.")
+    (license license:cc0)))
+
 (define-public go-github-com-sevlyar-go-daemon
   (package
     (name "go-github-com-sevlyar-go-daemon")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:42 2021
Received: from localhost ([127.0.0.1]:56143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxO-0004vf-2Q
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:42 -0400
Received: from out2.migadu.com ([188.165.223.204]:11329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwx9-0004tT-Tj
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:28 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286987;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TyDVl6UpG8p0BZDfAnM9PYJ+HGXgJntGdkLsxu8cUtA=;
 b=eU6uo2r41aTMRQmwyJcd4TKYdhgrMEqMqDML4IFQaTt4V1HoAbRGjhFoFvwIHAS8zxGrOZ
 7EfhoQqsQW9W8SzT9P3jDTf0PRXxrX1u5H2cB27XGHXgIKGhm6oi8ZUx2qLdwNTB8eQPkm
 LlrZQe8JV0mDNY9am+0pmz4PYBvaeHIYHCZj0jdHjdu1scfq0ChRiAlhxR90oxY273d+RV
 9QYn1omQ5thdFd9Q4pQUq58GIh/PwhNvomhCCcobml6hbBDGw240Sp5Nyt4kGSmhTN97EB
 CIBaQhIsc3bhU1QML6b1IdPkwvEdckkmqELkEECnJHulZ/7D/tUIIt1OMxgYBA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 06/24] gnu: Add go-github-com-sevlyar-go-daemon.
Date: Sat, 29 May 2021 07:15:20 -0400
Message-Id: <20210529111538.23666-6-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-sevlyar-go-daemon): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3cb2d0d9d4..773f844bcd 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-sevlyar-go-daemon
+  (package
+    (name "go-github-com-sevlyar-go-daemon")
+    (version "0.1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/sevlyar/go-daemon")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1y3gnxaifykcjcbzx91lz9bc93b95w3xj4rjxjbii26pm3j7gqyk"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/sevlyar/go-daemon"))
+    (propagated-inputs
+     `(("go-golang-org-x-sys" ,go-golang-org-x-sys)))
+    (home-page "https://github.com/sevlyar/go-daemon")
+    (synopsis "Library for writing system daemons")
+    (description "go-daemon is a library for writing system daemons in golang.")
+    (license license:expat)))
+
 (define-public go-github-com-keybase-go-ps
   (let ((commit "91aafc93ba19d1988cff338c1929d35b6c6f5b50")
         (revision "45"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:30 2021
Received: from localhost ([127.0.0.1]:56115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxB-0004tv-CZ
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:29 -0400
Received: from out2.migadu.com ([188.165.223.204]:11321)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwx9-0004tL-22
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:27 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286986;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=seykyRInem46S9iTaAzhQur0vdMGr/CFsX0QAWeY564=;
 b=u4x885DXSczBV7B+uSS7t1my4WV6AutgYeimwuqhbdPm2uSjEmSkOKoreimt+S9l0wVKJ7
 /XhNUrmGUpLH8fVB+YR+kVwzBk9lGbrAXIpRFYt9sy1PTe3rmEDhXNJmgcUwDHp1oI7gIb
 JSzsyo1xmf1xiNdxfknWZt25hDv8NOlYzMh3lqUjuxEnfyhRMoGWnZEaYGyUdiqHjx+10F
 pRxQLVxZQkccrwbxsqlj8um0NjuC2EOZMQiiBXNHf9FSHhmYVJPo8ol3KE9b4R95cSJ7jt
 kjMiAAukNmGUIonrtV7Fb2bUSOlmHWAyQ337DiUSBSS9UYN65vNypw7z48NOCA==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 05/24] gnu: Add go-github-com-keybase-go-ps.
Date: Sat, 29 May 2021 07:15:19 -0400
Message-Id: <20210529111538.23666-5-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-keybase-go-ps): New variable.
---
 gnu/packages/golang.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5e5791b5d4..3cb2d0d9d4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,43 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-keybase-go-ps
+  (let ((commit "91aafc93ba19d1988cff338c1929d35b6c6f5b50")
+        (revision "45"))
+    (package
+      (name "go-github-com-keybase-go-ps")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/keybase/go-ps")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1la7m9pd1rrij727g34k9d2iapqwrkwdkqwpkbsbcq8ig0fg634h"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/keybase/go-ps"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'fix-tests
+             (lambda* (#:key inputs #:allow-other-keys)
+               (substitute* (find-files "." ".*test\\.go")
+                 (("/bin/sleep")
+                  (string-append (assoc-ref inputs "coreutils")
+                                 "/bin/sleep")))
+               #t)))))
+      (native-inputs
+       `(("coreutils" ,coreutils)
+         ("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+      (synopsis "Process List Library")
+      (description "go-ps is a library for Go that implements OS-specific APIs
+to list and manipulate processes in a platform-safe way.")
+      (home-page "https://github.com/keybase/go-ps")
+      (license license:expat))))
+
 (define-public go-github-com-apparentlymart-go-openvpn-mgmt
   (let ((commit "4d2ce95ae600ee04eeb020ee0997aabb82752210")
         (revision "14"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:29 2021
Received: from localhost ([127.0.0.1]:56113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxA-0004tl-TP
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:29 -0400
Received: from out2.migadu.com ([188.165.223.204]:11314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwx8-0004tF-9t
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:26 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286985;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=nMuvCjfooWrztRAnGjyW5ZOkkvMXgrMPm3vp5tvyyVU=;
 b=kYromDNorji5J5B/y0Hga4VFQSb/+LxMAPRyMriF3h/8hhArAopx3Z1uzXZ40MTUyIT+qy
 QIzrq0zMTvWcwT3VNt/5fUCakRJWkVJso2HsV2q5+RItzSN0ugeJDrFEUZVlWvWeCKFUHS
 vC2oOWT8gW0nqlL6hiWXPOVl5biRR85n6UdGq4eXP9e2AMU6Mu/B0FkDHEp3BL0V4jj20m
 fmtJBhzG5qHYLCjIXNx1wwyovooi82Uc609kWnSvOQ7kB66ab+ssuwYAPFkc4klRlJvBrG
 EydJ25RpjS5ciGrKiZgJdLdy+Y0aWOIKOGkS9dgeYyCIPmEPHQ1Lx4hy2lnAdw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 04/24] gnu: Add
 go-github-com-apparentlymart-go-openvpn-mgmt.
Date: Sat, 29 May 2021 07:15:18 -0400
Message-Id: <20210529111538.23666-4-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-apparentlymart-go-openvpn-mgmt): New variable.
---
 gnu/packages/golang.scm | 79 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 79 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 982cee390e..5e5791b5d4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,85 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-apparentlymart-go-openvpn-mgmt
+  (let ((commit "4d2ce95ae600ee04eeb020ee0997aabb82752210")
+        (revision "14"))
+    (package
+      (name "go-github-com-apparentlymart-go-openvpn-mgmt")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/apparentlymart/go-openvpn-mgmt")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1dn431jnswg5ns1ah10wswnw6wiv48zq21zr5xp1178l4waswj7k"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:unpack-path "github.com/apparentlymart/go-openvpn-mgmt"
+         #:phases
+         (modify-phases %standard-phases
+           (replace 'build
+             (lambda* (#:key source system outputs search-paths build-flags unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'build)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:build-flags build-flags
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t))
+           (replace 'check
+             (lambda* (#:key source system outputs search-paths tests? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'check)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:tests? tests?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t))
+           (replace 'install
+             (lambda* (#:key source system outputs search-paths install-source? unpack-path inputs #:allow-other-keys)
+               (for-each
+                (lambda (directory)
+                  ((assoc-ref %standard-phases 'install)
+                   #:source source
+                   #:system system
+                   #:outputs outputs
+                   #:search-paths search-paths
+                   #:install-source? install-source?
+                   #:unpack-path unpack-path
+                   #:inputs inputs
+                   #:import-path directory))
+                (list
+                 "github.com/apparentlymart/go-openvpn-mgmt/demux"
+                 "github.com/apparentlymart/go-openvpn-mgmt/openvpn"))
+               #t)))))
+      (synopsis "Go client library for OpenVPN's management protocol")
+      (description "This package implements a client for the OpenVPN management
+interface.  It can be used to monitor and control an OpenVPN process running with
+its management port enabled.")
+      (home-page "https://github.com/apparentlymart/go-openvpn-mgmt")
+      (license license:expat))))
+
 (define-public go-github-com-emersion-go-autostart
   (let ((commit "00ed301c8e9ae79e82878c6361c709983ac5dd2c")
         (revision "39"))
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:28 2021
Received: from localhost ([127.0.0.1]:56109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxA-0004te-Ks
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:28 -0400
Received: from out2.migadu.com ([188.165.223.204]:11305)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwx7-0004t2-J2
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:25 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286985;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=MlRds4I6G8OpDhx+Qo/cClJ1fLzcAuukYOWJFQleLIQ=;
 b=RWEJCoFzpgZw+cb3xMTh24z7ju6/Wsdd9SWQXsFOqybHKvXa1DbjY+YUATfP6iqkoMPJtU
 HTmft0SuRoeh5JfwpKDATQPe3nHmr2nR9a+DSVyhnCThdYutPihDPQ9lz9ciudFqor3t/H
 aG6OxzC5l8jJzrq3ZHuHNjkFLOz6H4XPTLxroMerr/jBtgm05+1woixnXFoO87f5Wskylh
 f9hUpFk07bDxkjpVemd8Io7TwkAbgDfIOpd/zQGFPjXms+U+ZRAMG3NL8ecyuKpBQAB/0R
 FFItCfr221fJ8xgn/ERl3laaIXnBYQ9IyYyz62WqX63VtypXlbCB8MT9SF8Weg==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 03/24] gnu: Add go-github-com-emersion-go-autostart.
Date: Sat, 29 May 2021 07:15:17 -0400
Message-Id: <20210529111538.23666-3-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-autostart): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7412153e76..982cee390e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,30 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-emersion-go-autostart
+  (let ((commit "00ed301c8e9ae79e82878c6361c709983ac5dd2c")
+        (revision "39"))
+    (package
+      (name "go-github-com-emersion-go-autostart")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/emersion/go-autostart")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0cqqvbzn32xv5lknfygrx01rx2sc6pi833k7008nlk9lsfgry06v"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/emersion/go-autostart"))
+      (synopsis "Go library to run a command after login")
+      (description "Go library to run a command after login.")
+      (home-page "https://github.com/emersion/go-autostart")
+      (license license:expat))))
+
 (define-public go-github-com-dchest-siphash
   (package
     (name "go-github-com-dchest-siphash")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:28 2021
Received: from localhost ([127.0.0.1]:56107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwxA-0004tb-Ce
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:28 -0400
Received: from out2.migadu.com ([188.165.223.204]:11297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwx6-0004sp-PN
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:25 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286984;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Oy08YRKfoIgSnwYxhyV476c2P5LK7suO7167WQkJ68E=;
 b=BaiN2VE8l8AdkX3WAllA2UAVE9oeeostNgVJh0njhKN9rkhslRLps+JprBnNpHl8v1wxTg
 QCEwuQadJAfEdynvv7Orc22r2iMPvLvsvnXB6gmRK2OzVKV80MJYqGo5oPSiyzKoBiVzFV
 6ClV/aVbh9naXwhaBn92XxvwA/UrupvHRvzjto7TiLM/HDtxgGMopyPMqw+Pw5b0R79MIF
 6UxiPHOoKRd6/gFV4D2u/xiAgpe9EO9S/RGaTkFcCsQKwDTJyrT8roQQHwOON+Wpnh22rg
 QrEJGXLFLGf9K8TJcXc/xGCxcvt8S5aqihhSlOWOypGy4R7IpAiMVYIO3weidQ==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 02/24] gnu: Add go-github-com-dchest-siphash.
Date: Sat, 29 May 2021 07:15:16 -0400
Message-Id: <20210529111538.23666-2-rg@HIDDEN>
In-Reply-To: <20210529111538.23666-1-rg@HIDDEN>
References: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-dchest-siphash): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 7aac8ec4a8..7412153e76 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-dchest-siphash
+  (package
+    (name "go-github-com-dchest-siphash")
+    (version "1.2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/dchest/siphash")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "08s076y7vmjqnq7jz0762hkm896r6r31v8b31a3gy0n8rfa01k8k"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/dchest/siphash"))
+    (home-page "https://github.com/dchest/siphash")
+    (synopsis "Go library for pseudorandom functions")
+    (description "SipHash is a family of pseudorandom functions (PRFs) optimized
+for speed on short messages.")
+    (license license:cc0)))
+
 (define-public go-github-com-rakyll-statik
   (package
     (name "go-github-com-rakyll-statik")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:16:25 2021
Received: from localhost ([127.0.0.1]:56097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwx7-0004sx-2o
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:25 -0400
Received: from out2.migadu.com ([188.165.223.204]:11290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwx6-0004so-19
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:16:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286983;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=xGV1yAfNTMCMIhDVzf/wpuBUvvTyHflSm0hPP4eFz0Q=;
 b=LYd92E7vZdReX5Z6/bKrtKPjAoS1DrbYCHsmLg3sJLaFdQkupvoNy5NGL6Crra0h6NWPSH
 aiVrdTMHQq4IAio/k3wgA0i+dQI43iJBCEzHZJt2h7lWVCUCSn4mU2fHXIE7k6cKsSqdQN
 CPL2XmQMjo+P0EK50yqOHI5DxrgUpyhCLeEVcMCIYJq9C+SR+dokSL3M/mx0IKGJ1qDQqQ
 FF8UeRMcyDgUuB1LAJUnvP5C5XOjT6yHByBIJejydQ2UBpQPVDAMjuMh7tB27ZvAGVF436
 Xhorh5ZdYfiE6p87KJYINo0wbhcrqAEOY//glzD7eqtyySrPy42Y+FarSD8vnw==
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Subject: [PATCH v1 01/24] gnu: Add go-github-com-rakyll-statik.
Date: Sat, 29 May 2021 07:15:15 -0400
Message-Id: <20210529111538.23666-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: Raghav Gururajan <rg@HIDDEN>, jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-github-com-rakyll-statik): New variable.

Co-authored-by: jgart <jgart@HIDDEN>
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 8c3c81ceda..7aac8ec4a8 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -67,6 +67,29 @@
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
+(define-public go-github-com-rakyll-statik
+  (package
+    (name "go-github-com-rakyll-statik")
+    (version "0.1.7")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/rakyll/statik")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0y0kbzma55vmyqhyrw9ssgvxn6nw7d0zg72a7nz8vp1zly4hs6va"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "github.com/rakyll/statik"))
+    (home-page "https://github.com/rakyll/statik/")
+    (synopsis "Embed files into a Go executable")
+    (description "Statik allows you to embed a directory of static files into
+your Go binary to be later served from an http.")
+    (license license:asl2.0)))
+
 ;; According to https://golang.org/doc/install/gccgo, gccgo-4.8.2 includes a
 ;; complete go-1.1.2 implementation, gccgo-4.9 includes a complete go-1.2
 ;; implementation, and gccgo-5 a complete implementation of go-1.4.  Ultimately
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at 48729 <at> debbugs.gnu.org:


Received: (at 48729) by debbugs.gnu.org; 29 May 2021 11:14:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 07:14:34 2021
Received: from localhost ([127.0.0.1]:56088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwvK-0004pK-OP
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 07:14:34 -0400
Received: from out2.migadu.com ([188.165.223.204]:10926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmwvH-0004p9-5u
 for 48729 <at> debbugs.gnu.org; Sat, 29 May 2021 07:14:32 -0400
To: 48729 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622286869;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=hBukfrzwlguf2j6+PEEeK95xjWnFyTGMvoq3700f5Pw=;
 b=Aq/p2vyM1fh3uOoa4bXFWajVMei/m8KrsA/+BsakNIiq2Pp5iyt0pAMeL+A4buk79opXSf
 L1hjB+m+Jd3Ri3k8Q29C2n6zw1cnJW8Ffg6NoEZlSPY6zFQXcPqM4IU7CH9wAp2ecLTK1n
 9Jm4xyPjMMozTzV3VV/P7t/p+jJO4yzUyNJaUAMVf/8eGFyWmLCOEWO8+Zz4RUFwrAx8s6
 cgkIeRGyEnScFUi3a1RFtld6I9FQv0HXVKzA6pw4V4joQQwMrTaTjzo7EeaJrybjABQluK
 yjgXRKuCgTu9hrw+SnYyUDD8Lb8IApSa9Svm6q9mYIffYQOBnKgf5Wp258jgVA==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: [PATCH v1 00/24]: Bitmask VPN
Message-ID: <0b14efc9-d266-a810-b7eb-ce6d71b85d0d@HIDDEN>
Date: Sat, 29 May 2021 07:14:26 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="r7M3UVk5jhcOtArnWjJltXik1a44RLMfp"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48729
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--r7M3UVk5jhcOtArnWjJltXik1a44RLMfp
Content-Type: multipart/mixed; boundary="ZhBBxA8It5BeGCpHaaHJnQdJXf4h8aQFm";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: 48729 <at> debbugs.gnu.org
Cc: jgart@HIDDEN
Message-ID: <0b14efc9-d266-a810-b7eb-ce6d71b85d0d@HIDDEN>
Subject: [PATCH v1 00/24]: Bitmask VPN

--ZhBBxA8It5BeGCpHaaHJnQdJXf4h8aQFm
Content-Type: multipart/mixed;
 boundary="------------26F08F6A51D16BCD2F8A7988"
Content-Language: en-CA

This is a multi-part message in MIME format.
--------------26F08F6A51D16BCD2F8A7988
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hello Guix!

This v1 patch-series is *not* complete.

It has following issues:

[1] Last patch has to be finished.
[2] Failing tests has to be re-visited.
[3] Trailing `#t` in phases has to be removed.
[4] Synopsis and Description requires revision.
[5] Some lines are too long.

Regards,
RG.

--------------26F08F6A51D16BCD2F8A7988
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsCG=
wMF
CwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCX28v0AIZA=
QAK
CRBfWBZkf4vlUQf2AQD63gsdJzk0w6Gy0AzpJtMa63mbVRAh4xfnxsRNu6SbGQD/UDytGjwnQ=
4nK
YsGdoCcA7LM64EkknDvI3ZmlqG7Xuw/NPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DMROf
-----END PGP PUBLIC KEY BLOCK-----

--------------26F08F6A51D16BCD2F8A7988--

--ZhBBxA8It5BeGCpHaaHJnQdJXf4h8aQFm--

--r7M3UVk5jhcOtArnWjJltXik1a44RLMfp
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYLIiEgUDAAAAAAAKCRBfWBZkf4vlUVrC
AP9J8OyyBDeUUgu1RTctdwYTfp44U3lDs3iQFtef3iI00AEA2PeOwog4Jr4no0rNoD6XEtF4zKoJ
yv7R0kLjx29fZwY=
=C7Px
-----END PGP SIGNATURE-----

--r7M3UVk5jhcOtArnWjJltXik1a44RLMfp--




Information forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 May 2021 10:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 29 06:57:35 2021
Received: from localhost ([127.0.0.1]:56063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmwet-0004Ow-Gr
	for submit <at> debbugs.gnu.org; Sat, 29 May 2021 06:57:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:60370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lmweq-0004On-AF
 for submit <at> debbugs.gnu.org; Sat, 29 May 2021 06:57:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47588)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rg@HIDDEN>)
 id 1lmweq-0003sK-12
 for guix-patches@HIDDEN; Sat, 29 May 2021 06:57:32 -0400
Received: from out0.migadu.com ([2001:41d0:2:267::]:60654)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rg@HIDDEN>)
 id 1lmwem-0004qa-3J
 for guix-patches@HIDDEN; Sat, 29 May 2021 06:57:31 -0400
To: guix-patches@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1622285841;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=mnfTT9nXaxpYtVN0WfublFMYAmU4ES5y6FdwPQU4FBQ=;
 b=qUjoEvGGKEorxwNSfeFaKHabmYs06upx4dYKd0rbZhpsbYnL7MEGx3j9uvQJVAowRLfmRm
 Kj1CHZzqTf28N9adRGfNKrHU46CqlZ3O5ZY+IfeUCbb19rRmqKaATor6IpuwbSL6uhPtEw
 vZVEufijgP+ffEPoWkEphuIEYlWepMuyMsf5Q2gn874ULa6MacAjcqz05QjFiRo3LZt/+9
 KejCqSoftJs7VjLjxQwtpEZjzcjtX6GjQJeLihkwiTcSxTeohmaipFsvwgYeXF4hOyMqzd
 m0M8nAGxJi8EDNOUrlCyOC6wZ0+xFFSgSIJ9C2ShdoNjaoWEzerARbmNK3sspg==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Bitmask VPN
Message-ID: <574ccbc7-599c-082b-51ca-17e625d4575f@HIDDEN>
Date: Sat, 29 May 2021 06:57:19 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="6L1LpZaU9VwExq7MFImuC1TcWVKlWDgZQ"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
Received-SPF: pass client-ip=2001:41d0:2:267::;
 envelope-from=rg@HIDDEN; helo=out0.migadu.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: jgart@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--6L1LpZaU9VwExq7MFImuC1TcWVKlWDgZQ
Content-Type: multipart/mixed; boundary="BaRa4Jyqp6YOqbiQ1kSP3QIqQc87PvByt";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: guix-patches@HIDDEN
Cc: jgart@HIDDEN
Message-ID: <574ccbc7-599c-082b-51ca-17e625d4575f@HIDDEN>
Subject: Bitmask VPN

--BaRa4Jyqp6YOqbiQ1kSP3QIqQc87PvByt
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-CA
Content-Transfer-Encoding: quoted-printable

Hello Guix!

I am opening this thread for patch-series for packaging Bitmask VPN and=20
its dependencies.

Jorge (jgart) and I, are working on this.

Regards,
RG.


--BaRa4Jyqp6YOqbiQ1kSP3QIqQc87PvByt--

--6L1LpZaU9VwExq7MFImuC1TcWVKlWDgZQ
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYLIeDwUDAAAAAAAKCRBfWBZkf4vlUWsW
AP0bQGkxxvoqtM/Fvw0V5qTWzFXC6/ue6cY837OL/VUuUgD+N1wil96Gn/tHS9VS368s1eC1j0kK
c+YOdOQJcvqm+wY=
=bilm
-----END PGP SIGNATURE-----

--6L1LpZaU9VwExq7MFImuC1TcWVKlWDgZQ--




Acknowledgement sent to Raghav Gururajan <rg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48729; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Jun 2021 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.